package com.qizhen.healsphere.common.ai;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import cn.hutool.http.Method;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.web.client.RestTemplate;

import java.util.*;

public class BaidubceUtil {
    //private static String apiUrl = "https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/ernie-speed-pro-128k";
    //private static String apiUrl = "https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/completions_pro";
    private static String apiUrl = "https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/completions";
    private static String apiKey = "JYVEqcv7o6IK7kgAw6fYkmZL";
 
    private static String apiSecret = "b15G2pqwVWIHDKHsAdN5yHouIzhe3J1H";
 
    private final static RestTemplate restTemplate = new RestTemplate();
    private final static ObjectMapper objectMapper = new ObjectMapper();
 
    public static String getChatResponse(String userInput,String accessToken) {
        int retry = 0;
        try {
            return getAnswer(userInput, accessToken);
        }catch(Exception e){
            e.printStackTrace();
            retry++;
            if(retry>=2){
               return "";
            }
            return getAnswer(userInput, accessToken);
        }

    }

    private static String getAnswer(String userInput,String accessToken) {
        Map<String, String> headers = new HashMap<>();
        headers.put("Content-Type", "application/json");

        // 构建请求体
        Map<String, Object> requestBody = new HashMap<>();
        Map messages = new HashMap();
        messages.put("role","user");
        messages.put("content",userInput);
        requestBody.put("messages", new Object[]{messages});
        HttpRequest request = HttpUtil.createRequest(Method.POST, apiUrl + "?access_token=" + accessToken)
                .header("Content-Type", "application/json")
                .body(JSONObject.toJSONString(requestBody)).timeout(60*1000);
        ;
        long l = System.currentTimeMillis();
        String resposne = request.execute().body();
        String result = JSONObject.parseObject(resposne).getString("result");
        return result==null?"":result;
    }

    public static String getChatResponse2(String userInput,String accessToken) {
        // 构建请求头
        Map<String, String> headers = new HashMap<>();
        headers.put("Content-Type", "application/json");

        // 构建请求体
        Map<String, Object> requestBody = new HashMap<>();
        Map messages = new HashMap();
        messages.put("role","user");
        messages.put("content",userInput);
        requestBody.put("messages", new Object[]{messages});

        // 发送POST请求
        Map<String, Object> responseMap = restTemplate.postForObject(
                apiUrl + "?access_token=" + accessToken,
                objectMapper.valueToTree(requestBody),
                Map.class,
                headers
        );

        // 处理响应
        if (responseMap != null && responseMap.containsKey("result")) {
            Object o = responseMap.get("result");
            if(o==null){
                return "";
            }
            return (String)o;
        }
        return "";
    }
 
    public static  String getAccessToken() {
        // 构建获取access_token的URL
        String tokenUrl = "https://aip.baidubce.com/oauth/2.0/token" +
                "?grant_type=client_credentials" +
                "&client_id=" + apiKey +
                "&client_secret=" + apiSecret;
 
        // 发送GET请求获取access_token
        Map<String, Object> tokenResponse = restTemplate.getForObject(
                tokenUrl,
                Map.class
        );
 
        // 从响应中提取access_token
        return (String) tokenResponse.get("access_token");
    }

    public static String fileName = "C:\\Users\\17664\\Desktop\\knowleges"+System.currentTimeMillis()+".xlsx";
    public static void main(String[] args) {
        // 获取access_token
        String accessToken = getAccessToken();
/*        String zhiling = "\n" +
                "[  \n" +
                "    \"利巴韦林\",  \n" +
                "    \"奥司他韦\",  \n" +
                "    \"青霉素类\",  \n" +
                "    \"头孢菌素类\",  \n" +
                "    \"大环内酯类\"\n" +
                "]\n";*/
        String des = "你是一个资深的医学专家，请回答：地塞米松是否是急性上呼吸道感染的治疗药物？请回答是或者否。\n" +
                "#示例\n" +
                "输入：急性中毒是否酒精中毒的分期？\n" +
                "输出：是";

        System.out.println(BaidubceUtil.getChatResponse(des,accessToken));
    }

    private static List<Knowlege> getData(String accessToken) {
        String diseaseStr = "湿疹； 痤疮； 足癣/脚气； 脱发； 银屑病/牛皮癣； 特应性皮炎/AD； 甲真菌病； 带状疱疹； 梅毒； 获得性免疫缺陷综合征； 白癜风； 毛囊炎； 扁平疣； 汗疱疹； 脂肪瘤； 甲沟炎； 过敏性紫癜； 生殖器疱疹； 脂溢性皮炎； 阴虱； 玫瑰糠疹； 花斑癣； 股癣； 淋球菌感染； 神经性皮炎； 珍珠状阴茎丘疹； 日光性皮炎； 肛门瘙痒症； 丘疹性荨麻疹； 臭汗症； 丹毒； 系统性红斑狼疮； 疥疮； 鹅口疮； 斑秃； 疖； 玫瑰痤疮； 急性荨麻疹； 黑色素瘤； 胆碱能性荨麻疹； 尖锐湿疣； 慢性荨麻疹； 接触性皮炎； 肋间神经痛； 麻疹； 黄褐斑； 毛囊角化病； 传染性软疣； 白化病； 黑棘皮病";
        BaidubceUtil baidubceUtil = new BaidubceUtil();
        String propertyStr = "诊疗操作" +
                ",治疗方案" +
                ",诊断标准" +
                ",治疗目标" +
                ",治疗方式" +
                ",治疗相关检查" +
                ",致病原因" +
                ",治疗原则" +
                ",诊疗依据" +
                ",治疗场所" +
                ",子类" +
                ",治疗器械" +
                ",治疗药物" +
                ",转出重症病房标准" +
                ",诊断相关检查" +
                ",症状" ;

        String[] diseases = diseaseStr.split("；");
        String[] properties = propertyStr.split(",");
        List<Knowlege> list = new ArrayList<>();
        for(String disease:diseases) {
            disease = disease.trim();
/*            String icd10Json = baidubceUtil.getChatResponse("你是一个医学专家，想知道"+disease+"对应的ICD-10疾病名称和编码是什么？请根据以下要求输出JSON数组格式的结果:\n" +
                    "不需要输出json之外的其他内容！\n" +
                    "- 键 \"name\"：疾病名称，字符串类型。\n" +
                    "- 键 \"code\"：对应的ICD10编码",accessToken);
            String icd10 = filte(icd10Json);*/
            for (String property : properties) {
                property = property.trim();
                String q = "你是一个医生。想知道"+disease+"有哪些"+property+"?";
                String answer = baidubceUtil.getChatResponse(q,accessToken);
                String tiqu = "你是一个医学专业的关系抽取专家。需要从文本中提取"+disease+"的"+property+"，请输出JSON数组格式的结果,不需要输出json之外的其他内容！如果有描述信息按如下要求输出：" +
                        "\n" +
                        "- 键 \"name\"：对应的"+property+"，字符串类型。\n" +
                        "- 键 \"description\"：对应的"+property+"的描述信息；如果没有，请使用空字符串。" +
                        "\n\n文本内容如下：\n\n" +answer;
                String chatResponse = baidubceUtil.getChatResponse(tiqu,accessToken);
                chatResponse = filte(chatResponse);
                Knowlege knowlege = new Knowlege();
                knowlege.setEntity(disease);
                knowlege.setProperty(property);
                knowlege.setValue(chatResponse);
                knowlege.setAnswer(answer);
                //knowlege.setRefenrece(icd10);
                list.add(knowlege);
            }
        }
        return list;
    }

    private static String filte(String chatResponse) {
        if(chatResponse.startsWith("```json")){
            chatResponse = chatResponse.substring(7);
        }
        if(chatResponse.endsWith("```")){
            chatResponse = chatResponse.substring(0, chatResponse.length()-3);
        }
        return chatResponse;
    }


}
