package com.qizhen.healsphere.common.ai;

import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import java.io.*;
import java.util.HashMap;
import java.util.Map;

public class BaikeUtilTest {

    public static void main(String[] args) {
        String urlExcelPath = "C:\\Users\\17664\\Desktop\\医疗百科打标1(1).xlsx"; // 包含URL的Excel文件路径
        // 读取URL并检查文章内容
        try (InputStream urlInputStream = new FileInputStream(urlExcelPath)) {
            Workbook urlWorkbook = new XSSFWorkbook(urlInputStream);
            Sheet doctorSheet = urlWorkbook.getSheetAt(0);

            // 创建新列来存储包含的疾病名称和ID
            int starndarDiseaseIndex = doctorSheet.getRow(0).getLastCellNum() + 1;
            int unstandarDiseaseIndex = doctorSheet.getRow(0).getLastCellNum() + 2;
            doctorSheet.getRow(0).createCell(starndarDiseaseIndex).setCellValue("标准疾病（大模型）");
            doctorSheet.getRow(0).createCell(unstandarDiseaseIndex).setCellValue("非标准疾病（大模型）");

            for (int rowNum = 1; rowNum <= 10; rowNum++) {
                Row row = doctorSheet.getRow(rowNum);
                //String s = "标题："+row.getCell(5).getStringCellValue() +"\n\n描述："+ row.getCell(6).getStringCellValue();// good_at

                String s = row.getCell(17).getStringCellValue();
                if(StringUtils.isNotEmpty(s)) {
                    Cell diseasesNameCell = row.createCell(starndarDiseaseIndex);
                    Cell unstandarDisease = row.createCell(unstandarDiseaseIndex);
                    Map<String, String> diseases = getDiseases(s);
                    diseasesNameCell.setCellValue(diseases.get("standar"));
                    unstandarDisease.setCellValue(diseases.get("unstandar"));
                }
            }

            // 将更新后的Excel文件写回到磁盘
            try (OutputStream outputStream = new FileOutputStream("C:\\Users\\17664\\Desktop\\医疗百科打标2.xlsx")) {
                urlWorkbook.write(outputStream);
            }
            urlWorkbook.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    public static String disease1 = "三高,高血压,冠心病,心梗,心律失常,心绞痛,脑梗,头晕,头痛,脑病,失眠,面瘫,帕金森,胃炎,胃溃疡,胃癌,肠炎,肠息肉,消化不良,阑尾炎,痔疮,便秘,肥胖症,糖尿病,甲亢,甲减,甲状腺炎,痛风,内分泌失调,高血脂,红斑狼疮,类风湿性关节炎,风湿,强直性脊柱炎,肺炎,哮喘,咳嗽,肺结节,支气管炎,呼吸衰竭,肺栓塞,呼吸道感染,肺癌,肾病,肾炎,肾衰,血液透析,肾囊肿,多囊肾,尿路感染,贫血,白血病,淋巴瘤,紫癜,乙肝,肝炎,肝硬化,脂肪肝,肝病,小三阳,大三阳,脑肿瘤,脑出血,脑外伤,垂体瘤,胶质瘤,脑血管畸形,听神经瘤,脑积水,脑动脉瘤,脑瘫,心脏病,先心病,主动脉瘤,法洛四联症,房间隔缺损,二尖瓣狭窄,二尖瓣关闭不全,食道癌,胸腔积液,气胸,乳腺癌,乳腺瘤,二尖瓣脱垂,癌痛,结肠癌,直肠癌,肝癌,卵巢囊肿,卵巢癌,宫颈癌,阴道炎,子宫内膜异位,痛经,盆腔炎,人流,宫颈炎,优生优育,不孕不育,试管婴儿,无精症,人工授精,保胎,助孕,生育力保存,分娩,剖宫产,骨折,脱位,颈椎病,腰椎间盘突出,脊椎病,小儿肺炎,儿童呼吸道疾病,儿童哮喘,儿童感冒a,厌食,轮状病毒感染,手足口,小儿耳聋,儿童流感,儿童过敏,川崎病,发育迟缓,皮肤过敏,真菌性皮肤病,皮肤肿瘤,湿疹,荨麻疹,皮炎,银屑病,痤疮,黄褐斑,带状疱疹,皮肤瘙痒,植发,双眼皮手术,雀斑,祛痣,慢阻肺,白内障,青光眼,近视眼,眼底病,结膜炎,角膜炎,眼外伤,干眼症,斜视,视网膜脱落,屈光不正,弱视,眼肿瘤,麦粒肿,牙痛,龋齿,补牙,拔牙,牙髓炎,牙周病,牙齿正畸,牙齿种植,牙齿美白,牙体病,口臭,舌癌,口腔溃疡,唇腭裂,舌系带过短,鼻炎,鼻窦炎,咽炎,鼻中隔偏曲,鼻息肉,声带息肉,中耳炎,扁桃体炎,耳鸣,喉癌,鼓膜穿孔,耳石症,睡眠呼吸暂停综合征,双向情感障碍,抑郁症,同性恋,焦虑症,精神分裂,心理障碍,恐惧症,躁狂症,网瘾,进食障碍,厌学,青少年心理问题,婚恋心理问题,家庭心理问题,尘肺,中毒,职业病,铅中毒,发作性睡病,静脉曲张,疝气,下肢静脉血栓,动脉硬化闭塞症,脑膜瘤,癫痫,面肌痉挛,心脏瓣膜病,风心病,乳腺增生,肾结石,前列腺增生,前列腺炎,膀胱癌,胆结石,胆管结石,胆管癌,脂肪瘤,肛瘘,肠梗阻,脱肛,子宫肌瘤,胎停,更年期综合症,子宫内膜癌,卵巢早衰,输卵管堵塞,先兆流产,隐睾,腺样体肥大,小儿多动症,膝关节损伤,腰椎管狭窄,脊柱骨折,先天性足畸形,骨肿瘤,韧带损伤,甲状腺瘤,口腔颌面部肿瘤,甲状腺癌,鼻咽癌,精索静脉曲张,男性功能障碍,双相情感障碍,精神分裂症,肩周炎,三叉神经痛,鹅口疮,宫外孕,肺心病,睾丸炎,阳痿,早泄,精囊炎,颅内肿瘤,胰腺癌,生殖器疱疹,梅毒,淋病,尖锐湿疣,包茎,鞘膜积液,肝胃不和,心肾不交,阴虚火旺,肾虚腰痛,心脾两虚,肾虚耳鸣,偏瘫,亚健康,肾移植,尿毒症,肝移植,乳腺结节,甲状腺结节,艾滋病,膀胱炎,勃起障碍,积食,牙齿修复,牙周炎,盗汗,手麻,心悸,滑膜炎,腱鞘炎,眩晕,脱发,附件包块,胎漏,滑胎,死胎,张力性尿失禁,外阴阴道发燥,阴部痒痛,坠胀,更年期综合征,淋巴结核,骨结核,骨髓炎,瘘管,疮疡,高热,脉管炎,跌打损伤,四肢麻木,膝关节炎,骨质增生症,股骨头坏死,黄斑变性,视网膜中央动脉阻塞,静脉阻塞,糖尿病性视网膜病变,视神经萎缩,疳疾,结缔组织病,硬皮病,红斑鳞屑类皮肤病,身心疾病,损伤性关节炎,神经性头痛,带状疱疹后神经痛,脑卒中后遗症,尿失禁,盆腔器官脱垂,腰腿痛,慢性盆腔痛,失语,吞咽障碍,脊髓损伤,玫瑰痤疮,大疱性皮肤病,皮肤溃疡,白癜风,特应性皮炎,化妆品皮炎,儿童皮肤病,老年皮肤病,颈性头痛,皮肌炎,黑变病,颈性眩晕,类顽固性疼痛,瘙痒症,非淋病性尿道炎,慢性荨麻疹,天疱疮,类天疱疮,肋间神经痛,血管瘤,丹毒,鱼尾纹,疤痕,黑素瘤,鲜红斑痣,结节性痒疹,关节退变,脂溢性脱发,会阴痛,敏感肌屏障修复治疗,色素痣,婴幼儿饮食营养指导,腋臭,性传播疾病,感染性皮肤病,药物过敏,过敏性咳嗽,面部轮廓调整（脂肪加减法）,老年性湿疹,丹毒淋巴水肿,光敏性皮炎,面部皮炎,咖啡斑,太田痣,痤疮疤痕,色素沉着,去眼袋,甲病,扁平疣,寻常疣,跖疣,色斑,红血丝,皮肤肿物,皮肤淋巴瘤,急性胃炎,精细脂肪移植,消化性溃疡,肠结核,结核性腹膜炎,线雕面部年轻化,结肠炎,克罗恩病,肠易激综合征,腹泻,慢性肝炎,丙型病毒性肝炎,酒精肝,原发性肝癌,胰腺炎,消化道出血,糜烂性胃炎,功能性胃肠病,反流性食管炎,肝功能不良,血吸虫肝病,黄疸肝炎,腋臭各种疤痕,脾胃不和,胃肠道动力疾病,肾肿瘤,尿痛,尿道肉阜,乳房美容,面型改造,男性病,妇科疾病,老年病,代谢性疾病,血液病,骨质疏松,尿频,多囊卵巢综合症,腺性膀胱炎,排尿困难,氯胺酮性膀胱炎,弱精症,精液不液化,腰痛,肾积水,尿道感染,子宫内膜炎,宫颈囊肿,宫颈糜烂,宫颈息肉,生殖器畸形,子宫脱垂,子宫破裂,产后出血,产后虚脱,高危妊娠,半月板损伤,膝关节韧带损伤,手外伤,断指再植,肘关节脱位,股骨干骨折,肌腱损伤,软组织挫伤,腰肌劳损,脊柱疼痛,尿潴留,血精,遗精,遗尿,血尿,水肿,鼻部综合美容,咳喘,骨关节病,血栓闭塞性脉管炎,静脉曲张溃疡,深静脉血栓形成,血栓性浅静脉炎,蛋白尿,中风后遗症,椎动脉供血不足,胃痛,自汗,骨关节炎,耳聋,胸闷,心衰,心脏神经官能症,面部综合美容,萎缩性胃炎,慢性结肠炎,meige综合征,脱髓鞘,新冠咳嗽,支气管扩张,间质性肺病,肺部感染,喘症,慢性咳嗽,记忆力下降,脑鸣,肢体麻木,植物神经功能紊乱,出汗异常,记忆障碍,季节性咳嗽,鼻塞,流涕,流泪,视力下降,视物模糊,食物过敏,花粉症,尘螨过敏,创面修复,反向性痤疮,鼻畸形矫正,颈肩腰腿痛,软骨肉瘤,脊索瘤,尤文肉瘤,骨巨细胞瘤,骨母细胞瘤,脊柱退行性疾病,踝关节扭伤,足踝疾患,脊柱肿瘤,坐骨神经痛,行走无力,颈腰椎退变,肌肉劳损,脊柱侧弯,拇外翻,嵌甲畸形,肩袖损伤,复发性脱位,颌面部感染,牙外伤,牙槽骨骨折,颌骨骨折,牙体牙髓病,口腔粘膜病,口腔修复,口腔种植,涎腺,龋病充填,根管治疗,阻生牙,埋伏牙拔除,口腔黏膜病,活动义齿修复,固定义齿修复,全口义齿修复,种植义齿修复,脂肪注射,晕厥,心肌炎,糖代谢异常,高尿酸血症,颈肩综合症,小儿舞蹈样多动抽动症,瘫痪肌萎缩侧索硬化,瘫痪,单纯性肥胖,退行性骨关节病,埋线减肥,肾阳亏虚,肾气不固,耳廓再造,唇裂畸形矫正,腰椎病,第三腰椎横突综合征,腰椎椎管狭窄,颅颌面畸形矫正,奥美定取出,神经性耳鸣,血脂管理,脑小血管病,重症肌无力,周围神经疾病,视神经脊髓炎,巨乳缩小,脑炎,平衡障碍,脊髓疾病,乳房再造,周期性麻痹,运动神经元病,进行性肌营养不良,痴呆,共济失调,不自主运动,慢性鼻炎,咽喉炎,玻尿酸注射,肉毒素注射,肺部肿瘤,颈部淋巴结,甲状腺良性疾病,原发及继发性甲状旁腺功能亢进症,乳腺炎,乳痛,乳房结节,非哺乳期乳腺炎,哺乳期乳腺炎,胃十二指肠溃疡,肠瘘,结直肠癌,上消化道出血,下消化道出血,腹外疝,腹膜后肿瘤,腹外伤,消化道肿瘤,肛门痛,消化道穿孔,便血,混合痔,肛周脓肿,肛裂,出口梗阻型便秘,私密整形,肛门瘙痒,黄斑裂孔,眼科激光治疗,泪道疾病,腹壁整形,角膜病,角膜屈光,老年内分泌失调,老年高脂血症,老年痴呆,脑缺血,额颞叶痴呆,重症感染,肌肉软组织疼痛,产后腰疼,颈腰椎病,骨折术后,关节置换术后,颞下颌关节紊乱病,截瘫,周围神经损伤,耳廓整形,面部轮廓整形,原发性肾脏病,继发性肾脏病,腹膜透析,水光针,慢性肾炎综合征,复杂性尿路感染,肾性高血压,肾病综合征,狼疮肾炎,IgA肾病,吸脂塑身,慢性肾盂肾炎,慢性肾功能衰竭,紫癜肾炎,除皱整形,黄金微雕面部提升,自身免疫性肾损伤,顽固性高血压,乳房下垂上提,泌尿系结石,泌尿系肿瘤,眼部整形,前列腺症,压力性尿失禁,前列腺癌,尿路上皮癌,顽固性尿频,尿急,间质性膀胱炎,神经源性膀胱,尿道狭窄,输尿管狭窄,女性盆腔脏器脱垂,泌尿生殖瘘,胆道梗阻,肝脏肿瘤,胰腺肿瘤,胆道肿瘤,胆囊结石,梗阻性黄疸,肝炎后肝硬化,锁骨下动脉狭窄,椎动脉狭窄,腹主动脉瘤,胸主动脉瘤,主动脉夹层,肾动脉狭窄,下肢动脉硬化性闭塞,糖尿病足,淋巴水肿,下肢深静脉血栓,肾衰血液透析通路狭窄,大动脉炎,布加综合征,血管畸形,多汗症,肢体动脉栓塞,假性动脉瘤破裂,重型肝炎,主动脉夹层及主动脉瘤,肾透析造瘘,脓胸,神经血管介入,神经肿瘤,神经内镜,缺血性脑血管病,脊柱脊髓伤,功能神经疾病,路易体痴呆,脑动静脉畸形,硬脑膜动静脉瘘,脊髓血管畸形,颈动脉狭窄,椎动脉和基底动脉狭窄,大脑中动脉狭窄,烟雾病,迷走舌咽神经痛,骶管囊肿,舌咽神经痛,颅底凹陷症,椎管狭窄症,脊髓肿瘤,椎管内神经纤维瘤,神经鞘瘤,脊髓空洞,小脑扁桃体下疝,寰枢椎脱位,下肢动脉栓塞,脉管畸形,下肢静脉性溃疡,缺血性溃疡,免疫性溃疡,压疮,周围血管病,胃胀,慢性皮肤肢体疮疡,淋巴肿胀,慢性胃炎胃萎缩,肠上皮化生,胃肠息肉,甲状腺乳腺结节,动脉粥样硬化,血栓性静脉炎,甲状腺疾病,酮症酸中毒,甲亢危象,肾上腺危象,垂体危象,妊娠期甲功异常,垂体疾病,性腺发育不良,甲状旁腺,积滞,厌食症,儿童神经症,心血管疾病,儿童矮小身材,腹痛,癣,性早熟,矮小症,系统性血管炎,白塞病,韦格纳肉芽肿,脊柱关节病,干燥综合症,反酸,风湿性多肌痛,牙龈癌,腮腺癌,扁桃体癌,胸腺瘤,胆囊癌,烦躁焦虑,肾癌,子宫癌,输尿管癌,脂肪雕塑,皮肤癌,激素依赖性皮炎,老年睡眠障碍,黑眼圈,川字纹,乳腺病,脑卒中血管超声,经颅多普勒,乳腺超声,甲状腺超声,经食管超声心动图,骨髓瘤,骨髓增生异常综合征,再生障碍性贫血,血细胞减少,溶血性贫血,血小板异常,高白细胞血症,血栓性血小板减少性紫癜,生殖内分泌疾病,慢性病毒性肝炎,儿童脾胃病,髌骨脱位,喘嗽,喘息性支气管炎,单纯性肾囊肿,骶髂关节损伤,多发性抽搐症,多发性肌炎,强迫症,多器官功能不全,人格障碍,儿童创伤,学习技能发育障碍,心房颤动,肺间质,肺间质纤维化,肺胀病,风温肺热,妇科急慢性炎症,复发性流产,自闭症,感冒,急性肾衰,高血压肾病,咯血,膈肌起搏,跟腱炎,功能性腹痛,宫腔疾病,骨关节创伤,骨坏死,骨与软组织感染,过敏性皮炎,汗证,昏迷,肌膜炎,肌肉韧带撕裂,急慢性呼吸衰竭,急慢性咳嗽,肺外结核,急慢性肾小球肾炎,急慢性咽喉炎,急慢性支气管炎,急性脑血管病,急性扭伤,急性上呼吸道感染,流行性感冒,急性腰扭伤,间质性肾炎,肩袖撕裂修补,颈动脉斑块,颈性心律失常,咳嗽变异性哮喘,先天性髋关节发育不良,髋膝关节炎,老年代谢综合症,老年性膝骨关节炎,梨状肌综合症,淋证,慢性胆道感染,惊厥,慢性疲劳综合征,慢性肾衰,慢性疼痛,泌尿系感染,脑血栓,脓毒症,呕吐,脾胃疾病,前后交叉韧带断裂,腮腺炎,肾穿刺,急性胆囊炎,腰椎退行性椎管狭窄,肾脏和输尿管结石,十字韧带损伤,食管炎,室速,水痘,损容性皮肤病,痛风性关节炎,痛风性肾病,头颈部恶性肿瘤,退行性脊柱炎,顽固性心力衰竭,网球肘,胃肠道息肉,膝关节骨关节炎,膝关节骨性关节炎,胸椎结核,洗胃,髋关节骨性关节炎,先天性髋关节脱位,先天性斜颈,小儿发育迟缓,小儿肌性斜颈,哮病,重性精神障碍,老年精神障碍,心肌病,胸椎综合症,休克,应激障碍,炎症性肠病,腰椎骨关节炎,适应障碍,腰椎滑脱,夜尿症,原发性肾病综合征,痄腮,正骨推拿,重症肺炎,重度高血压,足底筋膜炎,背痈（中医）,窦道,骨脓肿,摄食障碍,冲动控制障碍,下肢静脉曲张性溃疡,癌性溃疡,放射性溃疡,骨外漏,肌腱外漏,下肢缺血性溃疡,静脉性溃疡,精神病性障碍,精神障碍,气管炎,皮肤窦道,急性动脉栓塞,老年认知障碍,周围动脉闭塞性病变,骨关节感染,椎间盘突出,四肢关节疼痛,椎体滑脱,精神发育迟缓,脊柱畸形,脊柱退行性病变,骨关节损伤,四肢关节创伤,脊柱退变,脊椎损伤,四肢骨折,脊柱创伤,关节肿胀,关节内骨折,阻塞性睡眠呼吸暂停,慢性支气管炎,阻塞性呼吸睡眠暂停-低通气综合征,足踝畸形,老年器质性精神障碍,神经官能症,精神心理障碍,婚恋家庭问题,足踝创伤,心脑血管疾病,呼吸系统疾病,神经介入,血管衰老,阿尔茨海默病,血管性痴呆,脑血管疾病,肺动脉高压,幽门螺旋杆菌,慢性肝病,消化性溃疡并出血,急慢性胰腺炎,老年便秘,药物性肝炎,慢性便秘,慢性腹泻,代谢性心血管疾病,急慢性心衰,心肺综合征,心肾综合征,老年性骨质疏松性胸腰椎骨折,起搏器植入,结构性心脏病,老年冠心病,恶性肿瘤,输卵管癌,原发性腹膜癌,胰岛细胞移植,妇科恶性肿瘤,慢性胰腺炎,胆道结石,背驮式肝移植,门脉高压,肾脏移植,多器官联合移植,干细胞移植,肝癌肝移植,肝硬化肝移植,急慢性肝衰竭,自身免疫性肝病,血吸虫病,肝功能衰竭,胰岛移植,细胞移植,肝脏移植,劈离式肝移植,儿童肝脏代谢性疾病,胆道闭锁,儿童肝脏移植,儿童肾脏移植,隆乳,结节性甲状腺肿,胸骨后甲状腺肿,甲状腺腺瘤,甲状腺滤泡状癌,甲状腺髓样癌,甲状腺未分化癌,甲状腺功能亢进症,甲状旁腺增生,功能亢进,乳房纤维腺瘤";
    public static String disease2 = ",乳管内乳头状瘤,乳房肉瘤,甲状旁腺功能亢进,乳糜尿,先天性肾积水,尿路梗阻,尿路结石,肾盂癌,原发性醛固酮增多症,库欣综合征,嗜铬细胞瘤,皮质癌,肾上腺肿瘤,肾脏肿瘤,膀胱肿瘤,肾上腺皮质癌,重度勃起功能障碍,膀胱颈挛缩,尿路上皮肿瘤,男性不育,慢性前列腺炎,慢性睾丸痛,勃起功能障碍,不射精症,逆行射精,男性更年期综合征,男性性腺发育不良,原发性早泄,梗阻性无精症,精道不畅,静脉闭塞障碍性勃起功能障碍,隐匿性阴茎,尿道下裂,阴茎弯曲畸形,泌尿系先天畸形,胃肠道肿瘤,腹腔肿瘤,腹腔感染,急腹症,肝门部胆管癌,巨大肝癌,肝血管瘤,内痔,小肠肿瘤,胃肠道间质瘤,胃肠道淋巴瘤,肝胆胰肿瘤,腹膜癌,开腹胃癌,低位保肛,超低位保肛,食管裂孔疝,食管胃底静脉曲张硬化,肝功能不全,胆道良恶性梗阻,贲门失弛缓症,胃造瘘,腹水,胃肠道粘膜免疫,Barrett食管,肝豆状核变性,胆总管结石,溃疡性结肠炎,Crohn病,早期结肠癌,嗜酸性粒细胞胃炎,早期食管癌,食管狭窄,口腔癌,口咽癌,脑胶质瘤,儿童肿瘤,小儿实体瘤,急性肺栓塞,头颈部肿瘤,急性肾损伤,移植重症,复杂创伤,体外膜氧合,感染性休克,热性惊厥,结节性硬化症,脑性瘫痪,神经肌肉病,遗传代谢病,儿童抽动障碍,智力发育障碍,婴儿痉挛,肌张力障碍,吉兰-巴雷综合征,脊髓性肌萎缩症,病毒性脑炎,化脓性脑膜炎,结核性脑膜炎,自身免疫性脑炎,儿童癫痫,心境障碍,感染性肺炎,支气管肺炎,大叶性肺炎,间质性肺炎,特殊病原体感染性肺炎,吸入性肺炎,毛细支气管炎,支气管异物,闭塞性细支气管炎,过敏性肺泡炎,囊性纤维化,原发性纤毛运动障碍,呼吸道变态反应,反复呼吸道感染,反复喘息,大病灶肺炎,新生儿肺炎,新生儿黄疸,新生儿高胆红素血症,婴儿肝炎综合征,新生儿败血症,小儿化脓性脑膜炎,新生儿呼吸衰竭,新生儿休克,新生儿弥散性血管内凝血,新生儿坏死性小肠结肠炎,新生儿牛奶蛋白过敏,新生儿呼吸窘迫综合征,新生儿呼吸暂停,新生儿缺氧缺血性脑病,新生儿颅内出血,新生儿室管膜下出血,完全性肺静脉异位引流,动脉导管未闭,支气管肺发育不良,新生儿脓毒症,急慢性腹泻,食管炎消化道溃疡,遗传代谢性肝病,短肠综合征,胃肠功能损伤,胃肠功能衰竭,急慢性腹泻病,胆汁淤积性肝病,食物过敏症,小儿急慢性腹泻,生长发育落后,儿童便秘,牛奶蛋白过敏,食欲不振,喘息性支气管肺炎,急性支气管炎,急性喉气管炎,急性喘息性支气管炎,急性毛细支气管炎,脓毒血症,败血症,血小板减少性紫癜,急性胃肠炎,腹泻病,传染性单核细胞增多症,发热性惊厥,感染性肌炎,急性肠系膜淋巴结炎,过敏性紫癜,黏膜皮肤淋巴结综合征,血小板减少,肺间质性疾病,儿童贫血,噬血细胞综合征,朗格罕细胞组织细胞增生症,儿童白血病,幼年特发性关节炎,血管炎综合征,原发性免疫缺陷病,自身炎症性疾病,周期性发热,巨噬细胞活化综合征,幼年皮肌炎,混合性结缔组织病,血管迷走性晕厥,儿童急慢性白血病,骨髓增生异常综合症,范可尼贫血,先天性纯红细胞再生障碍性贫血,营养性贫血,地中海贫血,免疫性血小板减少症,血小板增多症,血友病,组织细胞病,朗格汉斯细胞组织细胞增生症,先天性巨结肠,先天性肛门直肠畸形,胆总管囊肿,腹股沟斜疝,鳃裂囊肿,甲状舌管囊肿,神经母细胞瘤,畸胎瘤,颈部肿瘤,急性弥漫性腹膜炎,嵌顿性腹股沟斜疝,急性阑尾炎,肠套叠,消化道大出血,先天性胆总管囊肿,肾母细胞瘤,肝母细胞瘤,肠闭锁,儿童巨结肠,美克尔憩室,直肠肛门畸形,直肠舟状窝瘘,肛门闭锁,脐疝,鳃瘘,脐尿管瘘,先天性肺部畸形,纵隔病变,鸡胸,漏斗胸,膈肌,胸壁畸形,胸腔纵隔肿瘤,蛛网膜囊肿,脑脊髓血管病,难治性癫痫,神经系统肿瘤,小儿先天性畸形,先天性脊髓拴系,颅缝早闭,小脑扁桃体下疝畸形,动静脉畸形,动静脉瘘,儿童颅脑损伤,颅内出血,颅骨骨折,创伤性脑梗死,头皮血肿,脑脓肿,寄生虫,肾发育不良,输尿管囊肿,输尿管开口异位,膀胱输尿管反流,性别发育异常,儿童上睑下垂,眼眶眼睑肿瘤,睑内翻倒睫,儿童斜弱视,早产儿视网膜病变,眼部血管瘤,婴幼儿血管瘤,儿童眼底病,泪囊炎,泪囊瘘,上睑下垂,睑裂狭小综合征,睑内外翻,眼球震颤,儿童根尖周病,舌下腺囊肿,儿童牙髓病,根尖周病,儿童牙体病,粘液腺囊肿,儿童言语语言障碍,发音不清,儿童龋病,粘膜病,毒虫动物咬伤,呼吸心跳骤停,儿童湿疹,急性创伤,颅脑外伤,中暑,小儿皮肤血管瘤,电击伤,烧伤,病毒疣,毛细血管扩张,化脓性肉芽肿,婴儿黄疸,营养不良,儿童肥胖,小儿便秘,小儿汗症,婴儿肺炎,遗尿症,小儿病毒感染性疾病,眨眼病,儿童肾病,儿童慢性咳嗽,小儿黄疸,支原体肺炎,慢性肾病,肺炎合并胃食管反流,小儿抽动障碍,功能性便秘,儿童胆汁淤积,急性肾功能衰竭,急性中毒,意外伤害,婴儿捂热综合症,急性凝血功能障碍,代谢紊乱,水电解质紊乱,中枢神经系统功能障碍,多脏器功能障碍综合征,儿童发热,心肌缺血,肺灌注,急性骨髓炎,骨病,肿瘤骨转移,甲状腺功能,乳糜回流障碍性,小儿难治性癫痫,小儿复杂先天性心脏病,危急重症新生儿麻醉,危急重症,妇产科麻醉,急性疼痛管理,胎膜早破,前置胎盘,胎盘早剥,早产,双胎妊娠,妊娠期高血压,妊娠期糖尿病,胎儿多发畸形,胎儿染色体异常,孕母弓形虫感染,侧脑室扩张,妊娠期肝内胆汁淤积,肺囊腺瘤,隔离肺,马蹄肺,膈疝,肠管扩张,十二指肠闭锁,脐膨出,胎儿畸形,腹腔积液,腹腔包块,子宫腺肌瘤,生殖道畸形,生殖道瘘,月经异常,盆底功能障碍性疾病,子宫腺肌病,妇科炎症,阴道前后壁膨出,盆底脏器脱垂,异常子宫出血,盆腔炎性疾病,子宫内膜息肉,盆底功能障碍疾病,漏尿,性功能障碍,上下环,高危流产,男女性不孕症,卵巢功能不全,卵巢储备功能低下,少弱畸形精子症,子宫腺肌症,男性性功能障碍,乳房疼痛,乳头溢液,乳房发育畸形,乳房畸形,乳房肿块,哺乳障碍,急慢性乳腺炎,孕期失眠,产后失眠,儿童失眠,生长痛,术后迁延性疼痛,原发性痛经,经前期综合征,植物神经功能紊乱症,孕期疼痛,产后疼痛,不宁腿综合征,急慢性疼痛,颈源性头痛,紧张性头痛,美尼尔氏综合征,雷诺氏综合症,不定陈述性综合征,舌痛症,幻肢痛,断肢痛,创伤后疼痛,复杂局部疼痛综合征,顽固性青春痘,脱毛症,过食症,飞蚊症,突发性耳聋,嗅觉障碍,顽固性瘙痒,神经性尿频,冻疮,口内粘膜干燥症,丛集性头痛,血管源性头痛,三叉神经及其分支痛,蝶腭神经痛,面部器官源性疼痛,枕神经痛,乳突痛,颈项部肌筋膜痛,颈椎关节病,颈肩综合征,寰枕畸形,颈肋,上肢血管性疼痛,肱骨外上髁炎,前斜角肌综合征,胸部手术后肋间神经痛,肋软骨炎,腹壁神经痛,残肢痛,复杂的局部疼痛综合征,脊椎手术失败综合征,风湿类风湿疼痛,强直性脊柱炎腰背痛,纤维肌痛症,红斑肢痛症,下肢缺血性疼痛,末梢神经炎,跟痛症,癌性疼痛,面神经麻痹,进食障碍症,孤独谱系障碍,帕金森综合征,特发性嗜睡,磨牙症,异态睡眠,周期性嗜睡病,夜惊,梦魇,顽固性失眠,儿童慢性疼痛,认知功能障碍,急性脑梗塞,排便障碍,前哨淋巴结,甲状旁腺癌,乳腺不典型增生,乳头状瘤,浆细胞性乳腺炎,肉芽肿性乳腺炎,乳头内陷,乳房下垂,继发性甲状腺腺功能亢进,高血钙危象,胃肠肿瘤,消化道瘘,消化道梗阻,伪膜性肠炎,代谢综合征,肛周疾病,急慢性阑尾炎,前庭性偏头痛,良性阵发性位置性眩晕,前庭神经炎,前庭阵发症,紧张型头痛,运动障碍病,痉挛舞蹈病,血管性认知功能障碍,认知障碍,脑动脉狭窄及闭塞,脊髓炎,格林巴利综合征,心理情绪障碍,心力哀竭,心瓣膜病,头痛病,不寐病,腰痛病,胃痞病,呃逆病,胸痹心痛病,虚劳病,脑外伤后遗症,陈旧性骨折后遗症,慢性功能性消化不良,慢性肠炎,慢性膀胱炎,慢性咽炎,反复口腔溃疡,面部痤疮,功能性出血,产后无乳,产后回乳,卵巢储备功能下降,眩晕综合征,老年斑,卵巢功能储备不足,老年性骨质疏松,慢性胃肠道疾病,溃疡,小儿咳喘,佝偻病,小儿过敏性疾病,耳鸣耳聋,慢性胃肠炎,肢体运动功能障碍,言语功能障碍,吞咽功能障碍,排便功能障碍,先天性耳前瘘管,变应性鼻炎,鼻出血,颌面骨折,鼾症的综合评估与外科治疗,先天性舌甲瘘管,急性喉梗阻,颌下腺肿瘤,梅尼埃病,慢性中耳炎,分泌性中耳炎,小儿鼾症,鼻颅底肿瘤,耳廓畸形,药物性肝损,血吸虫性肝病,不明原因发热,顽固性胸腹水,甲肝,丙肝,戊肝,流行性腮腺炎,疟疾,布鲁菌病,感染性腹泻,非酒精性脂肪性肝病,食源性肠道传染病,肾综合征出血热,根尖周炎,单牙缺失,多牙缺失,无牙颌患者,全口牙缺失,颌面部骨折,牙列缺损,牙列缺失,儿童错颌畸形,智齿,肾周脓肿,输尿管肿瘤,皮质醇症,原发性性征异常,肾破裂,尿道断裂,男性生殖系统畸形,膀胱颈梗阻,尿瘘,尿道旁腺囊肿,前列腺增生症,尿道损伤,肾盂输尿管癌,肾上腺瘤,男性勃起功能障碍,男性射精功能障碍,男性不育症,男性性腺功能异常,小阴茎,胸壁肿块,胸部损伤,早期肺癌,手汗症,胸痛,胸外伤,生化妊娠,过期妊娠,妊娠剧吐,子痫前期,妊娠合并慢性高血压,妊娠期肝内胆汁淤积症,妊娠合并贫血,妊娠合并病毒性肝炎,妊娠合并甲状腺功能减退,妊娠合并甲状腺功能亢进,妊娠合并心脏病,胎儿停育,胎儿生长受限,多胎妊娠,胎儿异常,脐带异常,羊水异常,胎位异常,胎盘植入,羊水栓塞,产褥感染,稽留流产,急性肾炎,紫癜性肾炎,胎粪吸入综合征,新生儿窒息,行为障碍,脑损伤后遗症,儿童情绪障碍,多动障碍,语言障碍,网络依赖,创伤后心理障碍,新生儿低血糖,急性心力衰竭,急性呼吸衰竭,急性脑卒中,高血压急症,严重心律失常,窒息,溺水,尿血,妇科出血,抽搐,急性过敏,急性心梗,昏迷促醒,急重型颅脑损伤,脊柱脊髓损伤,颅底畸形,颅骨缺损,颅脑及椎管,特发性震颤,外周性顽固性头面部疼痛,微小意识障碍,肠道血管疾病,胆道疾病,胆胰疾病,腹胀,肝肾综合征,肝性脑病,急慢性胆囊炎,急慢性腹痛,急慢性胃炎,呕血,烧心,注意力缺陷,胃肠动力障碍性,胃肠功能紊乱,消化道早癌,消瘦,药物性肝病,幽门螺杆菌感染,急性带状疱疹,棘上棘间韧带炎,交感神经相关性疼痛,梨状肌综合征,糖尿病性神经痛,弥散性血管内凝血,膝关节疼痛,中枢性疼痛,足跟痛,白细胞减少,多发性骨髓瘤,发热性疾病,骨髓增殖性疾病,急慢性白血病,玻璃体视网膜病,屈光性白内障手术,眼表角膜病,瓣膜病,病毒性心肌炎,肥厚梗阻性心肌病,肥厚性心肌病,风湿性心脏瓣膜病,感染性心内膜炎,扩张性心肌病,慢性闭塞,室上速,围产期心肌病,心包炎,心肌桥,心源性休克,主动脉夹层静脉血栓,左主干病变,房扑,房速,房早,肥厚型梗阻性心肌病,迷走反射性晕厥,室早,阵发性室上性心动过速,阿米巴病,斑疹伤寒,暴发性心肌炎,闭经,臂丛神经损伤,变应性肺真菌病,丙型肝炎,病毒感染性腹泻,传染性非典型肺炎,打鼾,大肠癌,登革热,多器官功能衰竭,发热伴血小板减少综合症,放射性肠炎,放射性皮炎,非梗阻性尿潴留,非结核分枝杆菌感染,肺孢子菌病,肺大疱,肺结核,肺外结核病,肺吸虫病,肺小结节,肺移植,肺肿块,感染发热,弓形虫病,功能性子宫出血,宫颈上皮内瘤变,钩体病,构音障碍,骨髓移植,关节软骨损伤,过敏性结膜炎,过敏性哮喘,过敏性咽喉炎,黑热病,华支睾吸虫病,坏死性小肠结肠炎,环咽肌球囊扩张,回归热,霍乱,急慢性附件炎,急迫性尿失禁,急性淋巴细胞白血病,接触性皮炎,巨大脐膨出,巨细胞病毒感染,菌痢,狂犬病,莱姆病,立克次体病,流脑,毛霉菌病,难治性慢乙肝,囊尾蚴病,脑瘫肢体痉挛,念珠菌病,脓肿,皮疹,偏瘫肢体痉挛,气管狭窄,气管肿瘤,青少年脊柱侧弯,曲霉病,缺血缺氧性脑病,妊娠高血压综合征,妊娠呕吐,妊娠滋养细胞肿瘤,复杂先心病,蠕虫感染,蠕虫蚴移行症,乳糜胸,伤口感染,生殖系统炎症,食道闭锁,食管闭锁,食管肿瘤,嗜酸性粒细胞增多症,手足综合症,睡眠呼吸障碍,炭疽,绦虫病,外阴癌,外阴上皮内瘤样变,细菌感染,细菌感染性腹泻,细菌性食物中毒,先天畸形,先天性膈疝,先天性气管软化症,先天性足内,小便功能障碍,心功能衰竭,心脑肺复苏,新生儿肺动脉高压症,新生儿急慢性肺损伤,新生儿缺血缺氧性脑病,新生儿溶血症,新生儿肾衰,新型冠状病毒病,旋毛虫病,严重呼衰,眼睑痉挛,恙虫病,乙脑,阴道癌,隐球菌病,语言发育迟缓,原虫感染,早产儿颅内出血,造血干细胞,真菌感染,重症肝炎,子宫肉瘤,组织胞浆菌病,坐骨神经损伤,斑秃,猝疮,多发性神经病,复发性口腔溃疡,急慢性胃痛,急慢性咽炎症,假性球麻痹,筋膜炎,痉挛性斜颈,尿频病,外伤性截瘫,膝关节病,膝关节痛,小儿脑性瘫痪,中风偏瘫,周围性面瘫,急慢性肾炎,尿路积水,尿酸性肾病,运动慢性损伤,肾虚肾亏,宫腔粘连,小儿疳积,肘关节疼痛,小儿遗尿,恶性心律失常,乏力,黑矇,呼吸困难,肢冷,胆囊胆管结石,胆囊炎,慢性胆囊炎,门脉高压性胃病,平滑肌瘤,舌体胖大,十二指肠球部溃疡,顽固性便秘,顽固性口臭,虚寒性冒肠病,易疲劳,藏毛窦,肠道肿瘤,骶前肿瘤,复杂性肛瘘,肛管瘢痕狭窄,肛门狭窄,肛门坠胀,肛乳头肥大,结肠黑变病,结直肠息肉,结直肠肿瘤,直肠阴道瘘,痔病,白塞氏综合征,成人斯蒂尔病,肩关节疼痛,反应性关节炎,回纹风湿病,雷诺氏病,瑞特综合征,银屑病性关节炎,原发性胆汁性肝硬化,脂膜炎,分裂症,恐怖症,慢性疲劳,躯体形式障碍,神经衰弱,神经性厌食,神经质症,心身病症,疑病症,癔症,声带白斑,女性排尿功能紊乱,肺炎喘嗽,小儿痰热壅肺证,小儿肾脏病,病毒性角膜炎,玻璃体浑浊,泪道病,葡萄膜炎,视网膜色素变性,眼底黄斑水肿,带状疱疹后遗症,复发性单纯疱疹,神经性皮炎,室间隔缺损,卵圆孔未闭,疑难出凝血疾病,粒细胞减少症,消化道早期癌瘤,血管性肝病,代谢性骨病,巨人症,肢端肥大症,泌乳素瘤,腺垂体功能减退症,下丘脑综合征,生长发育障碍,骨代谢性疾病,脂代谢疾病,脑深静脉血栓,感觉功能障碍,躯体化障碍,非结核分支杆菌肺病,肺部磨玻璃结节,妊娠结核病,耐药结核病,肺结核合并支气管结核,肺结核合并糖尿病,结核病合并艾滋病,多浆膜腔积液,真菌性肺病,支气管胸膜瘘,胸壁肿物,慢性结核性脓胸,颈淋巴结结核,儿童病毒性肺炎,重症麻疹,暴发型流脑,重症流行性出血热,猩红热,顽固性心衰,颈腰肢体疼痛,终末期肝病,胸腹腔积液,骨不连,股骨颈骨折,髋膝骨关节炎,关节畸形,脊柱侧凸症,韧带骨化症,胸椎管狭窄症,胸椎管肿瘤,腰椎滑脱症,腰椎不稳症,腰椎肿瘤结核病,骨化症,胸腰椎骨折,老年胸腰椎压缩性骨折,妊娠合并症/并发症,早期异位妊娠,异常双胎妊娠,新生儿先心病,失血性休克,妊娠期急性脂肪肝,高甘油三酯血症性胰腺炎,围产期的情绪障碍,孤独症谱系障碍,注意缺陷多动障碍,发育行为,喉鸣,呼吸消化合并症,全面发育迟缓,小头畸形,缺氧缺血性脑病,吉兰巴雷综合征,脑白质病,关节活动障碍,苯丙酮尿症,X型腿,O型腿,胆汁淤积,小睾丸,睾丸微石症,普拉德-威利综合征,ABO血型不合,枫糖尿病,甲基丙二酸血症,代谢性肝病,先天性肾上腺皮质增生症,先天性睾丸发育不良症,先天性骨骼发育缺陷,希特林蛋白缺乏症,糖原累积病,细菌性阴道炎,真菌性阴道炎,滴虫性阴道炎,蛲虫性阴道炎,淋菌性阴道炎,阴唇粘连,阴道异物,乳房早发育,性发育畸形,肺动静脉瘘,冠状动脉瘘,主动脉窦瘤破裂,主动脉缩窄,支气管动脉肺动脉瘘,紫绀,大动脉转位,胆脂瘤,附耳,耳前瘘管（先天性耳前瘘管）,小耳畸形 ,高泌乳素血症,先天性无阴道,阴道横(斜)隔,小儿疱疹性咽峡炎,高雄激素血症,输卵管梗阻,骨盆损伤,耳前窦道表皮样囊肿,肠重复畸形,胎粪性腹膜炎,骶尾部畸胎瘤,寄生胎,蹼状阴茎,卵泡未破裂黄素化综合征,母乳巨细胞病毒感染,横纹肌肉瘤,尤文氏肉瘤,出血性脑血管病,脑（脊髓）动静脉畸形,硬脑（脊）膜动静脉瘘,大血管闭塞,急性颅脑损伤,脊髓血管病,高血压脑出血,中枢神经系统肿瘤,颅底肿瘤,颅脑创伤,黄疸性肝炎,臌胀病,肝胆疾病,妊娠母婴阻断,脂肪性肝炎,酒精性肝炎,病毒性肝硬化,肝纤维化,急慢性病毒性肝炎,乙肝肝硬化,丙肝肝硬化,血吸虫肝硬化,伤寒,副伤寒,感染性发热,寄生虫病,酒精性肝硬化,药物性肝硬化,自发性腹膜炎,感染性胸水,顽固性腹泻便秘,白发脱发,肝硬化腹水,流行性疫病,顽固性咳嗽,肥胖代谢综合症,多囊卵巢綜合症,小儿积食,老年性便秘,喘病,吐酸,囊肿型痤疮,痰湿型黄褐斑,反复性口疮溃疡,腰椎间盘突出症,老年骨质疏松骨折,严重四肢创伤骨折,骨不连接,四肢骨关节损伤,开放性骨折,爆炸伤,颈椎突出症,骨盆骨折,髋臼骨折,四肢复杂骨折,复杂骨科创面感染,骨折不愈合,复杂手足外伤,脑卒中颅脑损伤,出血性内痔,食管胃底静脉曲张,内痔硬化,直乙状结肠炎,食管早癌,胃早癌,消化道息肉,胆胰管结石,胆胰管良性狭窄,胆胰管恶性狭窄,急性单纯性阑尾炎,结肠癌狭窄,直肠癌狭窄,消化道狭窄,血脂异常,B型主动脉夹层,毛发移植,下颌角切除整形,面部除皱拉皮,瘦脸,面部吸脂,隆颏,脱毛,上睑下垂矫正,隆鼻术,鼻头缩小,鼻小柱延长,鼻翼缩小,耳软骨鼻头塑型,肋软骨鼻头塑型,下颌骨磨削术,全脸脂肪填充术,隆乳术,腰腹脂肪环吸术,四肢脂肪环吸术,面部线雕提升,脂肪胶填充,韩式双眼皮,切开双眼皮,微创开眼角,鼻综合整形,眼袋整形,生物素除皱,自体脂肪填充,提眉,脂肪抽吸,老年性胸腰椎压缩性骨折,复杂关节内骨折,重症颅脑损伤,冻肩周炎,多发性韧带断裂,髋关节痛,踝关节不稳,腰椎间突出,关节损伤,断肢再植,牙颌畸形,错颌畸形牙,亚急性甲状腺炎,桥本氏甲状腺炎,妊娠期甲状腺功能异常,青少年糖尿病,儿童注意缺陷障碍,老年性精神障碍,贪食症,强迫障碍,青少年学习障碍,椎基底动脉供血不足,Turner综合征,颅内血肿,川崎病合并冠状动脉瘤,肺不张,难治性支原体肺炎,轮状病毒肠炎,癫痫持续状态,肾小球肾炎,HPV感染,阴道脱垂,膜性肾病,重症系统性红斑狼疮,重症血管炎,肾病综合症,球囊扩张慢性肾小球肾炎,急性肾小球肾炎,微小病变型肾病,原发性局灶性节段性肾小球硬化症,系膜增生性肾小球肾炎,特发性膜性肾病,过敏性紫癜性肾炎,干燥综合征肾损伤,良性高血压肾硬化症,恶性高血压肾硬化症,左肾静脉受压综合征,急性间质性肾炎,肾小管性酸中毒,尿道炎,急性下尿路感染,无症状菌尿,无菌性尿道综合征,妊娠合并血液系统异常,继发性高血压,甲亢浸润性突眼,血气胸,连枷胸,肋骨骨折,先天性胸壁畸形,胸壁巨大肿瘤,胸腺囊肿,胸腺癌,良恶性胸膜间皮瘤,包裹性胸腔积液,急慢性脓胸,局限性肺气肿,炎性假瘤,食管平滑肌瘤,贲门癌,哮喘眠呼吸暂停综合征,输卵管阻塞性不孕症,门静脉高压症,气道恶性肿瘤,急慢性心律失常,糖尿病酮症酸中毒,慢阻肺继发,食物中毒,严重脓毒症,顽固性休克,重症急性胰腺炎,重症哮喘,自缢,毒虫咬伤,蜂蛰伤,泌尿生殖系统肿瘤,泌尿生殖系统先天畸形,泌尿生殖系统损伤,女性压力性尿失禁,小儿尿道下裂矫正,隐匿性阴茎矫正,膀胱根治性切除,前列腺根治性切除,根治性肾切除,肾盂癌根治,肾部分切除,嗜铬细胞瘤切除,肾盂成型,经皮肾镜碎石,腹腔镜技术治疗肾囊肿";
    public static String disease3 = ",膀胱结石,乳房整形美容,体型雕塑,综合鼻整形,体表器官再造,外耳再造术,多层次面部除皱术,隆胸,眼鼻整形,瘢痕与慢性创面修复,疤痕综合修复,风湿骨病,慢性胃病,骨性关节炎,脑梗死恢复期,泌尿道结石,心跳呼吸骤停,复杂性腹腔感染,严重颅脑损伤,严重代谢或电解质紊乱,重症胰腺炎,心脏骤停,心肺复苏,农药中毒,重金属中毒,窒息性刺激性气体中毒,心血管急症,慢性阻塞性肺疾病急性发作,大咯血,常规病理,细胞病理,免疫病理,分子病理,病理会诊,活体组织检查,肿瘤病理诊断,非肿瘤疾病病理诊断,胸腹水,心包积液,后天性心脏病,室壁瘤,动脉粥样硬化斑块,血管狭窄及闭塞,肢体动静脉血栓,锁骨下动脉窃血,乳腺浸润性导管癌,子宫卵巢肿瘤,先天性子宫发育异常,滋养细胞疾病,胎儿发育畸形,无脑儿,全前脑,脊柱裂,四肢短小,消化道闭锁,尿道畸形,发育畸形,肥厚性幽门狭窄,新生儿脑积水,小儿髋关节发育不良,腹部肿瘤,鼻腔肿瘤,鼻窦肿瘤,食道异物,呼吸道异物,急性会厌炎,喉囊肿,腹腔镜手术,经阴道手术,子宫良恶性肿瘤,宫颈疾病,宫腔镜,阴式子宫切除,女性盆腔炎,盆底功能障碍,慢性盆腔炎,月经紊乱,处女膜修补,外痔,肛周直肠脓肿,直肠粘膜内脱垂,先天性巨结肠病,肛门直肠息肉,肛门尖锐湿疣,直肠异物,孤立性直肠溃疡,肛管癌,家族性腺瘤性息肉,肛管乳头瘤,直肠息肉,直肠肿瘤,肛管直肠炎性病变,肛管肿瘤,肛门肿瘤,良恶性气道狭窄,支气管食管瘘,肺恶性肿瘤,呼吸危重症,急性左心衰,重症呼吸,肺源性心脏病,急性胃肠损伤,胃肠道疾病急症发作,酒精中毒,低钾血症,低钠血症,凝血异常,老年性白血病,烫伤,瘢痕癌,深度烧伤,热压伤,化学烧伤,呼吸道烧伤,吸入性烧伤,血管性溃疡,放射性皮肤溃疡,烧伤后色素障碍,电烧伤,热挤压伤,老年烧伤,慢性难愈性创面,小儿烧伤,烧伤瘢痕,挤压伤,严重瘢痕畸形,先天性四肢畸形,眼及口鼻整形,低热烫伤,原发性肾小球肾炎,系统性红斑狼疮性肾炎,过敏性紫癜肾,多发性骨髓瘤肾病,药物相关性肾损害,急慢性间质性肾炎,Fanconi综合征,急慢性膀胱炎,急慢性肾盂肾炎,梗阻性肾病,尿毒症合并心衰,尿毒症合并心肌梗死,尿毒症合并脑出血,尿毒症合并脑梗塞,痛风性肾脏病,感染性肾脏疾病,高血压肾损害,药物性肾损害,腰椎滑脱动态固定,退行性关节病,髋膝关节骨关节炎,肱骨头粉碎性骨折,先天性髋臼发育不良,颈椎间盘突出,颈椎管狭窄,脊柱韧带骨化症,脊柱骨质疏松性骨折,脊髓型颈椎病,神经根型颈椎病,颈椎畸形,大关节骨性关节炎,四肢及脊柱骨折,软组织缺损,顽固性呃逆,神经病理性疼痛,穿孔,幽门狭窄,胃肠间质瘤,股疝,腰疝,白线疝,小儿疝,双侧腹股沟疝,复发性疝,小儿肠套叠,小儿阑尾炎,先天性幽门肥厚狭窄,先天性肠闭锁和肠狭窄,先天性肠旋转不良,慢性溃疡,先后天性畸形,外耳畸形,复杂关节骨折,唇腭裂修复,脑血管病后遗症,原发性和转移性肝癌,肝囊肿,胰腺囊肿,壶腹癌,恶性淋巴瘤,复杂多发骨折,神经血管损伤,猝死,药物中毒,创伤性休克,严重心功能衰竭,爆发性心肌炎,心肺功能衰竭,多发性创伤,重度心衰,严重电解质紊乱,急性重症胰腺炎,肝肾功能衰竭,急性呼吸功能衰竭,急性肝肾衰竭,男性泌尿及生殖系统肿瘤,眩晕变应性鼻炎,急慢性中耳炎,耳源性眩晕,腺样体增生,扁桃体肥大,耳廓囊肿,突聋,特发性突聋,小儿扁桃体腺样体肥大,遗传性耳聋,双侧前庭病,功能性头晕,老年性平衡失调,新生儿听力诊断,耳闷,耳痛,颈静脉孔区肿瘤,慢性泪囊炎,外伤性视神经损伤,脑脊液鼻漏,复发性鼻咽癌,声带良性增生,声带囊肿,声带肉芽肿,声带运动障碍,声带麻痹,环杓关节脱位,先天性嗓音疾病,喉蹼,声带沟,功能性发音障碍,腮腺肿瘤,咽旁间隙肿瘤,副神经节瘤,颞下窝肿瘤,甲舌囊肿,中耳胆脂瘤,慢性鼻窦炎,阻塞性睡眠暂停低通气综合征,多血管炎,系统性硬化病,弥漫性结缔组织病,多肌炎,重叠综合征,Reiter综合征,银屑病关节炎,未分化脊柱关节病,原发性继发性骨关节炎,假性痛风,马方综合征,免疫缺陷病,风湿热,原发性滑膜瘤,滑膜肉瘤,神经性关节病,压迫性神经病变,雷诺病,骨软化,肥大性骨关节病,弥漫性原发性骨肥厚,骨炎,关节周围病变,椎间盘病变,特发性腰痛,精神性风湿病,周期性风湿热,间歇性关节积液,药物相关的风湿综合征,慢性活动性肝炎,HPV持续性感染,阴道和外阴癌前病变,宫颈疾病及高危妊娠,疤痕妊娠,盆腔包块,子宫肿瘤,外阴白斑,女性生殖道畸形,肩关节肩袖损伤,踝关节韧带损伤,足跟骨刺,腕管综合症,前后交叉韧带损伤,脊柱滑脱,颈胸腰椎间盘突出,急慢性肺栓塞,肺静脉狭窄,气管支气管胸膜瘘,急性高危肺栓塞,肺血管畸形,肺动脉瘤,支气管动脉瘤,上腔静脉综合征,纤维纵隔炎,心肺功能不全,阻塞性睡眠呼吸暂停综合症,上气道阻力综合征,肥胖性低通气综合征,骨折后关节功能障碍,急慢性肌骨疼痛,产后盆底肌康复,产后漏尿,小儿脾胃虚弱,肿瘤术后淋巴水肿,迟发型脑病诊断治疗,植物状态促醒,神经性疼痛,骨折后功能障碍,颌面部多发性骨折,口腔颌面部肿瘤及外伤,牙龈出血,牙龈肿胀,⻘少年及成人各类错颌畸形,牙髓病,牙体缺损,阻生智齿,口腔颌面部感染,牙颌面畸形,分娩镇痛,泌尿系统结石,泌尿系统肿瘤,女性尿频,膀胱过度活动症,小儿包皮过长,糖尿病非酮症高渗性昏迷,糖尿病高渗状态,低血糖,低血糖昏迷,内分泌性高血压,脂代谢异常,囊肿,老年瘙痒性皮肤病,原发性肾炎,风湿免疫疾病肾损害,肾小管间质肾病,血管炎肾病,乙肝相关性肾炎,骨髓瘤肾病,轻链肾病,新月体肾炎,脓毒血症合并多脏衰,骨折术后感染,药物及毒物中毒,自身免疫性疾病肾损害,继发性肾病,心肾衰竭,狼疮性肾病,肌紧张行头痛,外伤后头痛,腰穿后头痛,神经损伤后疼痛,局部疼痛综合征,颞下颌关节功能紊乱综合征,退行性骨关节炎,急慢性腰扭伤,腰背肌筋膜炎,软组织损伤,膝关节骨性关节病,家族性结肠息肉病,腹膜炎,破伤风,结肠憩室炎,结直肠恶性肿瘤,复杂肛瘘,2型糖尿病,痔瘘,上下消化道息肉,消化道早期肿瘤,急慢性肝病,消化道早癌及癌前病变,肝硬化并食管静脉曲张破裂出血,食管贲门失弛缓症,食管早期肿瘤,胃息肉,胃石症,十二指肠炎,小肠出血,结肠息肉,肝脓肿,胆管炎,胰腺良恶性肿瘤,胸壁肿瘤,胸腺瘤合并肌无力,下肢动脉狭窄闭塞,胆道狭窄,巩膜炎,眼睑腺炎,眼内炎,结膜肿瘤,视网膜肿瘤,视网膜裂孔,黄斑病变,眼球破裂伤,眼球内异物,泪腺炎,泪道阻塞,视神经病变,动眼神经麻痹,先天性青光眼,先天性白内障,角膜病变,虹膜病变,玻璃体病变,视网膜病变,眼睑病变,带状疱疹性神经痛,落枕,腰背肌劳损,中风后肩手综合征,脊柱手术后综合征,面瘫后遗症,面肌萎缩,联动症,颞下颌关节痛,术后盆腔痛,产后疤痕,急慢性关节扭挫伤,软组织拉伤,慢性功能性胃肠病,小儿消化不良,淋巴结节,甲亢毒性眼病,高血压脑病,发伴瘤分泌综合征,风湿类风湿关节炎,风湿性纤维肌痛症,贝赫切特病,舍格伦综合征,口腔扁平苔藓,面部色斑,肝郁,气血虚,脾虚,Barrett食道,胃肠上皮化生,胃炎幽门螺杆菌感染,血尿酸异常症,脂蛋白异常血症,异位多肤激素综合征,伴瘤电解质紊乱,Cushing综合征,Addison病,肢体怕冷,夜尿频多,子宫内膜变薄,性激素水平低下,返流性食管炎,胆汁返流性胃炎,颈椎腰腿痛,风寒湿痹,闭合性软组织损伤,甲亢突眼,动静脉血栓,动静脉畸形(AVM),肝脏海绵状血管瘤,难治性瘙痒症,胆胰瘘,重症新冠肺炎,瘢痕瘤,盆腔肿瘤,老年心力衰竭,老年肺恶性肿瘤,老年胃肿瘤,老年重症胰腺炎,老年营养不良,老年肺结节,老年心脏病,肾功能不全,慢性心力衰竭,先天听骨链畸形,颞骨肿瘤性疾病,耳硬化症,颈静脉球瘤,先天性耳聋,前庭周围性眩晕,感音神经性耳聋,先天性耳畸形,外耳道炎,外耳湿疹,慢性鼻窦炎鼻息肉,脑膜脑膨出,陈旧性鼻骨骨折,鞍鼻,歪鼻,鼻缺损,鼻甲肥大,鼻咽囊肿,声带乳头瘤,喉气管狭窄,肌紧张性发音障碍,声带不全麻痹,男声女调,女声男调,气管异物,咽异感症,咽喉肿瘤,颌面部肿瘤,甲状旁腺肿瘤,舌根癌,颊粘膜癌,舌下腺肿瘤,甲状舌管瘘管,颅内外沟通性肿瘤,外耳道胆脂瘤,桥小脑角区肿瘤,涎腺肿瘤,鼻畸形,错颌畸形,先天性外中耳畸形,传导性聋,颈静脉球体瘤,慢性化脓性中耳炎,中耳乳突胆脂瘤,鼓室硬化症,外鼻畸形,儿童急慢性鼻炎,儿童急慢性鼻窦炎,儿童急慢性上呼吸道感染,上颌窦癌,儿童反复呼吸道感染,前庭神经元炎,儿童鼻炎,儿童鼻窦炎,儿童腺样体肥大,儿童扁桃体肥大,儿童鼻出血,急慢性鼻炎,急慢性鼻窦炎,急慢性鼻中隔偏曲,急慢性鼻出血,急慢性鼻息肉,鼻咽肿瘤,焦虑障碍,器质性精神障碍,偏执性精神病,应激相关障碍,品行问题,对抗行为,电脑成瘾行为,学习困难,离别焦虑症,学校恐怖症,慢性疼痛障碍,脑器质性精神障碍,脑功能障碍,心境情感障碍,药物依赖,愤怒情绪,急性脑梗死,肌肉无力,肌肉萎缩,脊肌萎缩症,青年上肢肌萎缩,慢性炎性脱髓鞘性多发性神经病,营养性周围神经病,代谢性周围神经病,中毒性周围神经病,炎性肌病,全面性发育迟缓,遗传性疾病,肌肉疾病,感染性神经病,失语症,老年神经系统疾病,脑中风语言障碍,脑中风记忆障碍,脑中风认知障碍,震颤,多发性硬化,运动障碍疾病,缺血性脑血管狭窄,急性脑动脉闭塞,慢性脑动脉闭塞,颅内静脉窦血栓,原发性头痛,继发性头痛,药物过量性头痛,睡眠呼吸暂停所致头痛,感染相关性头痛,难治性头痛,神经肌肉疾病,神经免疫疾病,慢性偏头痛,顽固性三叉神经痛,书写痉挛,痉挛性构音障碍,肢体肌张力障碍,流涎症,急性缺血性脑血管病,神经退行性疾病,细菌性脑炎,结核,真菌性脑炎,急性播散性脑脊髓炎,视神经脊髓炎谱系疾病,急性格林巴利,慢性格林巴利,难治性偏头痛,中枢性眩晕,外周性眩晕,发作性位置性眩晕,急性缺血性卒中,椎动脉狭窄血管,神经损伤,三叉神经鞘瘤,椎管肿瘤,颅内动脉狭窄,颈动脉海绵窦瘘,脑干出血,颅咽管瘤,颅底脊索瘤,鞍区肿瘤,复杂侵袭性垂体瘤,复发颅咽管瘤,颅内囊肿,脑脊液漏,复杂颅底肿瘤,颅内血管病,颅底先天性畸形,脊髓椎管肿瘤,复杂出血性脑脊髓血管病,前后循环缺血,松果体区肿瘤,复杂性慢性硬膜下血肿,复杂性脑积水,复杂性血管畸形,大脑中动脉瘤,脑内血肿,大脑半球肿瘤,小脑半球肿瘤,中枢神经系统先天性畸形,枕骨大孔区肿瘤,脊髓髓内肿瘤,岩斜坡肿瘤,桥小脑角肿瘤,嗅沟巨大脑膜瘤,脊髓动静脉畸形,脊髓动静脉瘘,脊膜瘤,颈内动脉海绵窦瘘,椎管内脓肿,颅内肉芽肿,椎管内肉芽肿,脑室炎,脑囊虫病,脑血吸虫病,脑包虫病,寰枕部畸形,颅裂,脑脊膜膨出先天脑积水,脑干病变,急性肾脏病,泌尿系统感染,继发性肾小球肾炎,内瘘闭塞,超滤不良,ANCA相关性血管炎,痛风性肾损害,危重肾脏病,肾血管病,难治性泌尿系感染,ANCA相关性肾炎,过敏性紫癜肾炎,重症新冠感染,充血性心力衰竭,外周静脉狭窄,中心静脉狭窄,栓塞,顽固甲状旁腺亢进,消化道异物,胆胰管恶性梗阻性狭窄,胆胰管梗阻,胃食管反流疾病,幽门螺旋杆菌感染,幽门梗阻,胃食管返流病,消化系统肿瘤,消化道粘膜病变,消化道粘膜下肿瘤,胆系肿瘤,色素斑息肉综合征,感染性肠炎,纤维钙化瘤,癌前病变,急性消化道出血,快速性心律失常,缓慢性心律失常,室性心律失常,冠心病急性心肌梗死,周围动脉硬化,心肌心包疾病,早搏,合并心脑肾靶器官损害高血压,重症心肌炎,动脉斑块,遗传性心脏病,遗传性心律失常,肥厚心肌病,恶性室性心律失常,心脏瓣膜狭窄,房室传导阻滞,病态窦房结综合征,预激综合征,心室颤动,支气管残端瘘,胸顶部肿瘤,Kartagener综合症,气管病变,支气管病变,食管烧伤,肺化脓症,肺脓肿,肺先天性畸形,支气管肿瘤,外伤性断裂,气管畸形,食道肿瘤,食管憩室,食管穿孔,自发性食管破裂,胸腺肿瘤,胸壁结核,胸壁化脓性炎症,视网膜动脉阻塞,视网膜静脉阻塞,玻璃体积血,黄斑疾病,复杂性白内障,角膜晶体眼底疾病,难治性黄斑裂孔,复杂眼外伤,老年性黄斑变性,翼状胬肉,糖尿病视网膜病变并发症,复杂白内障,复杂眼底病,视网膜血管疾病,巨细胞病毒性视网膜炎,视神经炎,缺血性视神经病变,外伤性视神经病变,视盘水肿,黄斑病,视乳头水肿,Coats病,玻璃体视网膜疾病,视网膜母细胞瘤,黄斑水肿中浆,远视,散光,屈光参差,黄斑前膜,高度近视眼底病变,视网膜血管阻塞,共同性斜视,限制性斜视,麻痹性斜视,儿童弱视,遗传性眼病,小儿眼视光,儿童眼病,年龄相关性黄斑变性,病毒性角膜神经病变,息肉样脉络膜血管病变,视网膜下出血,感染性眼病,病理性近视,复杂性视网膜脱离,黄斑部疾病,视网膜脉络膜病,糖尿病性白内障,硬核白内障,玻璃体切除术后白内障,视网膜劈裂症,眼眶病,Leber遗传性视神经病变,眼化学伤,角膜结膜肿瘤,肝硬化食管静脉曲张,食管静脉曲张,食管畸形,食管异物,食管动力性疾病,肠道畸形,血管发育异常,小肠疾病,急性肝炎,肝胆胰腺疾病,食管胃底静脉曲张破裂出血,粘膜下肿瘤,消化道粘膜下病变,胆道胰腺疾病,胃肠道早癌,难治性腹水,黏膜下肿瘤,麻木,记忆力障碍,肢体无力,神经功能失调,中枢神经系统炎症,格林-巴利综合征,低钾性麻痹,重症肌无力危象,运动障碍性病变,神经肌肉病变,病毒性脑膜脑炎,急性脊髓炎";
    public static String disease4 = ",脑肺吸虫病,呼吸肌麻痹,脑疝,急进性肾炎,隐匿性肾炎,肿瘤相关性肾炎,肾淀粉样病变,轻链病肾病,溶血性尿毒症综合征,血栓性血小板减少性紫癜肾损害,急慢性尿道炎,肾小管酸中毒,遗传性肾炎,Fabry病,常染色体显性遗传成人多囊肾病,多囊肾出血,腹透导管移位,血栓,难治性高血压,急性心肌炎,急性主动脉夹层,脓毒症性MODS,抑制剂心肌炎,急性胸痛,头颈肿瘤,颌下腺癌,中耳癌,头颈部恶性淋巴瘤,淋巴管上皮瘤,神经鞘膜瘤,急性中耳炎,喉乳头状瘤,喉恶性肿瘤,早期声门型喉癌,主持性心理,成年焦虑症,青少年情绪障碍,青少年行为障碍,中动脉动脉瘤,脑挫裂伤,硬膜下出血,硬膜外出血,脑和脊髓挫裂伤,脑和椎管内脓肿,颅内和椎管内肉芽肿,颅裂和脊柱裂,海绵状血管瘤,慢性硬膜下血肿,再发食管癌,肺转移瘤,胸廓畸形,化脓性炎症,矽肺,严重肺气肿,食管胃双源癌,食管气管瘘,食管瘢痕狭窄,食道灼伤,喉食管灼伤,食管多发憩室,食管憩室穿孔,儿童食道灼伤,先天性食道闭锁,巨食管,视神经疾病,高度近视眼底相关病变,黄斑下出血,眼肌病,眼整形,复杂性斜视,眼部烧伤,眼化学烧伤,开角型青光眼,闭角型青光眼,急慢性泪囊炎,眼视光,老年黄斑变性,眼眶肿瘤,眼眶外伤,眼睑肿物,角巩膜裂伤,自身免疫性疾病,风湿免疫性疾病,内分泌性疾病,妊娠肝病,顽固性腹水,复杂性难治性肠外瘘,巨大腹壁切口疝,难治性肛门痔瘘裂,胆囊息肉,重症环状痔,结直肠肛门肿瘤,复杂性高位肛周脓肿,重度痔病,环状混合痔,肛周化脓性大汗腺炎,血栓痔,高位复杂性肛瘘,内外痔,肛乳头状瘤,直肠炎,坏死性筋膜炎,直肠前凸,直肠粘膜内套叠,大汗腺炎,反复性肛裂,结直肠炎,小儿肛瘘,复杂性肛周脓肿,高位肛瘘,肛周湿疹,藏毛囊肿,直肠粘膜脱垂,高低位复杂性肛瘘,肛门湿疣,急慢性肛裂,婴幼儿肛瘘,藏毛窦瘘,肛门直肠腺瘤,肛窦炎,肛周大汗腺炎,溃疡性结直肠炎,肛周瘙痒症,慢性结直肠炎,肛门肌瘤,直肠前突,烧烫伤,体表肿瘤,心肌疾病,老年糖尿病,镶牙,涎腺病,颌面部外伤,全血细胞减少,骨髓增殖性肿瘤,华氏巨球蛋白血症,炎性脊柱关节病,多发性周围神经损伤,慢性格林巴利综合征,脊髓炎帕金森综合征,截肢再植,脊髓损伤后疼痛,中枢痛,放/化疗后疼痛,儿童发育迟缓,儿童缺血缺氧性脑病,孕期腰骶痛,产后乳房胀痛,乳头皲裂,会阴水肿,子宫复旧不良,腹直肌分离,耻骨联合分离,反复泌尿生殖系感染,慢性盆腔疼痛,肢体功能障碍,疤痕增生,房性早搏,瓣膜性疾病,主动脉瓣关闭不全,代谢综合症,原发性垂体功能减退症,库欣综合症,亚甲炎,尿崩症,淋巴结,肾造瘘,肝肾囊肿,假性动脉瘤,无痛分娩,宫颈机能不全,中央型前置胎盘,头位难产,妊娠合并子宫肌瘤,胆汁淤积综合征,囊肿硬化,小儿斜颈,脑损伤,肺炎支原体,衣原体感染,新生儿呼吸窘迫征,新生儿持续肺动脉高压,中重度高胆红素血症,胆红素脑病,溶血病,鼻腔鼻窦肿瘤,儿童鼾症分泌性中耳炎,急慢性中耳炎突发性耳聋,鼻窦炎声带息肉,颈淋巴结,复杂泌尿系感染,血管炎肾损害,急慢性肾衰尿毒症,急慢性肾功能衰竭,痛风及系统性血管炎,免疫性肾脏病,早发性卵巢功能不良,不规则阴道出血,宫颈恶性肿瘤,卵巢良性肿瘤,盆腔子宫内膜异位症,宫颈疾病及妇科肿瘤,生殖道整形,陈旧性会阴裂伤,巨大肝血管瘤,肝癌合并门静脉高压症,晚期胰腺癌,重症胆管炎,肝胆肿瘤,自体肝移植,复杂肝胆管结石,肝胆结石,肝胰恶性肿瘤,门脉高压症,肝门胆管癌,肝硬化门脉高压症,脾肿瘤,肘关节骨性关节炎,老年胸腰椎骨质疏松性压缩性骨折,骨盆髋臼骨折,四肢肿瘤,骨盆肿瘤,膝骨关节炎,骨关节疼痛,脊柱椎管狭窄,脊柱爆裂性骨折,老年骨质疏松性椎体骨折,膝关节退行性关节炎,皮肤瘢痕,乳腺纤维瘤,浆细胞性/肉芽肿性乳腺炎,乳腺良性肿瘤,巨大良性肿瘤,男性乳房发育,枕大神经痛,臀上皮神经炎,风湿性关节炎,记忆力及言语功能障碍,内分泌紊乱,疑难阻生齿,颌面良恶性肿瘤,前牙畸形,青少年口腔颌面部错合畸形,咀嚼障碍,男子勃起功能障碍,男子不育症,阴茎硬结症,睾丸附睾疾病,复杂性膀胱尿道阴道瘘,尿道粘膜脱垂,阴茎癌,睾丸癌,免疫性疾病,色素性皮肤病,社区获得性肺炎,肌肉筋膜疼痛,慢性肾脏病,慢性肌痛,切口疝,造口旁疝,复发疝,巨大切口疝,闭孔疝,嵌顿疝,造口疝,食道裂孔疝,颅内外动脉狭窄,脑血管狭窄,头晕头痛,失眠障碍,睡眠增多症,睡眠行为异常,经鼻蝶垂体瘤,颅内脑膜瘤,肌癌性疼痛,颈腰椎间盘突出,胃十二指肠穿孔,胃肠道良性肿瘤,息肉样腺瘤,神经纤维瘤,胃肠道恶性肿瘤,结直肠息肉和息肉病,高龄胆总管结石,晚期胆胰肿瘤,胆管梗阻,胰腺脓肿,胰腺假性囊肿,胰腺分裂症,黏膜病变,神经内分泌瘤,食管固有肌层肿瘤,肝炎后肝硬化引起门静脉高压,肝窦阻塞综合征,特发性门静脉高压,胰腺疾病引起左侧门静脉高压,门静脉系统血栓,腹腔脓肿,非酒精性肝病,先天代谢性肝病,消化道良恶性狭窄,胆胰管良恶性狭窄,急慢性肝炎,脾功能亢进,顽固心衰,高血压重症,扩心病,心率失常,冠脉疾病,大血管疾病,心脏外伤,心脏肿瘤,缩窄性心包炎,胸壁良恶性肿瘤,纵隔良恶性肿瘤,胸部肿瘤,膝下动脉慢性全堵病变,静脉血栓栓塞症,颈动脉粥样硬化,急性白血病,慢性髓系白血病,慢性淋巴细胞白血病,眼睑倒睫,视网膜分支静脉阻塞,玻璃体视网膜病变,孔源性视网膜脱离,眼睑整形,烧伤瘢痕畸形,唇腭裂畸形,面部五官整形,肝脏结节,肺癌栓塞,子宫肌瘤栓塞,支气管动脉栓塞,瘿病,痹症,肩颈腰痛,湿重,肝胆病,胃病,肿瘤性疾病,恶性胸腹水,消化道恶性肿瘤,胃肠癌,老年高血压,缺血性脑卒中,衰弱综合征,软组织急慢性损伤,眼睑下垂,慢性疲劳综合症,关节退行性变及损伤,胃脘痛,炎症性皮肤病,复杂性梅毒,瘙痒性皮肤病,急性皮肤病,白癫风,泛发性湿疹,寻常性银屑病,慢性皮肤溃疡,重度Ⅱ型炎症性皮肤病,麻风病,麻风溃疡,梅毒溃疡,臀部肌注硬结,硬结环节疼痛,多重感染性病,巨大尖锐湿疣,顽固性炎症性皮肤病,精神相关性皮肤病,皮肤病,慢性皮肤病,小儿皮肤病,药疹,损害性皮肤病,急性荨麻疹,脂溢性皮炎,变应性皮肤病,色素斑,皮肤老化,放射性职业病,职业中毒,噪声聋,职业性尘肺病,职业化学中毒,职业性中毒,手足部皮肤软组织损伤,手骨关节损伤,足骨关节损伤,四肢肌腱损伤,血管损伤,上肢周围神经损伤,肢体离断伤,手部感染性疾患,手部肿瘤,足部肿瘤,手部先天性畸形,掌腱膜挛缩症,手足畸形,腕关节损伤,手足疤痕挛缩,肘管综合征,尺管综合征,直肠肛门周围脓肿,急慢性直肠炎,直肠深部脓肿,骶前囊肿,化脓性大汗腺炎,肛周paget病,肛门失禁,肛旁肿物,直肠病损,直肠肿物,肛周坏死性筋膜炎,克罗恩病肛瘘,肛门痛痒,急性咳嗽,关节痛,急性肾盂肾炎,急性出血性膀胱炎,高尿酸性肾病,乙肝相关性肾损害,血管炎性肾病,类风湿性关节炎肾损害,肾小管间质疾病,急性过敏性间质性肾炎,马兜铃酸肾病,遗传性肾病,薄基底膜肾病,梗阻性肾病泌尿系结石,小血管炎性肾损害,血栓性微血管病肾损害,重症狼疮性肾炎,骨髓瘤肾损害,糖尿病性肾病,肠漏,睑板腺囊肿,睑缘炎,眼睑皮炎,睑外翻,泪道狭窄,泪腺肿瘤,眼表病,巩膜病,创伤性血气胸,创伤性膈疝,开放性胸部损伤,开放性肋骨骨折,肺脏良性肿瘤,肺脏恶性肿瘤,胸部严重创伤,食管良性肿瘤,巨脾症脾亢,腹部外伤性肝脾破裂出血,胆管肿瘤,肝外胆道肿瘤,急性胆源性胰腺炎,疱疹,祛斑,美白嫩肤,皮肤松弛,湿疹带状疱疹,1型糖尿病,甲状腺功能减退症,甲状旁腺功能减退症,甲状旁腺瘤,皮质醇增多症,生长激素瘤,内分糖尿病,卵巢破裂,盆腔脓肿,子宫颈恶性肿瘤,输卵管肿瘤,绒癌,阴道前壁膨出,阴道后壁膨出,功能失调性子宫出血,子宫颈病变,子宫内膜病变,输卵管妊娠,老年高血压病,老年肺炎,老年脑卒中,肌营养不良,多系统萎缩,小儿发育迟滞,智力低下,精神行为障碍,言语障碍,脊髓病损,急性软组织损伤,慢性软组织损伤,鼻窦囊肿,鼻腔鼻窦鼻咽部恶性肿瘤,喉部良性肿瘤,中耳良性肿瘤,中耳恶性肿瘤,听神经鞘瘤,垂体腺瘤,脑寄生虫病,颅骨肿瘤,脊神经根病变,颅脑损伤脑出血,颅脑高血压病脑出血,胃出血,胃间质瘤,婴幼儿哮喘,变态反应性疾病,儿童传染病,慢性心功能不全,急性心功能不全,慢性房颤,高血压危象,泌尿生殖系统感染,胡桃夹综合征,肾上腺疾病,泌尿生殖系结石,泌尿生殖系肿瘤,泌尿系梗阻,四肢骨损伤,急性呼吸窘迫综合征,多器官功能障碍综合征,左心耳封堵术,先天性骨与关节畸形,脑脊髓脊膜膨出,胆道闭锁术,尿道上裂,颌下腺炎,儿童扁桃体病,鳃裂瘘管,胰腺十二指肠病,下咽癌,涎腺疾病,造血干细胞移植及细胞免疫治疗,分娩期并发症,百日咳,心肌灌注成像,出血性疾病,肝内胆管结石,主-肺动脉窗,窝沟封闭术,腹腔间隔室综合征,肝结石,牙齿松动,不完全性肠梗阳,肝外胆管结石,儿童常见龋病,咽喉反流,腹腔镜结直肠肿瘤手术,腹股沟疝,下肢深静脉血栓后遗综合征,顽固性银屑病,品行障碍,真菌性脑膜炎,甲状腺乳头状癌,月经病,胃冠状静脉栓塞术,意识障碍,腹腔镜下胃癌手术,掌跖脓疱病,抽动秽语症,蛛网膜下腔出血,营养性溃疡,脑膜炎,慢性尊麻疹,色素性疾病,颈动脉体瘤,重型狼疮性肾炎,房性心动过速,泪器病变,肛门湿疹,流行性出血热,原发性醛固酮增生症,结膜病变,中枢神经系统感染,早产儿脑损伤,主动脉弓离断,完全肺静脉异位引流,扩张型心肌病,肺大泡,室性期前收缩,腹壁疝,黄疸,带状疱疹后遗神经痛,急性胰腺炎,肺气肿,纵隔肿瘤,自身免疫性肝炎,小儿腹泻,淋巴管瘤,脊柱结核,关节强直,Prader-Willi综合征（普拉德-威利综合征、小胖威利综合征）,疱疹性咽峡炎,急性化脓性扁桃体炎,急慢性扁桃体炎,急慢性肠炎,严重心肺功能障碍,高苯丙氨酸血症,神经系统病变,多关节挛缩,全面性发育迟滞,食欲低下,营养缺乏,神经心理发育障碍,粘连性肠梗阻,先天性甲状腺功能减低症,胃肠穿孔,深部组织感染,小儿发育障碍性疾病,新生儿化脓性脑膜炎,运动发育障碍性疾病,特发性脊柱侧凸,儿童语言发育落后,儿童神经系统脱髓鞘,新生儿机械通气,语言发育障碍性疾病,运动发育迟缓,儿童运动障碍性疾病,遗传代谢性疾病,新生儿硬肿症,急性喉炎,急性扁桃体炎,腹膜恶性间皮瘤,灰指甲,儿童心率失常,异戊酸血症,两性畸形,阿拉基综合症,中渗,圆锥角膜,富贵包,内眦赘皮,鸡眼,巧克力囊肿,孤立肾,窦性停搏,肥胖型心血管代谢病,限制型心肌病,喘气,主动脉溃疡,缺血性心肌病,法布雷病,冠状动脉狭窄,123,123,123,123,圆锥角膜,内眦赘皮,足癣/脚气,毛囊炎,汗疱疹,甲沟炎,阴虱,玫瑰糠疹,花斑癣,股癣,珍珠状阴茎丘疹,丘疹性荨麻疹,疥疮,疖,胆碱能性荨麻疹,麻疹,毛囊角化病,传染性软疣,白化病,黑棘皮病,低血压,窦性心动过缓,肺水肿,高同型半胱氨酸血症,急性冠脉综合征,高血压性心脏病,早期复极综合征,主动脉瓣狭窄,心内膜炎,心源性水肿,应激性心肌病,心源性晕厥,错构瘤,软骨瘤,胶质母细胞瘤,脂肪肉瘤,髓母细胞瘤,腺样囊性癌,卡波西肉瘤,印戒细胞癌,胰腺神经内分泌肿瘤,星形细胞瘤,平滑肌肉瘤,胰岛素抵抗,低钙血症,甲状腺囊肿,高钙血症,高胰岛素血症,代谢性碱中毒,POEMS综合征,多毛症,低镁血症,乳酸性酸中毒,腱鞘囊肿,扁平足,骨膜炎,肌腱炎,歌舞伎综合征,肌肉拉伤,腘窝囊肿,跟腱断裂,骨筋膜室综合征,粉碎性骨折,肌肉痉挛,关节积液,骶髂关节炎,尺神经损伤,桡神经损伤,肘外翻,肩关节脱位,结节病,呼吸性碱中毒,结核性胸膜炎,机化性肺炎,放射性肺炎,心源性哮喘,肺泡蛋白沉积症,衣原体肺炎,呼吸性酸中毒,沙眼,色盲,眼结石,夜盲症,玻璃体后脱离,睑裂斑,复视,睑板腺功能障碍,中心性浆液性脉络膜视网膜病变,脑震荡,短暂性脑缺血发作,脑水肿,韦尼克脑病,舞蹈症,假性湿疣,外阴炎,巴氏腺囊肿,输卵管炎,外阴湿疹,黄体囊肿,卵巢过度刺激综合征,阴道松弛,阴道囊肿,外阴囊肿,处女膜闭锁,前庭大腺炎,瘢痕子宫,盆腔粘连,子宫肥大,胃下垂,蛔虫病,乳糖不耐受,晕动病,喉炎,会厌囊肿,鼻咽炎,耵聍栓塞,鼻后滴漏综合征,空鼻症,喉息肉,乳突炎,鼻前庭炎,软喉症,鼻骨骨折,咽鼓管炎,咽鼓管阻塞,咽鼓管异常开放症,迷路炎,招风耳,牙结石,牙龈炎,智齿冠周炎,唇炎,干槽症,牙龈萎缩,口角炎,地图舌,氟斑牙,舌炎,釉质发育不全,牙龈瘤,额外牙,成釉细胞瘤,颌骨囊肿,牙瘤,牙龈囊肿,乳牙滞留,唇癌,毛状白斑,口腔黏膜下纤维化,牙本质敏感症,牙齿磨损,日光性唇炎,颧骨骨折,唾液腺结石,颞骨骨折,社交恐惧症,斯德哥尔摩综合征,嗜睡症,广场恐怖,边缘型人格障碍,惊恐障碍,被害妄想症,反社会型人格障碍,表演型人格障碍,幽闭恐惧症,戒断反应,拖延症,人格解体,妄想性障碍,解离症,恐高症,自恋型人格障碍,梦游症,恋童障碍,恋物癖,咬甲癖,脸盲症,异食癖,露阴癖,分裂样人格障碍,包皮龟头炎,包皮过长,肾错构瘤,包皮嵌顿,阴囊炎,前列腺结石,肾结核,软下疳,马尾综合征,马蹄形肾,幼儿急疹,唐氏综合征,脊髓灰质炎,坏血病,锌缺乏症,EB病毒感染,风疹,鼠疫,天花,猫抓病,蛲虫病,白喉,丝虫病,结节性红斑,抗磷脂抗体综合征,IgG4相关性疾病,卡斯钦-贝克病,血清病,巨细胞动脉炎,抗合成酶抗体综合征,复发性多软骨炎,结节性多动脉炎,冷球蛋白血症,小舞蹈病,X连锁无丙种球蛋白血症,费尔蒂综合征,近端指间关节周围胶原沉积症,Erdheim-Chester病,浆细胞增多症,缺铁性贫血,葡萄糖-6-磷酸脱氢酶缺乏症,卟啉病,真性红细胞增多症,骨髓纤维化,易栓症,恶性贫血,阵发性睡眠性血红蛋白尿症,浆细胞瘤,类白血病反应,遗传性球形红细胞增多症,老年性紫癜,叶酸缺乏症,慢性肉芽肿病,毛细胞白血病,铁粒幼细胞贫血,暴发性紫癜,恶性组织细胞病,汗管瘤,副乳,毛细血管瘤,维生素A缺乏病,胃泌素瘤,高磷血症,闭锁综合征,巨大胎儿,贫血痣,淋巴管瘘（淋巴瘘）,蓝痣,乳房发育不良,恶病质,血管脂肪瘤,维生素B12缺乏症,戒酒综合征,维生素B2缺乏,多指畸形,炎性肌纤维母细胞瘤,连体婴儿,复杂先心病,急性脑动脉闭塞,儿童心率失常,两性畸形,阿拉基综合症,中渗,富贵包,鸡眼,巧克力囊肿,孤立肾,肥胖型心血管代谢病,限制型心肌病,喘气,主动脉溃疡,缺血性心肌病,法布雷病,冠状动脉狭窄";

    private static Map<String,String> getDiseases(String goodAtOrDesc) {
        String accessToken = BaidubceUtil.getAccessToken();
        StringBuilder disease = new StringBuilder();
        disease.append(disease1);
        disease.append(disease2);
        disease.append(disease3);
        disease.append(disease4);
        //不在疾病列表里的疾病不需要
        StringBuilder message = new StringBuilder("你是一个医学标注师，需要根据摘要打疾病标签。" +
                "\n\n摘要如下：\n\n" +goodAtOrDesc+
                "\n\n\n" + "请严格按照指定的疾病列表的疾病名称给打上疾病标签！不需要额外说明性的文字,多个疾病标签以逗号隔开,没有适合的疾病就返回空字符串。\n\n\n疾病列表如下：");
                message.append(disease.toString()+"。");
        BaidubceUtil baidubceUtil = new BaidubceUtil();
        String response = baidubceUtil.getChatResponse(message.toString(),accessToken);
        String diseaseString = ","+disease.append(",").toString();
        StringBuilder standarResult = new StringBuilder("");
        StringBuilder unstandarResult = new StringBuilder("");
        if(StringUtils.isNotEmpty(response)) {
            String[] split = response.split(",");
            for(String t:split){
                t = t.trim();
                if(diseaseString.contains(","+t+",")){
                    standarResult.append(t).append(",");
                }else if("妊娠合并症".equals(t) || "妊娠合并症及并发症".equals(t)) {
                    standarResult.append("妊娠合并症/并发症").append(",");
                }else if(t.contains("疾病")){
                    String trim = t.replace("疾病", "");
                    if(diseaseString.contains(","+trim+",")){
                        standarResult.append(trim).append(",");
                    }
                }else if(t.contains("病")){
                    String trim = t.replace("病", "");
                    if(diseaseString.contains(","+trim+",")){
                        standarResult.append(trim).append(",");
                    }
                }
            }
        }
        Map<String,String> result = new HashMap<String,String>();
        if(standarResult.length()>0){
            result.put("standar",standarResult.substring(0,standarResult.length()-1));
        }else {
            result.put("standar",standarResult.toString());
        }
        if(unstandarResult.length()>0){
            result.put("unstandar",unstandarResult.substring(0,unstandarResult.length()-1));
        }else{
            result.put("unstandar",unstandarResult.toString());
        }
        return result;
    }

    public static void main1(String[] args) {
        //System.out.println(getDiseases("围孕期（孕前、孕期、产后）咨询、保健及检查；妊娠期高血压疾病、妊娠期糖尿病、妊娠期甲状腺疾病、胎儿宫内发育受限等妊娠期并发症诊治；妊娠合并子宫肌瘤及卵巢肿物的处理和手术治疗；多胎妊娠管理；高危妊娠、危重症抢救、产科手术和阴道助产技术娴熟。"));
    }

}
