package com.qizhen.healsphere.common.hyw.wenzhang;

import com.qizhen.healsphere.common.pipeline.ExcelPipeline;
import us.codecraft.webmagic.Page;
import us.codecraft.webmagic.Site;
import us.codecraft.webmagic.Spider;
import us.codecraft.webmagic.processor.PageProcessor;

import java.util.Arrays;
import java.util.List;

/**
 * 科室数据抓取
 * 武汉大学中南医院
 */
public class WenzhangPageProcessor implements PageProcessor {

        private Site site = Site.me().setRetryTimes(3).setSleepTime(1000).setTimeOut(10000);

        @Override
        public void process(Page page) {
            String des = page.getHtml().xpath("//div[@class='article-content']/tidyText()").toString();
            System.out.println(des);
        }

        @Override
        public Site getSite() {
            return site;
        }

        public static void main(String[] args) throws Exception {
            List<String> titles = Arrays.asList("id","dept_name","des","dept_img");
            Spider.create(new WenzhangPageProcessor()).addUrl("http://www.app.dawuhanapp.com/p/32592291.html")
                    .addPipeline(new ExcelPipeline("C:\\Users\\17664\\Desktop\\hospitaldata","test",titles)).thread(5).run();
        }
    }