package com.qizhen.healsphere.common.hyw.whdxznhospital;

import com.qizhen.healsphere.common.pipeline.ExcelPipeline;
import org.jsoup.internal.StringUtil;
import us.codecraft.webmagic.Page;
import us.codecraft.webmagic.Site;
import us.codecraft.webmagic.Spider;
import us.codecraft.webmagic.processor.PageProcessor;

import java.util.Arrays;
import java.util.List;

/**
 * 科室数据抓取
 * 武汉大学中南医院
 */
public class DepartmentPageProcessor implements PageProcessor {

        private Site site = Site.me().setRetryTimes(3).setSleepTime(1000).setTimeOut(10000);

        @Override
        public void process(Page page) {
            List<String> all = page.getHtml().links().regex("https://www\\.znhospital\\.cn/[a-zA-Z_]+\\.html").all();
            page.addTargetRequests(all);
            String url = page.getUrl().toString();
            //取出无效科室
            if(url.contains("ningyy.html") || url.contains("dwbgs.html")|| url.contains("jjjcbgs.html")
                    || url.contains("dwxcb.html")|| url.contains("kyc.html")|| url.contains("yyzlyaqglbgs.html")|| url.contains("xxzx.html")
                    || url.contains("sbc.html")|| url.contains("lcsyzx.html")|| url.contains("ztbglbgs.html")){
                page.setSkip(true);
                return;

            }
            page.putField("id",url);
            String deptName = page.getHtml().xpath("/html/body/div[2]/div[3]/div[1]/div[2]/div/div[2]/div[1]/div[1]/div/text()").toString();
            if (StringUtil.isBlank(deptName)){
                page.setSkip(true);
                return;
            }
            page.putField("dept_name", deptName);
            String des = page.getHtml().xpath("//div[@class='scroll-mod white']/div[@class='desc']/tidyText()").toString();
            page.putField("des",des);
            page.putField("dept_img", "https://www.znhospital.cn"+page.getHtml().xpath("/html/body/div[2]/div[3]/div[1]/div[2]/div/div[1]/img/@src").toString());
        }

        @Override
        public Site getSite() {
            return site;
        }

        public static void main(String[] args) throws Exception {
            List<String> titles = Arrays.asList("id","dept_name","des","dept_img");
            Spider.create(new DepartmentPageProcessor()).addUrl("https://www.znhospital.cn/department_navigation.html")
                    .addPipeline(new ExcelPipeline("C:\\Users\\17664\\Desktop\\hospitaldata\\武汉大学中南医院","科室",titles)).thread(5).run();
        }
    }