package com.qizhen.healsphere.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qizhen.healsphere.repository.mapper.entity.KgCountInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 知识统计信息信息 Mapper 接口
 * </p>
 */
@Mapper
public interface KgCountInfoMapper extends BaseMapper<KgCountInfo> {
    
    @Select("SELECT " +
            "n.category as node_type, " +
            "COUNT(DISTINCT n.id) as node_num, " +
            "COALESCE(SUM(prop_counts.prop_num), 0) as node_prop_num, " +
            "COUNT(DISTINCT edge_counts.type) as relation_type, " +
            "COALESCE(SUM(edge_counts.relation_count), 0) as relation_num, " +
            "now() AT TIME ZONE 'UTC' as gmt_create, " +
            "now() AT TIME ZONE 'UTC' as gmt_modified " +
            "FROM kg_nodes n " +
            "LEFT JOIN (" +
            "   SELECT ref_id, COUNT(*) as prop_num FROM kg_props GROUP BY ref_id" +
            ") prop_counts ON n.id = prop_counts.ref_id " +
            "LEFT JOIN (" +
            "   SELECT src_id as node_id, name as type, COUNT(*) as relation_count " +
            "   FROM kg_edges GROUP BY src_id, name " +
            "   UNION ALL " +
            "   SELECT dest_id as node_id, name as type, COUNT(*) as relation_count " +
            "   FROM kg_edges GROUP BY dest_id, name" +
            ") edge_counts ON n.id = edge_counts.node_id " +
            "GROUP BY n.category")
    List<KgCountInfo> calculateDetailInfo();
}
