package com.qizhen.healsphere.repository.mapper.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import java.time.OffsetDateTime;

/**
 * <p>
 * 知识图谱统计信息
 * </p>
 */
@Data
@TableName("kg_count_info")
public class KgCountInfo {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(value = "gmt_create", fill = FieldFill.INSERT)
    private OffsetDateTime gmtCreate;

    @TableField(value = "gmt_modified", fill = FieldFill.INSERT_UPDATE)
    private OffsetDateTime gmtModified;

    /**
     * 实体类型
     */
    @TableField(value = "node_type")
    private String nodeType;

    /**
     * 实体数量
     */
    @TableField(value = "node_num")
    private Integer nodeNum;

    /**
     * 实体属性数量
     */
    @TableField(value = "node_prop_num")
    private Integer nodePropNum;

    /**
     * 关系类型
     */
    @TableField(value = "relation_type")
    private Integer relationType;

    /**
     * 关系数量
     */
    @TableField(value = "relation_num")
    private Integer relationNum;

    @Override
    public String toString() {
        return "KgCountInfo{" +
                "id=" + id +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", nodeType='" + nodeType + '\'' +
                ", nodeNum=" + nodeNum +
                ", nodePropNum=" + nodePropNum +
                ", relationType=" + relationType +
                ", relationNum=" + relationNum +
                '}';
    }
}
