package com.qizhen.healsphere.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qizhen.healsphere.repository.mapper.PresetInfoMapper;
import com.qizhen.healsphere.repository.mapper.entity.PresetInfo;
import com.qizhen.healsphere.service.PresetInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import java.util.List;

/**
 * <p>
 * 知识平台预设信息 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-03-31
 */
@Service
@Slf4j
public class PresetInfoServiceImpl extends ServiceImpl<PresetInfoMapper, PresetInfo> {

    @Autowired
    private PresetInfoMapper presetInfoMapper;

    public PresetInfo getPresetInfo(Integer type) {
        // 使用 QueryWrapper 构建查询条件
        return presetInfoMapper.selectOne(
            new QueryWrapper<PresetInfo>()
                .eq("type", type)
        );
    }
}
