package com.qizhen.healsphere.util;

import java.util.HashMap;
import java.util.Map;

public class CategoryMappingUtil {
    // 英文到中文的映射
    private static final Map<String, String> EN_TO_CN_MAP = new HashMap<>();
    // 中文到英文的映射
    private static final Map<String, String> CN_TO_EN_MAP = new HashMap<>();
    
    static {
        // 初始化映射关系
        EN_TO_CN_MAP.put("Food", "食品");
        EN_TO_CN_MAP.put("Department", "科室");
        EN_TO_CN_MAP.put("Drug", "药品");
        EN_TO_CN_MAP.put("Check", "检查");
        EN_TO_CN_MAP.put("Symptom", "症状");
        EN_TO_CN_MAP.put("Producer", "厂商");
        EN_TO_CN_MAP.put("Disease", "疾病");
        EN_TO_CN_MAP.put("Vectors", "传播媒介");
        
        // 初始化反向映射
        EN_TO_CN_MAP.forEach((en, cn) -> CN_TO_EN_MAP.put(cn, en));
    }
    
    public static String toChineseCategory(String englishCategory) {
        return EN_TO_CN_MAP.getOrDefault(englishCategory, englishCategory);
    }
    
    public static String toEnglishCategory(String chineseCategory) {
        return CN_TO_EN_MAP.getOrDefault(chineseCategory, chineseCategory);
    }
} 