package com.qizhen.healsphere.web;

import com.qizhen.healsphere.util.DataMigrationUtil;
import com.qizhen.healsphere.web.dto.RespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api/migration")
@Api(tags = "数据迁移接口")
public class DataMigrationController {

    @Autowired
    private DataMigrationUtil dataMigrationUtil;

    @PostMapping("/start")
    @ApiOperation("开始数据迁移")
    public RespDTO<String> startMigration() {
        try {
            dataMigrationUtil.migrateByRelations();
            return RespDTO.onSuc("数据迁移完成");
        } catch (Exception e) {
            log.error("数据迁移失败", e);
            return RespDTO.onError("数据迁移失败: " + e.getMessage());
        }
    }
} 