package com.qizhen.healsphere.web;

import com.qizhen.healsphere.service.KgCountService;
import com.qizhen.healsphere.web.dto.RespDTO;
import com.qizhen.healsphere.web.param.KgCountListPageQuery;
import com.qizhen.healsphere.web.vo.CountInfoVO;
import com.qizhen.healsphere.web.vo.CountListVO;
import com.qizhen.healsphere.web.vo.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/kg/count")
@Api(value = "知识图谱统计API", tags = { "知识图谱统计API" })
@SuppressWarnings("unchecked")
@Slf4j
public class KgCountController {

    @Autowired
    private KgCountService kgCountService;

    @ApiOperation(value = "获取统计信息", notes = "获取统计信息")
    @RequestMapping(value = "/getCountInfo", method = RequestMethod.POST)
    @ResponseBody
    public RespDTO<CountInfoVO> getCountInfo() {
        return RespDTO.onSuc(kgCountService.getCountTotalInfo());
    }

    @ApiOperation(value = "获取统计列表")
    @RequestMapping(value = "/getCountList", method = RequestMethod.POST)
    @ResponseBody
    public RespDTO<Page<CountListVO>> getCountList(@RequestBody KgCountListPageQuery query) {
        return RespDTO.onSuc(kgCountService.getCountListInfo(query));
    }
}

