package com.qizhen.healsphere.web;

import com.qizhen.healsphere.service.KgCountService;
import com.qizhen.healsphere.web.dto.RespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/kg/import")
@Api(value = "知识图谱统计数据导入API", tags = { "知识图谱统计数据导入API" })
@Slf4j
public class KgCountImportDataController {

    @Autowired
    private KgCountService kgCountService;

    @ApiOperation(value = "更新统计数据", notes = "更新统计数据")
    @RequestMapping(value = "/updateData", method = RequestMethod.POST)
    @ResponseBody
    public RespDTO<Boolean> updateData() {
        return RespDTO.onSuc(kgCountService.updateStatisticsData());
    }
}

