package com.qizhen.healsphere.web.vo;

import lombok.Data;

import java.util.List;

@Data
public class Page<T> {
    private int pageNumber;

    // 每页显示的记录数
    private int pageSize;

    // 当前页包含的记录总数
    private int numberOfElements;

    // 总记录数
    private long totalElements;

    // 总页数
    private int totalPages;

    // 当前页包含的记录列表
    private List<T> content;

    // 构造方法、getter和setter方法

    public Page(int pageNumber, int pageSize, int numberOfElements, long totalElements, List<T> content) {
        this.pageNumber = pageNumber;
        this.pageSize = pageSize;
        this.numberOfElements = numberOfElements;
        this.totalElements = totalElements;
        this.content = content;
        // 计算总页数
        this.totalPages = (int) Math.ceil((double) totalElements / pageSize);
    }
}
