package com.qizhen.healsphere;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.qizhen.healsphere.common.ai.Knowlege;
import com.qizhen.healsphere.common.ai.QizhenAssistant;
import com.qizhen.healsphere.repository.neo4j.entity.BaseEntity;
import com.qizhen.healsphere.service.EntityService;
import com.qizhen.healsphere.service.RelationshipService;
import com.qizhen.healsphere.util.FileCommonUtils;
import com.qizhen.healsphere.web.vo.CreateEntityVO;
import com.qizhen.healsphere.web.vo.RelationshipVO;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.util.CollectionUtils;

import java.io.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * 是否空腹及归大类
 */
@RunWith(SpringRunner.class)
@ComponentScan(basePackages = {"com.qizhen.healsphere.model", "com.qizhen.healsphere.repository"})
@SpringBootTest
public class DataExtractTest {
    public static final String appId = "e1de7dfc-afdb-48e4-b0f8-4fcecea09643";

    //public static final String appId = "9da5da63-29a1-4c59-ad0b-f1f3c737924a";

    //public static final String inputDirectoryPath = "E:\\project\\vscode\\《急诊与灾难医学（第4版）》\\第二章急性发热\\"; // 修改为目录路径
    static List<String> fileNameList = new ArrayList<>();
    static {
        fileNameList.add("第十二章环境及理化因素损伤");
        fileNameList.add("第十三章急性感染");
        fileNameList.add("第十四章多器官功能障碍综合征");
        fileNameList.add("第十五章心肺脑复苏");
    }
    public static String inputDirectoryPath = "/Users/ycw/work/邵逸夫急诊科审核通过数据/files/《急诊与灾难医学（第4版）》/"; // 修改为目录路径
    public static void main(String[] args) {
        //String inputDirectoryPath = "E:\\project\\vscode\\《急诊与灾难医学（第4版）》\\"; // 修改为目录路径
        String baseInputDirectoryPath = inputDirectoryPath;
        for (String fileName : fileNameList) {
            inputDirectoryPath = baseInputDirectoryPath + fileName;
            File inputDirectory = new File(inputDirectoryPath);
            // 无子目录时处理txt文件
            workbook = new HSSFWorkbook();//这里也可以设置sheet的Name
            sheet = workbook.createSheet();
            rows = 0; // 重置行号
            traverse(inputDirectory);
        }

    }
    static HSSFWorkbook workbook;
    static  HSSFSheet sheet = null;

    public static int rows = 0;
    private static void traverse(File dir) {
        boolean hasSubDir = false;
        File[] files = dir.listFiles();
        if (files == null) {
            return;
        }
        // 第一阶段：检测是否存在子目录
        for (File file : files) {
            if (file.isDirectory()) {
                hasSubDir = true;
                break; // 发现子目录立即中断循环
            }
        }

        // 第二阶段：根据检测结果处理
        if (hasSubDir) {
            // 存在子目录时递归遍历
            for (File file : files) {
                if (file.isDirectory()) {
                    traverse(file);
                }
            }
        } else {
            for (File file : files) {
                if (file.getName().toLowerCase().endsWith(".txt") && file.getName().toLowerCase().contains("_split_")) {
                    //System.out.println("发现文本文件: " + file.getName());
                    String inputFilePath = file.getAbsolutePath();
                    inputFilePath = inputFilePath.replace("/Users/ycw/work/邵逸夫急诊科审核通过数据/files", "");
                    StringBuilder sb = new StringBuilder();
                    try (BufferedReader reader = new BufferedReader(new FileReader(file))) {
                        String line;
                        int i = 0;
                        while ((line = reader.readLine()) != null) {
                            if(i>0) {
                                sb.append(line+"\n");
                            }
                            i++;
                        }
                        System.out.println(sb.toString());
                        String response = QizhenAssistant.call(appId,QizhenAssistant.getConversationId(appId),sb.toString());
                        System.out.println(response);
                        HSSFRow row = sheet.createRow(rows++);
                        row.createCell(0).setCellValue(response == null ? "" : JSONObject.parseObject(response).getString("answer"));
                        row.createCell(1).setCellValue(sb.toString());
                        row.createCell(2).setCellValue(inputFilePath.replace("/","\\"));
                        save(FileCommonUtils.getFileNameWithoutExtension(inputDirectoryPath));
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                }
            }
        }
    }

    private static synchronized void save(String fileName) {
        try {
            fileName="/Users/ycw/work/邵逸夫急诊科审核通过数据/"+fileName+".xlsx";
            //文档输出
            FileOutputStream out = new FileOutputStream(new File(fileName));
            workbook.write(out);
            out.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}