package com.qizhen.healsphere;

import com.qizhen.healsphere.common.ai.BaidubceUtil;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.*;

@RunWith(SpringRunner.class)
@ComponentScan(basePackages = {"com.qizhen.healsphere.model", "com.qizhen.healsphere.repository"})
@SpringBootTest
public class DrugExcelTest {
/*    @Autowired
    RelationshipService relationshipService;
    @Autowired
    EntityService entityService;*/
    private static int maxCount= 20;
    private static String drugExcelPath = "C:\\Users\\17664\\Desktop\\药品说明书-部分字段-部分内容.xlsx";
    static HSSFWorkbook workbook;
    public static void main(String[] args) throws Exception {
        workbook = new HSSFWorkbook();//这里也可以设置sheet的Name
        String accessToken = BaidubceUtil.getAccessToken();
        InputStream drugFis = new FileInputStream(drugExcelPath);
        Workbook drugWorkbook = new XSSFWorkbook(drugFis);
        Sheet drugSheet = drugWorkbook.getSheetAt(2);
        String propertys = "用法用量";
        int curCount = 0;
        String[] split = propertys.split(",");
        //for (int rowNum = 1; rowNum <= drugSheet.getLastRowNum(); rowNum++) {
        for(String property:split) {
            HSSFSheet sheet = workbook.createSheet(property);
            for (int rowNum = 1; rowNum <= drugSheet.getLastRowNum(); rowNum++) {
                try {
                    Row row = drugSheet.getRow(rowNum);
                    String name = row.getCell(2).getStringCellValue();
                    String zhaiyao = row.getCell(7).getStringCellValue();
                    if (StringUtils.isEmpty(name) || StringUtils.isEmpty(zhaiyao)) {
                        continue;
                    }

                    String value = getValues(zhaiyao, property, accessToken);

                    HSSFRow writeRow = sheet.createRow(curCount);
                    writeRow.createCell(0).setCellValue(name == null ? "" : name);
                    writeRow.createCell(1).setCellValue(value == null ? "" : value);
                    writeRow.createCell(2).setCellValue(zhaiyao == null ? "" : zhaiyao);
                    curCount++;
                    if (maxCount > 0) {
                        if (curCount >= maxCount) {
                            break;
                        }
                    }

                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            save(property);
            curCount = 0;
        }
    }

    private static String getValues(String zhaiyao, String property, String accessToken) {
        if (StringUtils.isEmpty(zhaiyao)) {
            return "";
        }
        String format = "你是医药领域的专家。你将在指定的文本中抽取其中“用法用量”。\n" +
                "\n" +
                "#要求\n" +
                "1、“用法用量”输出格式参考：#人群，#用法，#用量，#次数\n" +
                "\n" +
                "#示例1\n" +
                "文本：\n" +
                "【适应症】 \n" +
                "主要用于敏感的革兰阳性菌所致的皮肤、软组织感染、胆道感染、呼吸道感染、链球菌咽峡炎、猩红热、白喉、军团菌病、百日咳等，以及淋病、非淋病性尿道炎、痤疮等。 \n" +
                "【用法用量】\n" +
                "静脉注射或静脉滴注。先用少量氯化钠注射液或葡萄糖注射液溶解，然后再稀释到需要的浓度。\n" +
                "成人，一次20万-40万单位（1-2支），一日2-3次。\n" +
                "小儿，一日20万单位（1支）或酌减，分2-3次给药。\n" +
                "静脉注射时，浓度不得大于2%即20万单位，将1次用量溶于10-20ml氯化钠注射液或葡萄糖注射液中；缓慢推注（急速静注，有时出现恶心、腹痛、血压下降、休克症状等），注射速度应不少于5分钟，以免产生静脉不适。 \n" +
                "【不良反应】 \n" +
                "本品的胃肠道反应发生率较红霉素低，偶见皮疹和瘙痒。\n" +
                "\n" +
                "\n" +
                "输出：[\"成人，静脉滴注，一次20万-40万单位（1-2支）,一日2-3次\",\"小儿，静脉滴注，一日20万单位（1支），分2-3次给药\"]\n" +
                "\n" +
                "#示例2\n" +
                "文本：\n" +
                "【适应症】\n" +
                "本品联合化疗应用于晚期乳腺癌、非小细胞肺癌患者的治疗。\n" +
                "【用法用量】\n" +
                "与化疗联合应用，每次300ml，每天1次，于化疗前3-7天开始给药，再与化疗联合治疗2-3周期，化疗药使用的当天停用本品。Ⅲ期临床中与本品联合的化疗方案和种类详见[临床试验]项中表2。\n" +
                "用药方法：将尿多酸肽注射液与氯化钠注射液或5%葡萄糖注射液，按1∶1稀释后静脉滴注（建议采用锁骨下静脉滴注或者使用PICC管），滴速以原药100ml/小时为宜。\n" +
                "【不良反应】\n" +
                "临床试验中观察到的不良反应主要为胃肠道反应，表现为恶心、呕吐、腹泻、纳差、腹胀等。其他不良反应表现为疼痛、口干、胸部不适、颜面潮红、心悸等，多数为Ⅰ-Ⅱ度，可自行恢复。可给予对症处理。外周静脉给药时可能有静脉刺激症状，产生静脉炎，采用锁骨下静脉滴注时静脉刺激明显减轻。\n" +
                "本品Ⅲ期临床研究试验组（本品与化疗联合）可评价毒副反应301例，对照组（仅化疗）可评价毒副反应153例。主要不良反应情况见表1。\n" +
                "\n" +
                "\n" +
                "输出：[\"静脉滴注,每次300ml,每天1次\"]\n" +
                "\n" +
                "#示例3\n" +
                "【适应症】\n" +
                "1、急慢性风湿性、急慢性关节炎、急慢性强直性脊椎炎、骨关节炎。 \n" +
                "2、肩周炎、滑囊炎、肌腱炎及腱鞘炎。\n" +
                "3、腰背痛、扭伤、劳损及其他软组织损伤。\n" +
                "4、急性痛风。 \n" +
                "5、痛经或附件炎、牙痛和术后疼痛。 \n" +
                "6、创伤后的疼痛与炎症，如扭伤、肌肉拉伤等。 \n" +
                "7、耳鼻喉严重的感染性疼痛和炎症（如扁桃体炎、耳炎、鼻窦炎等），应同时使刚抗感染药物。\n" +
                "【用法用量】\n" +
                "口服：一日1次，一次0.1g，或遵医嘱。晚餐后用温开水送服，需整片吞服，不要弄碎或咀嚼。\n" +
                "【不良反应】\n" +
                "1、可引起头痛及腹痛、便秘、腹泻、胃烧灼感、恶心、消化不良等胃肠道反应。\n" +
                "\n" +
                "\n" +
                "输出：[\"一次0.1g，一日1次\"]\n" +
                "\n" +
                "2、没有可抽取的“用法用量”，则返回空json数组。\n" +
                "\n" +
                "本次抽取的文本如下：\n\n";

        String zhiling = format + zhaiyao;
        System.out.println(zhiling);
        String chatResponse = BaidubceUtil.getChatResponse(zhiling, accessToken);
        chatResponse = filte(chatResponse);
        System.out.println(chatResponse);
        return chatResponse;
    }

    private static synchronized void save(String fileName) {
        try {
            fileName="C:\\Users\\17664\\Desktop\\"+fileName+System.currentTimeMillis()+".xlsx";
            //文档输出
            FileOutputStream out = new FileOutputStream(new File(fileName));
            workbook.write(out);
            out.close();
            System.out.println(fileName + "存储完毕");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private static String filte(String chatResponse) {
        if (chatResponse.startsWith("```json")) {
            chatResponse = chatResponse.substring(7);
        }
        if (chatResponse.endsWith("```")) {
            chatResponse = chatResponse.substring(0, chatResponse.length() - 3);
        }
        return chatResponse;
    }


}

