package com.qizhen.healsphere;

import com.alibaba.fastjson.JSONArray;
import com.qizhen.healsphere.common.ai.BaidubceUtil;
import com.qizhen.healsphere.common.ai.Knowlege;
import com.qizhen.healsphere.repository.neo4j.entity.BaseEntity;
import com.qizhen.healsphere.service.EntityService;
import com.qizhen.healsphere.service.RelationshipService;
import com.qizhen.healsphere.web.vo.CreateEntityVO;
import com.qizhen.healsphere.web.vo.RelationshipVO;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.util.CollectionUtils;

import java.io.*;
import java.util.*;

/**
 * 是否空腹及归大类
 */
@RunWith(SpringRunner.class)
@ComponentScan(basePackages = {"com.qizhen.healsphere.model", "com.qizhen.healsphere.repository"})
@SpringBootTest
public class JianchaKfTest {
    @Autowired
    RelationshipService relationshipService;
    @Autowired
    EntityService entityService;
    private static int maxCount= -1;
    private static String directoryPath  = "C:\\Users\\17664\\Desktop\\检查";
    private static String urlExcelPath = "C:\\Users\\17664\\Desktop\\检查列表.xlsx";
    static HSSFWorkbook workbook = new HSSFWorkbook();//这里也可以设置sheet的Name;
    static String startLabel = "辅助检查";

    @Test
    public void writeTypeNeo4j() throws Exception {
        String property = "检查类别,科室类别";
        String[] split = property.split(",");

        for(String temp:split) {
            List<Knowlege> knowleges = saveExeclFromExecl(temp);
            saveNeo4j(temp,knowleges);
        }
    }

    private static List<Knowlege> saveExeclFromExecl(String property) throws Exception {
        int curCount = 0;

        HSSFSheet sheet = workbook.createSheet(property);
        List<Knowlege> result = new ArrayList<>();
        InputStream fis = new FileInputStream(urlExcelPath);
        Workbook urlWorkbook = new XSSFWorkbook(fis);
        Sheet urlSheet = urlWorkbook.getSheetAt(0);

        for (int rowNum = 0; rowNum <= urlSheet.getLastRowNum(); rowNum++) {
            try {
                Row row = urlSheet.getRow(rowNum);
                String name = row.getCell(0).getStringCellValue();
                if (StringUtils.isEmpty(name)) {
                    continue;
                }
                HSSFRow writeRow = sheet.createRow(curCount);
                name = (name == null ? "" : name);
                String answer ="";
                if("检查类别".equals(property)) {
                    answer = jianchaMap.get(name);
                    if (StringUtils.isBlank(answer)) {
                        if (name.length() < 3) {
                            answer = "[]";
                        } else {
                            for (String temp : jianchaSplit) {
                                if (temp.contains(name)) {
                                    answer = temp.split("\t")[0];
                                    break;
                                }
                            }
                        }
                    }
                }else if("科室类别".equals(property)){
                    answer = keshiMap.get(name);
                    if (StringUtils.isBlank(answer)) {
                        if (name.length() < 3) {
                            answer = "[]";
                        } else {
                            for (String temp : keshiSplit) {
                                if (temp.contains(name)) {
                                    answer = temp.split("\t")[0];
                                    break;
                                }
                            }
                        }
                    }
                }else{
                    System.out.println("property值不正确");
                    return null;
                }

                if(StringUtils.isBlank(answer)){
                    answer = "[]";
                }else{
                    answer = "[\""+answer+"\"]";
                }
                writeRow.createCell(0).setCellValue(name);
                writeRow.createCell(1).setCellValue(answer);
                Knowlege knowlege = new Knowlege();
                knowlege.setEntity(name);

                knowlege.setProperty(property);
                knowlege.setValue(answer);

                result.add(knowlege);
                curCount++;
                if (maxCount > 0) {
                    if (curCount >= maxCount) {
                        break;
                    }
                }
            } catch (Exception e) {
            }
        }
        save(property);
        return result;
    }

    public static void main(String[] args) throws Exception {
        String propertys ="是否空腹";
        workbook = new HSSFWorkbook();//这里也可以设置sheet的Name
        String accessToken = BaidubceUtil.getAccessToken();
        String[] split = propertys.split(",");
        for(String property:split) {
            HSSFSheet sheet = workbook.createSheet(property);
            saveExecl(property,accessToken, sheet);
        }
    }

    private void saveNeo4j(String property, List<Knowlege> knowleges) {
        for (Knowlege temp: knowleges) {
            String value = temp.getValue();
            if(StringUtils.isBlank(value)){
                continue;
            }
            try{
                JSONArray jsonArray = JSONArray.parseArray(value);
                BaseEntity startEntity = createNoExists(startLabel, temp.getEntity());
                long startId = startEntity.getId();
                List<RelationshipVO> relationshipList = new ArrayList<>();
                for(int i=0;i<jsonArray.size();i++){
                    String name = jsonArray.getString(i);
                    if(StringUtils.isEmpty(name)){
                        continue;
                    }
                    if("商品名称".equals(property)){
                        property = "商品名";
                    }
                    BaseEntity endEntity =  createNoExists(startLabel+ property, name);
                    Long endId = endEntity.getId();
                    RelationshipVO relationshipVO = new RelationshipVO();
                    relationshipVO.setStartId(startId);
                    relationshipVO.setEndId(endId);
                    relationshipVO.setStartLabel(startLabel);
                    relationshipVO.setEndLabel(startLabel+ property);
                    relationshipVO.setRelationshipType(startLabel+"相关"+ property);
                    relationshipList.add(relationshipVO);
                }
                if(!CollectionUtils.isEmpty(relationshipList)) {
                    System.out.println(relationshipService.createRelationship(relationshipList));
                }
            }catch (Exception e){
                e.printStackTrace();
            }
        }
    }

    private BaseEntity createNoExists(String labelName, String name) {
        BaseEntity nodeByName = entityService.findNodeByName(labelName, name);
        if(Objects.nonNull(nodeByName)){//节点不存在
            return nodeByName;
        }
        CreateEntityVO createEntity = new CreateEntityVO();
        createEntity.setName(name);
        createEntity.setLabel(labelName);
        return entityService.create(createEntity);
    }


    public static String readTxtFile(File txtFile) {
        StringBuilder content = new StringBuilder();
        try (BufferedReader reader = new BufferedReader(new FileReader(txtFile))) {
            String line;
            // 逐行读取文件内容
            while ((line = reader.readLine()) != null) {
                // 输出读取到的每一行内容
                content.append(line+"\n");
            }
        } catch (IOException e) {
            System.out.println("读取文件时发生错误: " + e.getMessage());
        }
        return content.toString();
    }

    private static List<Knowlege> saveExecl(String property, String accessToken, HSSFSheet sheet) throws Exception {
        int curCount = 0;
        List<Knowlege> result = new ArrayList<>();
        File directory = new File(directoryPath);
        // 获取目录下的所有文件和子目录
        File[] files = directory.listFiles();

        // 检查files是否为null，避免NullPointerException
        if (files != null) {
            // 循环遍历目录下的每个文件和子目录
            for (File file : files) {
                // 检查文件是否是.txt文件
                if (file.isFile() && file.getName().endsWith(".txt")) {
                    // 读取.txt文件的内容
                    String s = readTxtFile(file);
                    String name = file.getName().split("_")[1].replace(".txt","");

                    Knowlege values = getValues(s, property, accessToken);

                    HSSFRow writeRow = sheet.createRow(curCount);
                    name = (name == null ? "" : name);
                    String answer = (values.getAnswer() == null ? "" : values.getAnswer());
                    String question = (values.getQuestion() == null ? "" : values.getQuestion());
                    writeRow.createCell(0).setCellValue(name);
                    writeRow.createCell(1).setCellValue(answer);
                    writeRow.createCell(2).setCellValue(s == null ? "" : s);
                    writeRow.createCell(3).setCellValue(question == null ? "" : question);
                    Knowlege knowlege = new Knowlege();
                    knowlege.setEntity(name);

                    knowlege.setProperty(property);
                    knowlege.setValue(answer);

                    result.add(knowlege);
                    curCount++;
                    if (maxCount > 0) {
                        if (curCount >= maxCount) {
                            break;
                        }
                    }
                }
            }
        } else {
            System.out.println("指定的目录不存在或无法访问: " + directoryPath);
        }
        save(property);
        return result;
    }

    private static Knowlege getValues(String zhaiyao, String property, String accessToken) {
        if("是否空腹".equals(property)){
            property ="标本要求是否空腹";
        }
        if (StringUtils.isEmpty(zhaiyao)) {
            return null;
        }
        String format = "你是医学检验领域的专家。你将在指定的文本中抽取其中“" + property + "”。\n" +
                "\n" +
                "#要求\n" +
                "1、抽取的结果将以JSON数组的形式呈现。每个抽取的“" + property + "”高度简洁、高度概括，不要要描述性的文字，文字尽量保持在20个字符以内！\n" +
                "\n" +
                "#示例1\n" +
                "以抽取“标本要求是否空腹”为例\n" +
                "文本：\n" +
                "标本要求:\n" +
                " 1. 空腹采静脉血3.0ml（血清或肝素锂抗凝血浆），应避免溶血。 \n" +
                "\n" +
                " 2. 标本应尽量避光保存。在避光条件下，血浆／血清常温稳定2小时，2～8℃稳定3天，－20℃稳定3～4个月。 \n" +
                "\n" +
                "输出：[\"是\"]\n\n" +
                "#示例2\n" +
                "以抽取“标本要求是否空腹”为例\n" +
                "文本：\n" +
                "\n" +
                "标本要求:\n" +
                " \n" +
                "血清或血浆，血清首选，肝素锂或EDTA抗凝，不能用肝素铵抗凝。标本量1ml，至少0.5ml。需在45分钟内分离血清／血浆。分离后标本在室温（25℃）、冷藏（4℃）或冷冻（－20℃）条件下稳定14天。\n" +
                "\n" +
                " 收集24小时尿液，不加防腐剂。标本量10ml，至少1ml。标本在室温（25℃）、冷藏（4℃）或冷冻（-20℃）条件下稳定14天。" +
                "\n" +
                "输出：[]\n\n" +
                "本次抽取的文本如下：\n\n";

        String zhiling = format + zhaiyao;
        System.out.println(zhiling);
        String chatResponse = BaidubceUtil.getChatResponse(zhiling, accessToken);
        chatResponse = filte(chatResponse);
        Knowlege knowlege = new Knowlege();
        knowlege.setQuestion(format);
        knowlege.setAnswer(chatResponse);
        return knowlege;
    }

    private static synchronized void save(String fileName) {
        try {
            fileName="C:\\Users\\17664\\Desktop\\"+fileName+System.currentTimeMillis()+".xlsx";
            //文档输出
            FileOutputStream out = new FileOutputStream(new File(fileName));
            workbook.write(out);
            out.close();
            System.out.println(fileName + "存储完毕");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private static String filte(String chatResponse) {
        if (chatResponse.startsWith("```json")) {
            chatResponse = chatResponse.substring(7);
        }
        if (chatResponse.endsWith("```")) {
            chatResponse = chatResponse.substring(0, chatResponse.length() - 3);
        }
        return chatResponse;
    }

    private void typeHandle(String property) {
        int curCount = 0;
        File directory = new File(directoryPath);
        // 获取目录下的所有文件和子目录
        File[] files = directory.listFiles();
        List<Knowlege> result = new ArrayList<>();
        // 检查files是否为null，避免NullPointerException
        if (files != null) {
            workbook = new HSSFWorkbook();//这里也可以设置sheet的Name
            HSSFSheet sheet = workbook.createSheet(property);
            // 循环遍历目录下的每个文件和子目录
            for (File file : files) {
                // 检查文件是否是.txt文件
                if (file.isFile() && file.getName().endsWith(".txt")) {
                    // 读取.txt文件的内容
                    String name = file.getName().split("_")[1].replace(".txt","");
                    HSSFRow writeRow = sheet.createRow(curCount);
                    name = (name == null ? "" : name);
                    String answer ="";
                    if("检验项大类".equals(property)) {
                        answer = keshiMap.get(name);
                        if (StringUtils.isBlank(answer)) {
                            if (name.length() < 3) {
                                answer = "[]";
                            } else {
                                for (String temp : keshiSplit) {
                                    if (temp.contains(name)) {
                                        answer = temp.split("\t")[0];
                                        break;
                                    }
                                }
                            }
                        }
                    }else if("化验项大类".equals(property)){
                        answer = jianchaMap.get(name);
                        if (StringUtils.isBlank(answer)) {
                            if (name.length() < 3) {
                                answer = "[]";
                            } else {
                                for (String temp : jianchaSplit) {
                                    if (temp.contains(name)) {
                                        answer = temp.split("\t")[0];
                                        break;
                                    }
                                }
                            }
                        }
                    }else{
                        System.out.println("property值不正确");
                        return;
                    }

                    if(StringUtils.isBlank(answer)){
                        answer = "[]";
                    }else{
                        answer = "[\""+answer+"\"]";
                    }
                    writeRow.createCell(0).setCellValue(name);
                    writeRow.createCell(1).setCellValue(answer);
                    Knowlege knowlege = new Knowlege();
                    knowlege.setEntity(name);

                    knowlege.setProperty(property);
                    knowlege.setValue(answer);

                    result.add(knowlege);
                    curCount++;
                    if (maxCount > 0) {
                        if (curCount >= maxCount) {
                            break;
                        }
                    }
                }
            }
        } else {
            System.out.println("指定的目录不存在或无法访问: " + directoryPath);
        }
        save(property);
        saveNeo4j(property, result);
    }

    static String[] jianchaSplit;
    static Map<String,String> jianchaMap = new HashMap<String,String>();
    static String[] keshiSplit;
    static Map<String,String> keshiMap = new HashMap<String,String>();
    static {
        StringBuilder jiancha = new StringBuilder();
        jiancha.append("电生理学检查\tLennox-Gastaut综合征（LGS）的脑电图改变" +
                ",电生理学检查\tMahaim型预激综合征的心电图特征" +
                ",电生理学检查\tMaster试验" +
                ",电生理学检查\tNiagara瀑布样T波改变" +
                ",电生理学检查\tQ‐Tc间期延长运动试验" +
                ",电生理学检查\tTCD监测溶栓" +
                ",电生理学检查\tWest综合征的脑电图改变" +
                ",电生理学检查\t阿托品试验" +
                ",电生理学检查\t伴有中央颞区棘波的儿童良性癫痫的脑电图改变" +
                ",电生理学检查\t饱餐试验" +
                ",电生理学检查\t苄胺唑林试验" +
                ",电生理学检查\t病毒性脑炎的脑电图改变" +
                ",电生理学检查\t病态窦房结综合征的心电图特征" +
                ",电生理学检查\t并行心律的心电图特征" +
                ",电生理学检查\t不完全性房内阻滞的心电图特征" +
                ",电生理学检查\t持续性交界区反复性心动过速的心电图特征" +
                ",电生理学检查\t大脑后动脉P1/P2段检测及分析" +
                ",电生理学检查\t大脑前动脉A1段检测及分析" +
                ",电生理学检查\t大脑中动脉M1段检测及分析" +
                ",电生理学检查\t单纯疱疹病毒脑炎的脑电图改变" +
                ",电生理学检查\t大隐静脉瓣膜功能试验" +
                ",电生理学检查\t癫痫部分性发作的脑电图改变" +
                ",电生理学检查\t癫痫持续状态的脑电图改变" +
                ",电生理学检查\t癫痫全面性发作的脑电图改变" +
                ",电生理学检查\t低钾血症的心电图特征" +
                ",电生理学检查\t动态脑电图监测" +
                ",电生理学检查\t动态心电图检查" +
                ",电生理学检查\t窦房传导阻滞的心电图特征" +
                ",电生理学检查\t窦房结内游走性心律的心电图特征" +
                ",电生理学检查\t窦房结折返性心动过速的心电图特征" +
                ",电生理学检查\t窦房结至交界区游走性心律的心电图特征" +
                ",电生理学检查\t窦房结至心房内游走性心律的心电图特征" +
                ",电生理学检查\t窦房折返性心动过速的心电图特征" +
                ",电生理学检查\t窦性期前收缩的心电图特征" +
                ",电生理学检查\t窦性停搏的心电图特征" +
                ",电生理学检查\t窦性心动过缓的心电图特征" +
                ",电生理学检查\t窦性心动过速的心电图特征" +
                ",电生理学检查\t窦性心律不齐的心电图特征" +
                ",电生理学检查\t短PR综合征的心电图特征" +
                ",电生理学检查\t多巴酚丁胺负荷试验" +
                ",电生理学检查\t多源性房性心动过速的心电图特征" +
                ",电生理学检查\t二度Ⅰ型房室传导阻滞的心电图特征" +
                ",电生理学检查\t二度Ⅱ型房室传导阻滞的心电图特征" +
                ",电生理学检查\t儿童和青少年失神癫痫的脑电图改变" +
                ",电生理学检查\t儿童运动试验" +
                ",电生理学检查\t儿童正常心电图" +
                ",电生理学检查\t儿童枕叶癫痫的脑电图改变" +
                ",电生理学检查\t耳蜗电图" +
                ",电生理学检查\t额叶癫痫的脑电图改变" +
                ",电生理学检查\t反复搏动及反复心律的心电图特征" +
                ",电生理学检查\t房室交界区性期前收缩的心电图特征" +
                ",电生理学检查\t房室结折返性心动过速的心电图特征" +
                ",电生理学检查\t房性期前收缩的心电图特征" +
                ",电生理学检查\t房性逸搏与逸搏心律的心电图特征" +
                ",电生理学检查\t反跳试验" +
                ",电生理学检查\t发泡试验" +
                ",电生理学检查\t肺源性心脏病的心电图特征" +
                ",电生理学检查\t风湿性心脏病二尖瓣狭窄的心电图特征" +
                ",电生理学检查\t复合感觉检查" +
                ",电生理学检查\t感觉神经传导的检查" +
                ",电生理学检查\t感觉神经传导检查——尺神经" +
                ",电生理学检查\t感觉神经传导检查——腓肠神经" +
                ",电生理学检查\t感觉神经传导检查——腓浅神经感觉支" +
                ",电生理学检查\t感觉神经传导检查——股外侧皮神经" +
                ",电生理学检查\t感觉神经传导检查——前臂内侧皮神经" +
                ",电生理学检查\t感觉神经传导检查——前臂外侧皮神经" +
                ",电生理学检查\t感觉神经传导检查——桡神经" +
                ",电生理学检查\t感觉神经传导检查——隐神经" +
                ",电生理学检查\t感觉神经传导检查——正中神经" +
                ",电生理学检查\t感觉神经传导检查——足掌内侧神经" +
                ",电生理学检查\t感觉神经传导检查——足掌外侧神经" +
                ",电生理学检查\t高钾血症的心电图特征" +
                ",电生理学检查\t肱动脉、桡动脉检测及分析" +
                ",电生理学检查\t功能性经颅多普勒超声" +
                ",电生理学检查\t过度换气试验" +
                ",电生理学检查\t喉的发声功能检查——喉肌电图检查" +
                ",电生理学检查\t喉的发声功能检查——声门图检查法" +
                ",电生理学检查\t喉的发声功能检查——声图检查法" +
                ",电生理学检查\t滑车上动脉检测及分析" +
                ",电生理学检查\t昏迷患者的脑电图改变" +
                ",电生理学检查\t活动平板试验" +
                ",电生理学检查\t间歇性束支传导阻滞的心电图特征" +
                ",电生理学检查\t交界性逸搏与逸搏心律的心电图特征" +
                ",电生理学检查\t基底动脉检测及分析" +
                ",电生理学检查\t颈动脉内膜剥脱术围手术期监测" +
                ",电生理学检查\t颈动脉支架成形术围手术期监测" +
                ",电生理学检查\t颈内动脉海绵窦段、床突上段检测及分析" +
                ",电生理学检查\t颈内动脉颅外段检测及分析" +
                ",电生理学检查\t颈内动脉终末段检测及分析" +
                ",电生理学检查\t精神应激试验" +
                ",电生理学检查\t经食管心房调搏负荷试验" +
                ",电生理学检查\t颈外动脉检测及分析" +
                ",电生理学检查\t颈总动脉检测及分析" +
                ",电生理学检查\t颈总动脉压迫试验" +
                ",电生理学检查\t急性冠状动脉供血不足的心电图特征" +
                ",电生理学检查\t肌张力检查" +
                ",电生理学检查\t局限性完全性房内阻滞的心电图特征" +
                ",电生理学检查\t克-雅病（CJD）的脑电图改变" +
                ",电生理学检查\t冷加压试验" +
                ",电生理学检查\t麦角新碱激发试验" +
                ",电生理学检查\t慢皮层反应" +
                ",电生理学检查\t慢性冠状动脉供血不足的心电图特征" +
                ",电生理学检查\t面神经的味觉检查" +
                ",电生理学检查\t面神经检查" +
                ",电生理学检查\t弥漫性完全性心房肌阻滞的心电图特征" +
                ",电生理学检查\t脑电图检查" +
                ",电生理学检查\t脑电图棘波" +
                ",电生理学检查\t脑电图弥漫性慢波" +
                ",电生理学检查\t脑干听觉诱发电位" +
                ",电生理学检查\t脑死亡的脑电图改变" +
                ",电生理学检查\t脑血管痉挛的监测" +
                ",电生理学检查\t脑血管舒缩反应性试验" +
                ",电生理学检查\t脑血管意外的心电图特征" +
                ",电生理学检查\t脑血流循环停止的监测" +
                ",电生理学检查\t脑诱发电位" +
                ",电生理学检查\t颞浅动脉检测及分析" +
                ",电生理学检查\t颞叶癫痫的脑电图改变" +
                ",电生理学检查\t逆向型房室折返性心动过速的心电图特征" +
                ",电生理学检查\t普萘洛尔试验" +
                ",电生理学检查\t葡萄糖负荷试验" +
                ",电生理学检查\t青少年肌阵挛发作的脑电图改变" +
                ",电生理学检查\t倾斜试验" +
                ",电生理学检查\t缺氧试验" +
                ",电生理学检查\t缺氧、代谢和中毒性脑病的脑电图改变" +
                ",电生理学检查\t三度房室传导阻滞的心电图特征" +
                ",电生理学检查\t三磷酸腺苷负荷试验" +
                ",电生理学检查\t声刺激前庭诱发肌源性电位" +
                ",电生理学检查\t神经传导检查——F波" +
                ",电生理学检查\t神经传导检查——H反射" +
                ",电生理学检查\t神经传导检查——瞬目反射" +
                ",电生理学检查\t神经传导检查——重复电刺激" +
                ",电生理学检查\t神经传导速度测定" +
                ",电生理学检查\t神经电图" +
                ",电生理学检查\t肾上腺素试验" +
                ",电生理学检查\t事件相关诱发电位" +
                ",电生理学检查\t视觉电生理检查——闪光视网膜电图" +
                ",电生理学检查\t视觉电生理检查——视觉诱发皮层电位" +
                ",电生理学检查\t视觉电生理检查——图形视网膜电图" +
                ",电生理学检查\t视觉电生理检查——眼电图检查" +
                ",电生理学检查\t视觉诱发电位" +
                ",电生理学检查\t室性期前收缩的心电图特征" +
                ",电生理学检查\t室性逸搏与逸搏心律的心电图特征" +
                ",电生理学检查\t双倍二级梯运动试验" +
                ",电生理学检查\t双嘧达莫负荷试验" +
                ",电生理学检查\t束臂试验" +
                ",电生理学检查\t睡眠障碍的脑电图改变" +
                ",电生理学检查\t顺向型房室折返性心动过速的心电图特征" +
                ",电生理学检查\t锁骨下动脉检测及分析" +
                ",电生理学检查\t踏车试验" +
                ",电生理学检查\t体感诱发电位" +
                ",电生理学检查\t听力检查法——脑干听觉诱发电位" +
                ",电生理学检查\t微栓子监测" +
                ",电生理学检查\t先天性心脏病的心电图特征" +
                ",电生理学检查\t硝酸甘油试验" +
                ",电生理学检查\t心包炎的心电图特征" +
                ",电生理学检查\t心电图检查" +
                ",电生理学检查\t心电向量图检查" +
                ",电生理学检查\t心房肥大的心电图特征" +
                ",电生理学检查\t心房内游走性心律的心电图特征" +
                ",电生理学检查\t心房内折返性心动过速的心电图特征" +
                ",电生理学检查\t心房扑动的心电图特征" +
                ",电生理学检查\t心房颤动的心电图特征" +
                ",电生理学检查\t心肺运动试验" +
                ",电生理学检查\t信号叠加心电图" +
                ",电生理学检查\t心肌病的心电图特征" +
                ",电生理学检查\t心肌梗死的心电图特征" +
                ",电生理学检查\t心肌炎的心电图特征" +
                ",电生理学检查\t心率变异性测定" +
                ",电生理学检查\t心室肥大的心电图特征" +
                ",电生理学检查\t心室扑动的心电图特征" +
                ",电生理学检查\t心室晚电位检查" +
                ",电生理学检查\t心室颤动的心电图特征" +
                ",电生理学检查\t血钙异常所致的心电图特征" +
                ",电生理学检查\t亚急性硬化性全脑炎的脑电图改变" +
                ",电生理学检查\t眼动脉检测及分析" +
                ",电生理学检查\t洋地黄中毒时的心电图特征" +
                ",电生理学检查\t眼心反射" +
                ",电生理学检查\t压痛及反跳痛" +
                ",电生理学检查\t异丙肾上腺素负荷试验" +
                ",电生理学检查\t异常脑电图——背景活动异常" +
                ",电生理学检查\t异常脑电图——三相波" +
                ",电生理学检查\t异常脑电图——阵发性异常" +
                ",电生理学检查\t异常脑电图——周期性波" +
                ",电生理学检查\t异常脑电图——周期性癫痫样放电" +
                ",电生理学检查\t一度房室传导阻滞的心电图特征" +
                ",电生理学检查\t右束支传导阻滞的心电图特征" +
                ",电生理学检查\t预激综合征的心电图特征" +
                ",电生理学检查\t运动神经传导的检查" +
                ",电生理学检查\t运动神经传导检查——尺神经" +
                ",电生理学检查\t运动神经传导检查——腓总神经" +
                ",电生理学检查\t运动神经传导检查——副神经" +
                ",电生理学检查\t运动神经传导检查——膈神经" +
                ",电生理学检查\t运动神经传导检查——股神经" +
                ",电生理学检查\t运动神经传导检查——肩胛上神经" +
                ",电生理学检查\t运动神经传导检查——胫神经" +
                ",电生理学检查\t运动神经传导检查——肌皮神经" +
                ",电生理学检查\t运动神经传导检查——面神经" +
                ",电生理学检查\t运动神经传导检查——桡神经" +
                ",电生理学检查\t运动神经传导检查——腋神经" +
                ",电生理学检查\t运动神经传导检查——正中神经" +
                ",电生理学检查\t运动诱发电位" +
                ",电生理学检查\t针电极肌电图" +
                ",电生理学检查\t针电极肌电图检查——闭孔神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——尺神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——腓总神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——副神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——股神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——肩胛背神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——肩胛上神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——胫神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——肌皮神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——脑神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——桡神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——臀上神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——臀下神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——胸背神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——胸神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——胸长神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——腋神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——正中神经支配肌肉" +
                ",电生理学检查\t针电极肌电图检查——坐骨神经支配肌肉" +
                ",电生理学检查\t枕动脉检测及分析" +
                ",电生理学检查\t正常窦性心律的心电图特征" +
                ",电生理学检查\t正常觉醒时脑电图" +
                ",电生理学检查\t正常睡眠脑电图" +
                ",电生理学检查\t正常睡眠时脑电图" +
                ",电生理学检查\t正常心电图" +
                ",电生理学检查\t椎动脉V1段、V3段检测及分析" +
                ",电生理学检查\t椎动脉V4段、小脑后下动脉检测及分析" +
                ",电生理学检查\t自律性房性心动过速的心电图特征" +
                ",电生理学检查\t左后分支传导阻滞的心电图特征" +
                ",电生理学检查\t左间隔支传导阻滞的心电图特征" +
                ",电生理学检查\t左前分支传导阻滞的心电图特征" +
                ",电生理学检查\t左束支传导阻滞的心电图特征" +
                ",内镜检查\tERCP下胆胰管细胞学检查" +
                ",内镜检查\t膀胱镜检查" +
                ",内镜检查\t鼻内镜检查" +
                ",内镜检查\t鼻腔内镜检查" +
                ",内镜检查\t鼻咽检查法" +
                ",内镜检查\t超声内镜检查" +
                ",内镜检查\t胆道镜检查" +
                ",内镜检查\t电子胃镜" +
                ",内镜检查\t电子支气管镜检查" +
                ",内镜检查\t蝶窦内镜检查" +
                ",内镜检查\t额窦内镜检查" +
                ",内镜检查\t耳的一般检查法" +
                ",内镜检查\t耳镜检查法" +
                ",内镜检查\t耳内镜检查" +
                ",内镜检查\t妇科腹腔镜检查" +
                ",内镜检查\t腹腔镜检查" +
                ",内镜检查\t肛门镜检查" +
                ",内镜检查\t肝胰壶腹括约肌测压" +
                ",内镜检查\t共聚焦内镜检查" +
                ",内镜检查\t宫腔镜检查" +
                ",内镜检查\t关节镜检查" +
                ",内镜检查\t后鼻镜检查法" +
                ",内镜检查\t喉的发声功能检查——喉动态镜检查法" +
                ",内镜检查\t间接喉镜检查" +
                ",内镜检查\t胶囊内镜检查" +
                ",内镜检查\t结肠镜检查" +
                ",内镜检查\t经口胆管镜检查" +
                ",内镜检查\t经口胰管镜检查" +
                ",内镜检查\t经内镜胆道塑料支架引流术" +
                ",内镜检查\t经支气管镜肺活检术" +
                ",内镜检查\t经支气管针吸活检" +
                ",内镜检查\t内镜逆行胰胆管造影检查" +
                ",内镜检查\t内镜下醋酸染色" +
                ",内镜检查\t内镜下胆胰管黏膜活检检查" +
                ",内镜检查\t内镜下靛胭脂染色" +
                ",内镜检查\t内镜下卢戈碘染色" +
                ",内镜检查\t内镜下亚甲蓝染色" +
                ",内镜检查\t内科胸腔镜检查术" +
                ",内镜检查\t前鼻镜检查" +
                ",内镜检查\t气管内超声诊断" +
                ",内镜检查\t气管吸引物" +
                ",内镜检查\t色素内镜检查" +
                ",内镜检查\t上颌窦内镜检查" +
                ",内镜检查\t上消化道管腔黏膜细胞学检查" +
                ",内镜检查\t上消化道内镜检查" +
                ",内镜检查\t上消化道黏膜活组织检查" +
                ",内镜检查\t生育镜检查" +
                ",内镜检查\t十二指肠镜检查" +
                ",内镜检查\t双气囊小肠镜" +
                ",内镜检查\t输卵管镜检查" +
                ",内镜检查\t胎儿镜检查" +
                ",内镜检查\t胃镜检查" +
                ",内镜检查\t无痛肠镜检查" +
                ",内镜检查\t无痛胃镜检查" +
                ",内镜检查\t纤维鼻咽喉镜检查" +
                ",内镜检查\t纤维喉镜及电子喉镜检查法" +
                ",内镜检查\t纤维结肠镜检查" +
                ",内镜检查\t纤维食管镜检查" +
                ",内镜检查\t纤维胃镜检查" +
                ",内镜检查\t纤维支气管镜检查" +
                ",内镜检查\t小肠镜检查" +
                ",内镜检查\t小儿电子胃镜检查" +
                ",内镜检查\t咽部其他检查——Müller检查" +
                ",内镜检查\t羊膜镜检查" +
                ",内镜检查\t胰胆管内超声检查术" +
                ",内镜检查\t阴道镜检查" +
                ",内镜检查\t阴道瘘膀胱镜检查" +
                ",内镜检查\t阴道细胞学检查" +
                ",内镜检查\t硬质支气管镜检查" +
                ",内镜检查\t乙状结肠镜检查" +
                ",内镜检查\t幽门螺旋杆菌的直接检查" +
                ",内镜检查\t诊断性腹腔灌洗术" +
                ",内镜检查\t直肠镜检查" +
                ",内镜检查\t直接喉镜检查法" +
                ",内镜检查\t直接喉镜检查法——支撑喉镜和悬吊喉镜检查法" +
                ",内镜检查\t支气管肺泡灌洗技术" +
                ",内镜检查\t支气管镜检查" +
                ",内镜检查\t子宫内膜活检" +
                ",内镜检查\t自体荧光支气管镜检查" +
                ",内镜检查\t纵隔镜检查术" +
                ",肺功能检查与血气分析\t0.1秒口腔闭合压的测定" +
                ",肺功能检查与血气分析\t闭合容积测定" +
                ",肺功能检查与血气分析\t补呼气容积检查" +
                ",肺功能检查与血气分析\t补吸气容积检查" +
                ",肺功能检查与血气分析\t残气容积肺总量百分比" +
                ",肺功能检查与血气分析\t残气容积检查" +
                ",肺功能检查与血气分析\t潮气量和每分钟通气量的测定" +
                ",肺功能检查与血气分析\t单磷酸腺苷（AMP）吸入激发试验" +
                ",肺功能检查与血气分析\t低密度混合气体的MEFV曲线测定" +
                ",肺功能检查与血气分析\t低渗盐水或蒸馏水激发试验" +
                ",肺功能检查与血气分析\t肺功能检查" +
                ",肺功能检查与血气分析\t肺活量检查" +
                ",肺功能检查与血气分析\t肺量计法测定潮气容积和每分通气量" +
                ",肺功能检查与血气分析\t肺量计法测定肺活量" +
                ",肺功能检查与血气分析\t肺弥散功能检查" +
                ",肺功能检查与血气分析\t肺内气体分布检查" +
                ",肺功能检查与血气分析\t肺泡‐动脉血氧分压差的测定" +
                ",肺功能检查与血气分析\t肺容量测定" +
                ",肺功能检查与血气分析\t肺通气功能检查" +
                ",肺功能检查与血气分析\t肺总量检查" +
                ",肺功能检查与血气分析\t峰流速检查" +
                ",肺功能检查与血气分析\t甘露醇吸入激发试验" +
                ",肺功能检查与血气分析\t高浓度二氧化碳激发试验" +
                ",肺功能检查与血气分析\t高渗盐水吸入激发试验" +
                ",肺功能检查与血气分析\t功能残气量肺总量百分比" +
                ",肺功能检查与血气分析\t功能残气量检查" +
                ",肺功能检查与血气分析\t呼出气一氧化氮浓度检测" +
                ",肺功能检查与血气分析\t呼气末肺容积检查" +
                ",肺功能检查与血气分析\t呼气中期流量测定" +
                ",肺功能检查与血气分析\t呼吸系统顺应性的测定" +
                ",肺功能检查与血气分析\t解剖无效腔的测定方法" +
                ",肺功能检查与血气分析\t冷空气过度通气激发试验" +
                ",肺功能检查与血气分析\t流量-容积曲线的测定" +
                ",肺功能检查与血气分析\t流量计测定肺容积" +
                ",肺功能检查与血气分析\t流速容量环的测定" +
                ",肺功能检查与血气分析\t每分通气量检查" +
                ",肺功能检查与血气分析\t密闭式氮稀释法-重复呼吸法测定功能残气量" +
                ",肺功能检查与血气分析\t密闭式氦稀释法-重复呼吸法测定功能残气量" +
                ",肺功能检查与血气分析\t气道阻力" +
                ",肺功能检查与血气分析\t气速指数" +
                ",肺功能检查与血气分析\t生理无效腔和肺泡无效腔的测定" +
                ",肺功能检查与血气分析\t深吸气量检查" +
                ",肺功能检查与血气分析\t时间呼气容积检查" +
                ",肺功能检查与血气分析\t四肢阻抗式血流图测定" +
                ",肺功能检查与血气分析\t体积描记检查" +
                ",肺功能检查与血气分析\t通气储量百分比" +
                ",肺功能检查与血气分析\t通气应答的测定" +
                ",肺功能检查与血气分析\t通气与血流灌注比值" +
                ",肺功能检查与血气分析\t小气道功能的测定" +
                ",肺功能检查与血气分析\t心得安吸入激发试验" +
                ",肺功能检查与血气分析\t胸内气体容积检查" +
                ",肺功能检查与血气分析\t氧合指数" +
                ",肺功能检查与血气分析\t用力肺活量测定" +
                ",肺功能检查与血气分析\t运动激发试验" +
                ",肺功能检查与血气分析\t支气管激发试验" +
                ",肺功能检查与血气分析\t支气管舒张试验" +
                ",肺功能检查与血气分析\t最大呼气流量-容积曲线" +
                ",肺功能检查与血气分析\t最大自主通气量测定" +
                ",胃肠动力学检查\tOddi括约肌测压检测" +
                ",胃肠动力学检查\t胆囊收缩功能检查" +
                ",胃肠动力学检查\t肛门直肠压力测定" +
                ",胃肠动力学检查\t排粪造影" +
                ",胃肠动力学检查\t氢呼气试验" +
                ",胃肠动力学检查\t球囊逼出试验" +
                ",胃肠动力学检查\t食管动力学检查" +
                ",胃肠动力学检查\t胃肠传输试验" +
                ",胃肠动力学检查\t胃电图检查" +
                ",胃肠动力学检查\t胃窦-幽门-十二指肠测压检查" +
                ",胃肠动力学检查\t胃排空功能检查" +
                ",胃肠动力学检查\t小肠测压检查" +
                ",影像学检查\t14C‐尿素呼气试验" +
                ",影像学检查\t201Tl和99mTc‐MIBI肿瘤显像" +
                ",影像学检查\t64排螺旋CT检查" +
                ",影像学检查\t67Ga炎症显像" +
                ",影像学检查\t67Ga肿瘤显像" +
                ",影像学检查\t99mTc（Ⅴ）‐DMSA肿瘤显像" +
                ",影像学检查\t<sup>131</sup>I全身显像" +
                ",影像学检查\t<sup>13</sup>C-尿素呼气试验" +
                ",影像学检查\tA型超声检查" +
                ",影像学检查\tCT血管成像" +
                ",影像学检查\t常规CT平扫检查" +
                ",影像学检查\t四肢的X线检查" +
                ",影像学检查\tT管造影" +
                ",影像学检查\t白细胞显像" +
                ",影像学检查\t膀胱超声检查" +
                ",影像学检查\t膀胱造影" +
                ",影像学检查\t膀胱‐输尿管反流显像" +
                ",影像学检查\t钡剂灌肠造影检查" +
                ",影像学检查\t鼻及鼻窦的影像检查" +
                ",影像学检查\t鼻与鼻旁窦的CT检查" +
                ",影像学检查\t鼻与鼻旁窦的MRI检查" +
                ",影像学检查\t鼻与鼻旁窦的X线检查" +
                ",影像学检查\t彩色室壁运动分析技术" +
                ",影像学检查\t常规静脉尿路造影" +
                ",影像学检查\t肠系膜动脉超声检查" +
                ",影像学检查\t产科超声检查" +
                ",影像学检查\t超声胃镜检查" +
                ",影像学检查\t超声血管造影" +
                ",影像学检查\t超声引导下操作" +
                ",影像学检查\t垂体CT检查" +
                ",影像学检查\t垂体MRI检查" +
                ",影像学检查\t磁共振波谱成像" +
                ",影像学检查\t磁共振波谱分析" +
                ",影像学检查\t磁共振水成像" +
                ",影像学检查\t磁共振血管成像" +
                ",影像学检查\t磁共振血管造影" +
                ",影像学检查\t磁共振增强扫描" +
                ",影像学检查\t磁敏感加权成像" +
                ",影像学检查\t胆道超声检查" +
                ",影像学检查\t多普勒超声心动图" +
                ",影像学检查\t耳部的CT检查" +
                ",影像学检查\t耳部的MRI检查" +
                ",影像学检查\t耳部的X线检查" +
                ",影像学检查\t二维超声心动图" +
                ",影像学检查\t二氧化碳声学造影法" +
                ",影像学检查\t耳、乳突的CT读片" +
                ",影像学检查\t放射性核素静脉显像" +
                ",影像学检查\t放射性核素脑血管显像" +
                ",影像学检查\t放射性核素肾图" +
                ",影像学检查\t放射性核素心脏功能显像" +
                ",影像学检查\t肺灌注显像" +
                ",影像学检查\t肺通气显像" +
                ",影像学检查\t非血管管腔扩张术" +
                ",影像学检查\t腹壁、腹膜腔及腹膜后间隙的CT检查" +
                ",影像学检查\t腹壁、腹膜腔及腹膜后间隙的MRI检查" +
                ",影像学检查\t腹壁、腹膜腔及腹膜后间隙的X线检查" +
                ",影像学检查\t腹部CT" +
                ",影像学检查\t腹部MRI检查" +
                ",影像学检查\t腹部X线摄影" +
                ",影像学检查\t腹部平片" +
                ",影像学检查\t妇科超声检查" +
                ",影像学检查\t腹膜后充气造影" +
                ",影像学检查\t腹膜后大血管超声检查" +
                ",影像学检查\t腹膜后间隙超声检查" +
                ",影像学检查\t腹主动脉超声检查" +
                ",影像学检查\t肝胆动态显像" +
                ",影像学检查\t肝断层显像" +
                ",影像学检查\t肝血流灌注和肝血池显像" +
                ",影像学检查\t肝脏超声检查" +
                ",影像学检查\t肝脏胶体显像" +
                ",影像学检查\t肝、胆、胰、脾的CT检查" +
                ",影像学检查\t肝、胆、胰、脾的MRI检查" +
                ",影像学检查\t肝、胆、胰、脾的X线检查" +
                ",影像学检查\t宫内节育器的X线检查" +
                ",影像学检查\t冠状动脉CT检查" +
                ",影像学检查\t冠状动脉造影" +
                ",影像学检查\t灌注成像" +
                ",影像学检查\t骨关节系统的X线检查" +
                ",影像学检查\t骨矿物质含量测定" +
                ",影像学检查\t骨龄测定" +
                ",影像学检查\t骨密度测定" +
                ",影像学检查\t过氧化氢心脏声学造影" +
                ",影像学检查\t骨髓显像" +
                ",影像学检查\t骨显像" +
                ",影像学检查\t骨、关节系统的CT检查" +
                ",影像学检查\t骨、关节系统的MRI检查" +
                ",影像学检查\t骨、软骨及关节超声检查" +
                ",影像学检查\t核磁共振成像" +
                ",影像学检查\t颌面部的CT检查" +
                ",影像学检查\t颌面部的MRI检查" +
                ",影像学检查\t颌面部的X线检查" +
                ",影像学检查\t喉部的CT检查" +
                ",影像学检查\t喉部的MRI检查" +
                ",影像学检查\t喉部的X线检查" +
                ",影像学检查\t喉的发声功能检查——超高速电影摄影" +
                ",影像学检查\t呼吸系统的CT检查" +
                ",影像学检查\t呼吸系统的MRI检查" +
                ",影像学检查\t呼吸系统的X线检查" +
                ",影像学检查\t甲状旁腺显像" +
                ",影像学检查\t甲状腺和甲状旁腺超声检查" +
                ",影像学检查\t甲状腺和甲状旁腺的CT检查" +
                ",影像学检查\t甲状腺和甲状旁腺的MRI检查" +
                ",影像学检查\t甲状腺和甲状旁腺的X线检查" +
                ",影像学检查\t甲状腺核素显像" +
                ",影像学检查\t甲状腺显像" +
                ",影像学检查\t结肠X线造影检查" +
                ",影像学检查\t肌腱超声检查" +
                ",影像学检查\t颈部MRI检查" +
                ",影像学检查\t颈部动脉超声检查" +
                ",影像学检查\t颈部静脉超声检查" +
                ",影像学检查\t颈部血管超声" +
                ",影像学检查\t经导管血管灌注术" +
                ",影像学检查\t经导管血管栓塞术" +
                ",影像学检查\t颈动脉彩超" +
                ",影像学检查\t经颅多普勒超声技术" +
                ",影像学检查\t静脉胆道造影" +
                ",影像学检查\t静脉尿路造影" +
                ",影像学检查\t静脉肾盂造影" +
                ",影像学检查\t精囊、输精管造影" +
                ",影像学检查\t经皮穿刺活检" +
                ",影像学检查\t经皮穿刺消融术" +
                ",影像学检查\t经皮穿刺引流术" +
                ",影像学检查\t经皮经肝胆道造影术" +
                ",影像学检查\t经皮经腔血管成形术" +
                ",影像学检查\t经食管超声心动图" +
                ",影像学检查\t经阴道超声" +
                ",影像学检查\t颈椎CT检查" +
                ",影像学检查\t肌肉超声检查" +
                ",影像学检查\t计算机三维重建技术" +
                ",影像学检查\t计算机体层成像" +
                ",影像学检查\t脊髓的CT检查" +
                ",影像学检查\t脊髓的MRI检查" +
                ",影像学检查\t脊髓的X线检查" +
                ",影像学检查\t急性心肌梗死显像" +
                ",影像学检查\t脊柱MRI检查" +
                ",影像学检查\t脊柱X线检查" +
                ",影像学检查\t脊椎X线平片" +
                ",影像学检查\t抗人粒细胞单克隆抗体显像" +
                ",影像学检查\t口服法小肠造影" +
                ",影像学检查\t扩散张量成像" +
                ",影像学检查\t淋巴显像" +
                ",影像学检查\t滤过紫外线检查" +
                ",影像学检查\t颅脑的CT检查" +
                ",影像学检查\t颅脑的MRI检查" +
                ",影像学检查\t颅脑的X线检查" +
                ",影像学检查\t颅脑血管超声检查" +
                ",影像学检查\t螺旋CT检查" +
                ",影像学检查\t门静脉成像" +
                ",影像学检查\t泌尿系统超声检查" +
                ",影像学检查\t泌尿系统的CT检查" +
                ",影像学检查\t泌尿系统的MRI检查" +
                ",影像学检查\t泌尿系统的X线检查" +
                ",影像学检查\t男性生殖系统的CT检查" +
                ",影像学检查\t男性生殖系统的MRI检查" +
                ",影像学检查\t脑池显像" +
                ",影像学检查\t脑代谢显像" +
                ",影像学检查\t脑功能成像" +
                ",影像学检查\t脑脊液间隙显像" +
                ",影像学检查\t脑血流灌注显像" +
                ",影像学检查\t尿路平片" +
                ",影像学检查\t逆行肾盂造影" +
                ",影像学检查\t女性生殖系统的CT检查" +
                ",影像学检查\t女性生殖系统的MRI检查" +
                ",影像学检查\t女性生殖系统造影检查" +
                ",影像学检查\t盆腔CT检查" +
                ",影像学检查\t盆腔MRI检查" +
                ",影像学检查\t脾显象" +
                ",影像学检查\t脾显像" +
                ",影像学检查\t脾脏彩超检查" +
                ",影像学检查\t髂动脉超声检查" +
                ",影像学检查\t浅表淋巴结超声检查" +
                ",影像学检查\t前列腺超声检查" +
                ",影像学检查\t曲面体层摄影" +
                ",影像学检查\t去唾液酸糖蛋白受体显像" +
                ",影像学检查\t韧带超声检查" +
                ",影像学检查\t人非特异性IgG显像" +
                ",影像学检查\t软组织肿物超声检查" +
                ",影像学检查\t乳房超声检查" +
                ",影像学检查\t乳腺超声检查" +
                ",影像学检查\t乳腺导管造影" +
                ",影像学检查\t乳腺的CT检查" +
                ",影像学检查\t乳腺的MRI检查" +
                ",影像学检查\t乳腺的X线检查" +
                ",影像学检查\t乳腺亲肿瘤显像（<sup>99m</sup>Tc-MIBI/乳腺专用伽玛显像）" +
                ",影像学检查\t腮腺的CT检查" +
                ",影像学检查\t腮腺的MRI检查" +
                ",影像学检查\t腮腺的X线检查" +
                ",影像学检查\t三维超声成像" +
                ",影像学检查\t三维超声心动图" +
                ",影像学检查\t上消化道造影" +
                ",影像学检查\t肾动脉超声检查" +
                ",影像学检查\t肾动态显像" +
                ",影像学检查\t声振微气泡右心声学造影" +
                ",影像学检查\t神经受体显像" +
                ",影像学检查\t肾静态显像" +
                ",影像学检查\t肾上腺超声检查" +
                ",影像学检查\t肾上腺的CT检查" +
                ",影像学检查\t肾上腺的MRI检查" +
                ",影像学检查\t肾上腺皮质显像" +
                ",影像学检查\t肾上腺髓质显像" +
                ",影像学检查\t肾血管造影" +
                ",影像学检查\t肾移植彩超监测" +
                ",影像学检查\t肾脏MRI检查" +
                ",影像学检查\t十二指肠‐胃反流显像" +
                ",影像学检查\t食管钡餐造影" +
                ",影像学检查\t食管通过功能测定" +
                ",影像学检查\t食管造影" +
                ",影像学检查\t视神经孔片" +
                ",影像学检查\t数字化X线摄影" +
                ",影像学检查\t四肢CT检查" +
                ",影像学检查\t四肢动脉超声检查" +
                ",影像学检查\t四肢静脉超声检查" +
                ",影像学检查\t四肢血管彩色多普勒超声" +
                ",影像学检查\t胎儿颈后透明带检查" +
                ",影像学检查\t胎方位" +
                ",影像学检查\t头颅正侧位片" +
                ",影像学检查\t唾液腺显像" +
                ",影像学检查\t胃钡餐造影" +
                ",影像学检查\t胃肠超声检查" +
                ",影像学检查\t胃肠道出血显像" +
                ",影像学检查\t胃超声检查" +
                ",影像学检查\t胃排空功能测定" +
                ",影像学检查\t胃‐食管反流测定" +
                ",影像学检查\t涎腺超声检查" +
                ",影像学检查\t小肠通过功能测定" +
                ",影像学检查\t消化道的CT检查" +
                ",影像学检查\t消化道的MRI检查" +
                ",影像学检查\t消化道的X线检查" +
                ",影像学检查\t消化道的钡餐造影检查" +
                ",影像学检查\t下肢动脉血管造影扫描技术" +
                ",影像学检查\t心肌灌注显像" +
                ",影像学检查\t心肌葡萄糖代谢显像" +
                ",影像学检查\t心肌脂肪酸代谢显像" +
                ",影像学检查\t心腔内超声心动图" +
                ",影像学检查\t心血管MRI检查" +
                ",影像学检查\t心血管造影" +
                ",影像学检查\t心脏超声检查" +
                ",影像学检查\t心脏神经受体显像" +
                ",影像学检查\t胸部CT检查" +
                ",影像学检查\t胸部MRI检查" +
                ",影像学检查\t胸部超声检查" +
                ",影像学检查\t胸部平片" +
                ",影像学检查\t系统胎儿超声检查（第三层次）" +
                ",影像学检查\t血管内超声" +
                ",影像学检查\t循环系统的CT检查" +
                ",影像学检查\t循环系统的X线检查" +
                ",影像学检查\t眼部超声检查" +
                ",影像学检查\t咽部的CT检查" +
                ",影像学检查\t咽部的MRI检查" +
                ",影像学检查\t咽部的X线检查" +
                ",影像学检查\t眼底荧光素血管造影" +
                ",影像学检查\t眼球异物定位摄影" +
                ",影像学检查\t眼与眼眶的CT检查" +
                ",影像学检查\t眼与眼眶的MRI检查" +
                ",影像学检查\t眼与眼眶的X线检查" +
                ",影像学检查\t吲哚青绿血管造影" +
                ",影像学检查\t阴茎海绵体造影" +
                ",影像学检查\t阴囊超声检查" +
                ",影像学检查\t阴囊显像" +
                ",影像学检查\t阴囊与阴茎超声检查" +
                ",影像学检查\t异位胃黏膜显像" +
                ",影像学检查\t胰腺超声检查" +
                ",影像学检查\t造影检查" +
                ",影像学检查\t支气管造影" +
                ",影像学检查\t肿瘤代谢显像" +
                ",影像学检查\t肿瘤断层显象" +
                ",影像学检查\t肿瘤放射免疫显象" +
                ",影像学检查\t肿瘤放射受体显像" +
                ",影像学检查\t肿瘤基因显像" +
                ",影像学检查\t子宫输卵管造影" +
                ",体格检查\tB超引导下绒毛取材术" +
                ",体格检查\t臂丛神经牵拉试验" +
                ",体格检查\t变应原鼻激发试验" +
                ",体格检查\t鼻窦检查——上颌窦穿刺冲洗法" +
                ",体格检查\t鼻窦检查——头位引流法" +
                ",体格检查\t鼻和鼻窦的基本检查" +
                ",体格检查\t鼻腔、鼻窦检查" +
                ",体格检查\t鼻阻力检查法——鼻声反射" +
                ",体格检查\t鼻阻力检查法——鼻压计测量法" +
                ",体格检查\t步态" +
                ",体格检查\t步态分析" +
                ",体格检查\t床边试验" +
                ",体格检查\t醋酸转白试验" +
                ",体格检查\t代偿头位测定" +
                ",体格检查\t电反应测听" +
                ",体格检查\t骶髂关节检查法" +
                ",体格检查\t多频听觉稳态诱发反应" +
                ",体格检查\t耳部基本检查——耳廓及耳周检查" +
                ",体格检查\t耳部基本检查——外耳道及鼓膜检查" +
                ",体格检查\t耳部基本检查——咽鼓管功能检查" +
                ",体格检查\t儿童生长发育监测" +
                ",体格检查\t发育与体型" +
                ",体格检查\t腹部检查——腹部触诊" +
                ",体格检查\t腹部检查——腹部分区" +
                ",体格检查\t腹部检查——腹部视诊" +
                ",体格检查\t腹部检查——腹部听诊" +
                ",体格检查\t腹部检查——其他检查" +
                ",体格检查\t妇科检查" +
                ",体格检查\t盖来试验" +
                ",体格检查\t肛门、直肠检查" +
                ",体格检查\t睾丸检查" +
                ",体格检查\t宫颈刮片" +
                ",体格检查\t骨盆检查" +
                ",体格检查\t骨盆内测量" +
                ",体格检查\t喉部基本检查" +
                ",体格检查\t喉的发声功能检查——喉声气流图检查" +
                ",体格检查\t肩胛骨检查" +
                ",体格检查\t角膜病灶刮片检查" +
                ",体格检查\t甲状腺检查" +
                ",体格检查\t基本检查法——触诊" +
                ",体格检查\t基本检查法——叩诊" +
                ",体格检查\t基本检查法——视诊" +
                ",体格检查\t基本检查法——听诊" +
                ",体格检查\t基本检查法——嗅诊" +
                ",体格检查\t颈部皮肤与包块检查" +
                ",体格检查\t颈部血管检查" +
                ",体格检查\t颈部姿势与运动检查" +
                ",体格检查\t颈部——颈部检查" +
                ",体格检查\t精囊检查" +
                ",体格检查\t精神心理状态" +
                ",体格检查\t脊柱检查" +
                ",体格检查\t口部基本检查" +
                ",体格检查\t口部其他检查" +
                ",体格检查\t口咽检查法" +
                ",体格检查\t髋外旋外展试验" +
                ",体格检查\t淋巴结检查" +
                ",体格检查\t面容与表情" +
                ",体格检查\t拇指对掌试验" +
                ",体格检查\t颞下颌关节检查" +
                ",体格检查\t皮肤变应原检测——斑贴试验" +
                ",体格检查\t皮肤变应原检测——点刺试验" +
                ",体格检查\t皮肤变应原检测——皮内试验" +
                ",体格检查\t皮肤变应原检测——血清IgE" +
                ",体格检查\t皮肤病免疫病理学检查" +
                ",体格检查\t皮肤的基本检查" +
                ",体格检查\t皮肤蠕形螨检查" +
                ",体格检查\t皮肤真菌检查" +
                ",体格检查\t皮肤紫外线敏感性检测——光斑贴试验" +
                ",体格检查\t皮肤紫外线敏感性检测——最小红斑量" +
                ",体格检查\t前庭功能检查" +
                ",体格检查\t前庭功能检查——变位性眼震" +
                ",体格检查\t前庭功能检查——冷热试验" +
                ",体格检查\t前庭功能检查——平衡及协调功能" +
                ",体格检查\t前庭功能检查——位置性眼震" +
                ",体格检查\t前庭功能检查——自发性眼球震颤" +
                ",体格检查\t前庭功能检查——姿势描记法" +
                ",体格检查\t气管检查" +
                ",体格检查\t全身系统检查——普通患者" +
                ",体格检查\t全身系统检查——特殊患者" +
                ",体格检查\t屈光状态检查" +
                ",体格检查\t屈腕试验" +
                ",体格检查\t乳房核心针穿刺活检" +
                ",体格检查\t乳腺数字红外热成像技术" +
                ",体格检查\t三叉神经检查法" +
                ",体格检查\t上肢检查——上肢和肩关节" +
                ",体格检查\t上肢检查——手" +
                ",体格检查\t上肢检查——腕关节" +
                ",体格检查\t上肢检查——肘关节" +
                ",体格检查\t生命征检查——体温" +
                ",体格检查\t生命征——呼吸" +
                ",体格检查\t生命征——脉搏" +
                ",体格检查\t生命征——血压" +
                ",体格检查\t生殖系统检查——男性" +
                ",体格检查\t生殖系统检查——女性（基本检查）" +
                ",体格检查\t生殖系统检查——女性（其他检查）" +
                ",体格检查\t神经系统检查——反射" +
                ",体格检查\t神经系统检查——感觉神经" +
                ",体格检查\t神经系统检查——脑神经" +
                ",体格检查\t神经系统检查——运动神经" +
                ",体格检查\t神经系统检查——自主神经" +
                ",体格检查\t双合诊检查" +
                ",体格检查\t四步触诊法" +
                ",体格检查\t糖精试验" +
                ",体格检查\t体格检查" +
                ",体格检查\t听力检查法——纯音听阈测试" +
                ",体格检查\t听力检查法——鼓室导纳测量" +
                ",体格检查\t听力检查法——声反射检查" +
                ",体格检查\t听力检查法——听力粗测法" +
                ",体格检查\t听力检查法——音叉听力检查" +
                ",体格检查\t体位" +
                ",体格检查\t瞳孔检查" +
                ",体格检查\t头部的触诊" +
                ",体格检查\t头部检查" +
                ",体格检查\t头部检查——头发" +
                ",体格检查\t外耳道及鼓膜检查法" +
                ",体格检查\t下颌运动检查" +
                ",体格检查\t下肢检查——髋关节" +
                ",体格检查\t下肢检查——膝关节" +
                ",体格检查\t下肢检查——足踝部" +
                ",体格检查\t新生儿体格检查" +
                ",体格检查\t胸部检查——肺和胸膜" +
                ",体格检查\t胸部检查——乳房" +
                ",体格检查\t胸部检查——体表标志" +
                ",体格检查\t胸部检查——心脏检查" +
                ",体格检查\t胸部检查——心脏血管检查" +
                ",体格检查\t胸部检查——胸壁" +
                ",体格检查\t胸部检查——胸廓" +
                ",体格检查\t吸入性及食物性过敏原特异性IgE抗体检测" +
                ",体格检查\t嗅觉检查法" +
                ",体格检查\t咽壁外部（颈）的检查法" +
                ",体格检查\t眼部检查——结膜" +
                ",体格检查\t眼部检查——泪器" +
                ",体格检查\t眼部检查——视功能检查" +
                ",体格检查\t眼部检查——眼睑" +
                ",体格检查\t眼部检查——眼眶" +
                ",体格检查\t眼部检查——眼眉" +
                ",体格检查\t眼部检查——眼前节检查" +
                ",体格检查\t眼部检查——眼球" +
                ",体格检查\t眼部视功能检查——Amsler方格检查法" +
                ",体格检查\t眼部视功能检查——Goldmann动态定量视野计检查法" +
                ",体格检查\t眼部视功能检查——暗适应检查" +
                ",体格检查\t眼部视功能检查——对比敏感度" +
                ",体格检查\t眼部视功能检查——对照视野检查法" +
                ",体格检查\t眼部视功能检查——弓形视野计检查法" +
                ",体格检查\t眼部视功能检查——近视力检查" +
                ",体格检查\t眼部视功能检查——立体视觉" +
                ",体格检查\t眼部视功能检查——平面视野计检查法" +
                ",体格检查\t眼部视功能检查——色觉检查" +
                ",体格检查\t眼部视功能检查——婴幼儿视力检查" +
                ",体格检查\t眼部视功能检查——远视力检查" +
                ",体格检查\t眼部视功能检查——自动静态定量视野检查方法" +
                ",体格检查\t眼功能检查" +
                ",体格检查\t眼球运动检查" +
                ",体格检查\t言语状态" +
                ",体格检查\t一般检查——年龄检查" +
                ",体格检查\t一般检查——性别检查" +
                ",体格检查\t阴部神经支配的肌肉检查" +
                ",体格检查\t阴道视诊与触诊" +
                ",体格检查\t婴儿智力测试" +
                ",体格检查\t营养状态" +
                ",体格检查\t阴茎肱动脉血压指数" +
                ",体格检查\t阴茎检查" +
                ",体格检查\t意识状态" +
                ",体格检查\t语言检查法" +
                ",体格检查\t语音试验" +
                ",体格检查\t周边前房深度测量法" +
                ",体格检查\t主观屈光检查" +
                ",体格检查\t姿势" +
                ",口腔检查\t<p><bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\">  \uD870\uDF17 </bz>\uD870\uDF17翼片 </p>" +
                ",口腔检查\t全口牙位曲面体层X线片" +
                ",口腔检查\t侧位X线头影测量分析" +
                ",口腔检查\t窦道及瘘管造影" +
                ",口腔检查\t根尖片" +
                ",口腔检查\t核素显像检查" +
                ",口腔检查\t华特位片" +
                ",口腔检查\t髁突经咽侧位片" +
                ",口腔检查\t口腔X线检查" +
                ",口腔检查\t口腔颌面部CBCT检查" +
                ",口腔检查\t口腔颌面颈部CT检查" +
                ",口腔检查\t口腔颌面颈部MRI检查" +
                ",口腔检查\t口腔科超声检查" +
                ",口腔检查\t口腔全景体层摄影" +
                ",口腔检查\t瘤腔造影" +
                ",口腔检查\t颞下颌关节MRI检查" +
                ",口腔检查\t颞下颌关节侧位体层片" +
                ",口腔检查\t颞下颌关节曲面体层片" +
                ",口腔检查\t颞下颌关节许氏位片" +
                ",口腔检查\t颞下颌关节造影" +
                ",口腔检查\t上颌后部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔检查\t上颌前部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔检查\t数字减影颞下颌关节造影" +
                ",口腔检查\t数字减影血管造影" +
                ",口腔检查\t头影测量片" +
                ",口腔检查\t唾液腺造影" +
                ",口腔检查\t下颌骨侧斜位片" +
                ",口腔检查\t下颌骨后前位片" +
                ",口腔检查\t下颌横断<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔检查\t下颌前部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔检查\t牙髓电活力测验" +
                ",其他\t6分钟最大步行距离试验" +
                ",其他\tB超检查" +
                ",其他\tECT检查" +
                ",其他\tGoldmann压平眼压计测量法" +
                ",其他\tPET-CT" +
                ",其他\tX线检查" +
                ",其他\t膀胱残余尿量测定" +
                ",其他\t表试验" +
                ",其他\t彩色多普勒血流成像" +
                ",其他\t超声检查" +
                ",其他\t超声引导下甲状腺穿刺活检" +
                ",其他\t磁共振扩散加权成像技术" +
                ",其他\t碘对比剂窦道瘘管造影检查" +
                ",其他\t动态血压监测" +
                ",其他\t动眼神经检查" +
                ",其他\t多导睡眠监测" +
                ",其他\t耳声发射检查" +
                ",其他\t肺部检查" +
                ",其他\t肺动脉造影" +
                ",其他\t肺阻抗血流图" +
                ",其他\t腹壁紧张度" +
                ",其他\t肛门指检" +
                ",其他\t肝脏触诊" +
                ",其他\t肝脏及胆囊叩诊" +
                ",其他\t光学相干断层扫描" +
                ",其他\t颌面部检查" +
                ",其他\t角膜地形图检查" +
                ",其他\t角膜厚度测量" +
                ",其他\t角膜检查" +
                ",其他\t角膜知觉检查法" +
                ",其他\t甲状腺静态显像" +
                ",其他\t甲状腺血流显像" +
                ",其他\t结核菌素试验" +
                ",其他\t结膜的检查" +
                ",其他\t颈静脉压检查" +
                ",其他\t泪道检查" +
                ",其他\t泪膜破裂时间" +
                ",其他\t泪液分泌试验" +
                ",其他\t裂隙灯检查" +
                ",其他\t瘘管试验" +
                ",其他\t颅内压监测" +
                ",其他\t脑脊液压力的测定" +
                ",其他\t内生殖器检查" +
                ",其他\t尿道功能测定" +
                ",其他\t尿道口检查" +
                ",其他\t尿动力学检查" +
                ",其他\t尿液透明度" +
                ",其他\t前房角镜检查法" +
                ",其他\t青霉素皮内试验" +
                ",其他\t人体成分分析" +
                ",其他\t乳管镜检查" +
                ",其他\t散光表验光法" +
                ",其他\t搔刮试验" +
                ",其他\t肾盂内压测定试验" +
                ",其他\t食管拉网检查" +
                ",其他\t食管压力测定" +
                ",其他\t甩头试验" +
                ",其他\t双眼平衡检查" +
                ",其他\t水负荷ADH抑制试验" +
                ",其他\t输卵管通液检查" +
                ",其他\t输尿管镜检查" +
                ",其他\t听性脑干反应" +
                ",其他\t显微摄影技术" +
                ",其他\t心内电生理检查" +
                ",其他\t新生儿疾病筛查" +
                ",其他\t眼压描记检查法" +
                ",其他\t牙周探诊" +
                ",其他\t针刺试验" +
                ",其他\t直接检眼镜检查法");
        jianchaSplit = jiancha.toString().split(",");
        for(String temp: jianchaSplit) {
            String[] ele = temp.split("\t");
            jianchaMap.put(ele[1],ele[0]);
        }

        StringBuilder keshi = new StringBuilder();
        keshi.append("全科医疗科\t步态" +
                ",全科医疗科\t发育与体型" +
                ",全科医疗科\t腹部检查——腹部触诊" +
                ",全科医疗科\t腹部检查——腹部分区" +
                ",全科医疗科\t腹部检查——腹部叩诊" +
                ",全科医疗科\t腹部检查——腹部视诊" +
                ",全科医疗科\t腹部检查——腹部听诊" +
                ",全科医疗科\t腹部检查——其他检查" +
                ",全科医疗科\t肛门、直肠检查" +
                ",全科医疗科\t骨盆检查" +
                ",全科医疗科\t甲状腺检查" +
                ",全科医疗科\t基本检查法——触诊" +
                ",全科医疗科\t基本检查法——叩诊" +
                ",全科医疗科\t基本检查法——视诊" +
                ",全科医疗科\t基本检查法——听诊" +
                ",全科医疗科\t基本检查法——嗅诊" +
                ",全科医疗科\t颈部皮肤与包块检查" +
                ",全科医疗科\t颈部血管检查" +
                ",全科医疗科\t颈部姿势与运动检查" +
                ",全科医疗科\t颈部——颈部检查" +
                ",全科医疗科\t精神心理状态" +
                ",全科医疗科\t脊柱检查" +
                ",全科医疗科\t口部基本检查" +
                ",全科医疗科\t口部其他检查" +
                ",全科医疗科\t淋巴结检查" +
                ",全科医疗科\t面容与表情" +
                ",全科医疗科\t皮肤的基本检查" +
                ",全科医疗科\t前庭功能检查——变位性眼震" +
                ",全科医疗科\t气管检查" +
                ",全科医疗科\t全身系统检查——普通患者" +
                ",全科医疗科\t全身系统检查——特殊患者" +
                ",全科医疗科\t上肢检查——上肢和肩关节" +
                ",全科医疗科\t上肢检查——手" +
                ",全科医疗科\t上肢检查——腕关节" +
                ",全科医疗科\t上肢检查——肘关节" +
                ",全科医疗科\t生命征检查——体温" +
                ",全科医疗科\t生命征——呼吸" +
                ",全科医疗科\t生命征——脉搏" +
                ",全科医疗科\t生命征——血压" +
                ",全科医疗科\t生殖系统检查——男性" +
                ",全科医疗科\t生殖系统检查——女性（基本检查）" +
                ",全科医疗科\t生殖系统检查——女性（其他检查）" +
                ",全科医疗科\t神经系统检查——反射" +
                ",全科医疗科\t神经系统检查——感觉神经" +
                ",全科医疗科\t神经系统检查——脑神经" +
                ",全科医疗科\t神经系统检查——运动神经" +
                ",全科医疗科\t神经系统检查——自主神经" +
                ",全科医疗科\t体格检查" +
                ",全科医疗科\t体位" +
                ",全科医疗科\t头部检查" +
                ",全科医疗科\t头部检查——头发" +
                ",全科医疗科\t下肢检查——髋关节" +
                ",全科医疗科\t下肢检查——膝关节" +
                ",全科医疗科\t下肢检查——足踝部" +
                ",全科医疗科\t胸部检查——肺和胸膜" +
                ",全科医疗科\t胸部检查——乳房" +
                ",全科医疗科\t胸部检查——体表标志" +
                ",全科医疗科\t胸部检查——心脏检查" +
                ",全科医疗科\t胸部检查——心脏血管检查" +
                ",全科医疗科\t胸部检查——胸壁" +
                ",全科医疗科\t胸部检查——胸廓" +
                ",全科医疗科\t言语状态" +
                ",全科医疗科\t一般检查——年龄检查" +
                ",全科医疗科\t一般检查——性别检查" +
                ",全科医疗科\t营养状态" +
                ",全科医疗科\t意识状态" +
                ",全科医疗科\t姿势" +
                ",内科\t0.1秒口腔闭合压的测定" +
                ",内科\t6分钟最大步行距离试验" +
                ",内科\t<sup>13</sup>C-尿素呼气试验" +
                ",内科\tCT血管成像" +
                ",内科\tERCP下胆胰管细胞学检查" +
                ",内科\tOddi括约肌测压检测" +
                ",内科\t闭合容积测定" +
                ",内科\t补呼气容积检查" +
                ",内科\t补吸气容积检查" +
                ",内科\t残气容积肺总量百分比" +
                ",内科\t残气容积检查" +
                ",内科\t潮气量和每分钟通气量的测定" +
                ",内科\t磁共振波谱分析" +
                ",内科\t胆道镜检查" +
                ",内科\t单核细胞检查" +
                ",内科\t单磷酸腺苷（AMP）吸入激发试验" +
                ",内科\t大隐静脉瓣膜功能试验" +
                ",内科\t电子胃镜" +
                ",内科\t电子支气管镜检查" +
                ",内科\t低密度混合气体的MEFV曲线测定" +
                ",内科\t低渗盐水或蒸馏水激发试验" +
                ",内科\t动态脑电图监测" +
                ",内科\t动态心电图检查" +
                ",内科\t动态血压监测" +
                ",内科\t多导睡眠监测" +
                ",内科\t多普勒超声心动图" +
                ",内科\t二维超声心动图" +
                ",内科\t反复唾液吞咽试验" +
                ",内科\t反跳试验" +
                ",内科\t肺部检查" +
                ",内科\t肺动脉造影" +
                ",内科\t肺功能检查" +
                ",内科\t肺活量检查" +
                ",内科\t肺量计法测定潮气容积和每分通气量" +
                ",内科\t肺量计法测定肺活量" +
                ",内科\t肺弥散功能检查" +
                ",内科\t肺内气体分布检查" +
                ",内科\t肺泡‐动脉血氧分压差的测定" +
                ",内科\t肺容量测定" +
                ",内科\t肺通气功能检查" +
                ",内科\t肺总量检查" +
                ",内科\t肺阻抗血流图" +
                ",内科\t峰流速检查" +
                ",内科\t腹壁紧张度" +
                ",内科\t腹部CT" +
                ",内科\t腹部MRI检查" +
                ",内科\t腹部平片" +
                ",内科\t复合感觉检查" +
                ",内科\t腹膜后充气造影" +
                ",内科\t腹腔镜检查" +
                ",内科\t肝断层显像" +
                ",内科\t肛门镜检查" +
                ",内科\t肛门直肠压力测定" +
                ",内科\t甘露醇吸入激发试验" +
                ",内科\t肝胰壶腹括约肌测压" +
                ",内科\t肝脏触诊" +
                ",内科\t肝脏及胆囊叩诊" +
                ",内科\t高浓度二氧化碳激发试验" +
                ",内科\t高渗盐水吸入激发试验" +
                ",内科\t共聚焦内镜检查" +
                ",内科\t功能残气量肺总量百分比" +
                ",内科\t功能残气量检查" +
                ",内科\t冠状动脉CT检查" +
                ",内科\t冠状动脉造影" +
                ",内科\t核磁共振成像" +
                ",内科\t呼出气一氧化氮浓度检测" +
                ",内科\t呼气末肺容积检查" +
                ",内科\t呼气中期流量测定" +
                ",内科\t呼吸系统顺应性的测定" +
                ",内科\t胶囊内镜检查" +
                ",内科\t结肠镜检查" +
                ",内科\t解剖无效腔的测定方法" +
                ",内科\t颈静脉压检查" +
                ",内科\t经口胆管镜检查" +
                ",内科\t经口胰管镜检查" +
                ",内科\t静脉胆道造影" +
                ",内科\t经内镜胆道塑料支架引流术" +
                ",内科\t经皮经肝胆道造影术" +
                ",内科\t经食管超声心动图" +
                ",内科\t经支气管镜肺活检术" +
                ",内科\t经支气管针吸活检" +
                ",内科\t肌张力检查" +
                ",内科\t口服法小肠造影" +
                ",内科\t冷空气过度通气激发试验" +
                ",内科\t流量-容积曲线的测定" +
                ",内科\t流量计测定肺容积" +
                ",内科\t立卧位试验" +
                ",内科\t颅内压监测" +
                ",内科\t每分通气量检查" +
                ",内科\t面神经的味觉检查" +
                ",内科\t面神经检查" +
                ",内科\t密闭式氮稀释法-重复呼吸法测定功能残气量" +
                ",内科\t密闭式氦稀释法-重复呼吸法测定功能残气量" +
                ",内科\t脑电图检查" +
                ",内科\t脑功能成像" +
                ",内科\t脑血流测定" +
                ",内科\t脑诱发电位" +
                ",内科\t内镜逆行胰胆管造影检查" +
                ",内科\t内镜下醋酸染色" +
                ",内科\t内镜下胆胰管黏膜活检检查" +
                ",内科\t内镜下靛胭脂染色" +
                ",内科\t内镜下卢戈碘染色" +
                ",内科\t内镜下亚甲蓝染色" +
                ",内科\t内科胸腔镜检查术" +
                ",内科\t排粪造影" +
                ",内科\t脾显象" +
                ",内科\t气道阻力" +
                ",内科\t气管内超声诊断" +
                ",内科\t气管吸引物" +
                ",内科\t氢呼气试验" +
                ",内科\t气速指数" +
                ",内科\t球囊逼出试验" +
                ",内科\t三维超声心动图" +
                ",内科\t搔刮试验" +
                ",内科\t上消化道管腔黏膜细胞学检查" +
                ",内科\t上消化道内镜检查" +
                ",内科\t上消化道黏膜活组织检查" +
                ",内科\t上消化道造影" +
                ",内科\t生理无效腔和肺泡无效腔的测定" +
                ",内科\t声振微气泡右心声学造影" +
                ",内科\t神经传导速度测定" +
                ",内科\t神经电图" +
                ",内科\t深吸气量检查" +
                ",内科\t十二指肠镜检查" +
                ",内科\t食管动力学检查" +
                ",内科\t食管拉网检查" +
                ",内科\t食管压力测定" +
                ",内科\t食管造影" +
                ",内科\t时间呼气容积检查" +
                ",内科\t视神经孔片" +
                ",内科\t双气囊小肠镜" +
                ",内科\t四肢阻抗式血流图测定" +
                ",内科\t体积描记检查" +
                ",内科\t通气储量百分比" +
                ",内科\t通气应答的测定" +
                ",内科\t通气与血流灌注比值" +
                ",内科\t头部的触诊" +
                ",内科\t胃钡餐造影" +
                ",内科\t胃肠传输试验" +
                ",内科\t胃超声检查" +
                ",内科\t胃电图检查" +
                ",内科\t胃窦-幽门-十二指肠测压检查" +
                ",内科\t胃镜检查" +
                ",内科\t胃排空功能检查" +
                ",内科\t无痛肠镜检查" +
                ",内科\t无痛胃镜检查" +
                ",内科\t纤维结肠镜检查" +
                ",内科\t纤维食管镜检查" +
                ",内科\t纤维胃镜检查" +
                ",内科\t纤维支气管镜检查" +
                ",内科\t小肠测压检查" +
                ",内科\t小肠镜检查" +
                ",内科\t小儿电子胃镜检查" +
                ",内科\t小气道功能的测定" +
                ",内科\t心得安吸入激发试验" +
                ",内科\t心电图检查" +
                ",内科\t心内电生理检查" +
                ",内科\t心腔内超声心动图" +
                ",内科\t心血管MRI检查" +
                ",内科\t心血管造影" +
                ",内科\t胸部CT检查" +
                ",内科\t胸部平片" +
                ",内科\t胸内气体容积检查" +
                ",内科\t血管内超声" +
                ",内科\t氧合指数" +
                ",内科\t压痛及反跳痛" +
                ",内科\t硬质支气管镜检查" +
                ",内科\t乙状结肠镜检查" +
                ",内科\t用力肺活量测定" +
                ",内科\t幽门螺旋杆菌的直接检查" +
                ",内科\t运动激发试验" +
                ",内科\t语言检查法" +
                ",内科\t诊断性腹腔灌洗术" +
                ",内科\t直肠镜检查" +
                ",内科\t支气管肺泡灌洗技术" +
                ",内科\t支气管激发试验" +
                ",内科\t支气管镜检查" +
                ",内科\t支气管舒张试验" +
                ",内科\t支气管造影" +
                ",内科\t自体荧光支气管镜检查" +
                ",内科\t纵隔镜检查术" +
                ",内科\t最大呼气流量-容积曲线" +
                ",内科\t最大自主通气量测定" +
                ",外科\t四肢的X线检查" +
                ",外科\tT管造影" +
                ",外科\t膀胱残余尿量测定" +
                ",外科\t膀胱超声检查" +
                ",外科\t膀胱镜检查" +
                ",外科\t膀胱造影" +
                ",外科\t臂丛神经牵拉试验" +
                ",外科\t步态分析" +
                ",外科\t床边试验" +
                ",外科\t垂体CT检查" +
                ",外科\t醋酸转白试验" +
                ",外科\t胆囊收缩功能检查" +
                ",外科\t骶髂关节检查法" +
                ",外科\t放射性核素肾图" +
                ",外科\t肺活检" +
                ",外科\t睾丸检查" +
                ",外科\t关节镜检查" +
                ",外科\t骨密度测定" +
                ",外科\t颌面部检查" +
                ",外科\t肩胛骨检查" +
                ",外科\t甲状腺核素显像" +
                ",外科\t甲状腺静态显像" +
                ",外科\t静脉尿路造影" +
                ",外科\t静脉肾盂造影" +
                ",外科\t精囊检查" +
                ",外科\t经内镜胆道塑料支架引流术" +
                ",外科\t髋外旋外展试验" +
                ",外科\t拇指对掌试验" +
                ",外科\t脑脊液压力的测定" +
                ",外科\t脑血流测定" +
                ",外科\t内生殖器检查" +
                ",外科\t尿道功能测定" +
                ",外科\t尿道口检查" +
                ",外科\t尿路平片" +
                ",外科\t尿液透明度" +
                ",外科\t颞下颌关节检查" +
                ",外科\t逆行肾盂造影" +
                ",外科\t屈腕试验" +
                ",外科\t乳腺数字红外热成像技术" +
                ",外科\t三叉神经检查法" +
                ",外科\t上消化道内镜检查" +
                ",外科\t肾血管造影" +
                ",外科\t肾盂内压测定试验" +
                ",外科\t肾盂输尿管镜" +
                ",外科\t肾脏MRI检查" +
                ",外科\t水负荷ADH抑制试验" +
                ",外科\t输尿管镜检查" +
                ",外科\t头部的触诊" +
                ",外科\t阴茎肱动脉血压指数" +
                ",外科\t阴茎海绵体造影" +
                ",外科\t阴茎检查" +
                ",外科\t阴囊超声检查" +
                ",外科\t阴囊显像" +
                ",外科\t诊断性腹腔灌洗术" +
                ",妇产科\tB超引导下绒毛取材术" +
                ",妇产科\t妇科腹腔镜检查" +
                ",妇产科\t妇科检查" +
                ",妇产科\t宫颈刮片" +
                ",妇产科\t宫内节育器的X线检查" +
                ",妇产科\t宫腔镜检查" +
                ",妇产科\t骨盆内测量" +
                ",妇产科\t经阴道超声" +
                ",妇产科\t盆腔CT检查" +
                ",妇产科\t乳房超声检查" +
                ",妇产科\t乳腺导管造影" +
                ",妇产科\t生育镜检查" +
                ",妇产科\t双合诊检查" +
                ",妇产科\t输卵管镜检查" +
                ",妇产科\t输卵管通液检查" +
                ",妇产科\t四步触诊法" +
                ",妇产科\t胎儿镜检查" +
                ",妇产科\t胎方位" +
                ",妇产科\t系统胎儿超声检查（第三层次）" +
                ",妇产科\t羊膜镜检查" +
                ",妇产科\t阴部神经支配的肌肉检查" +
                ",妇产科\t阴道镜检查" +
                ",妇产科\t阴道瘘膀胱镜检查" +
                ",妇产科\t阴道视诊与触诊" +
                ",妇产科\t阴道细胞学检查" +
                ",妇产科\t子宫内膜活检" +
                ",妇产科\t子宫输卵管造影" +
                ",儿科\t儿童生长发育监测" +
                ",儿科\t儿童正常心电图" +
                ",儿科\t流速容量环的测定" +
                ",儿科\t胎儿颈后透明带检查" +
                ",儿童保健科\t儿童生长发育监测" +
                ",儿童保健科\t骨龄测定" +
                ",儿童保健科\t新生儿疾病筛查" +
                ",儿童保健科\t新生儿体格检查" +
                ",儿童保健科\t眼部视功能检查——婴幼儿视力检查" +
                ",儿童保健科\t婴儿智力测试" +
                ",眼科\tGoldmann压平眼压计测量法" +
                ",眼科\t代偿头位测定" +
                ",眼科\t动眼神经检查" +
                ",眼科\t光学相干断层扫描" +
                ",眼科\t角膜病灶刮片检查" +
                ",眼科\t角膜地形图检查" +
                ",眼科\t角膜厚度测量" +
                ",眼科\t角膜检查" +
                ",眼科\t角膜知觉检查法" +
                ",眼科\t结膜的检查" +
                ",眼科\t泪道检查" +
                ",眼科\t泪膜破裂时间" +
                ",眼科\t泪液分泌试验" +
                ",眼科\t裂隙灯检查" +
                ",眼科\t前房角镜检查法" +
                ",眼科\t屈光状态检查" +
                ",眼科\t散光表验光法" +
                ",眼科\t视觉电生理检查——闪光视网膜电图" +
                ",眼科\t视觉电生理检查——视觉诱发皮层电位" +
                ",眼科\t视觉电生理检查——图形视网膜电图" +
                ",眼科\t视觉电生理检查——眼电图检查" +
                ",眼科\t双眼平衡检查" +
                ",眼科\t瞳孔检查" +
                ",眼科\t眼部检查——结膜" +
                ",眼科\t眼部检查——泪器" +
                ",眼科\t眼部检查——视功能检查" +
                ",眼科\t眼部检查——眼睑" +
                ",眼科\t眼部检查——眼眶" +
                ",眼科\t眼部检查——眼眉" +
                ",眼科\t眼部检查——眼前节检查" +
                ",眼科\t眼部检查——眼球" +
                ",眼科\t眼部视功能检查——Amsler方格检查法" +
                ",眼科\t眼部视功能检查——Goldmann动态定量视野计检查法" +
                ",眼科\t眼部视功能检查——暗适应检查" +
                ",眼科\t眼部视功能检查——对比敏感度" +
                ",眼科\t眼部视功能检查——对照视野检查法" +
                ",眼科\t眼部视功能检查——弓形视野计检查法" +
                ",眼科\t眼部视功能检查——近视力检查" +
                ",眼科\t眼部视功能检查——立体视觉" +
                ",眼科\t眼部视功能检查——平面视野计检查法" +
                ",眼科\t眼部视功能检查——色觉检查" +
                ",眼科\t眼部视功能检查——远视力检查" +
                ",眼科\t眼部视功能检查——自动静态定量视野检查方法" +
                ",眼科\t眼底荧光素血管造影" +
                ",眼科\t眼功能检查" +
                ",眼科\t眼球异物定位摄影" +
                ",眼科\t眼球运动检查" +
                ",眼科\t眼心反射" +
                ",眼科\t眼压描记检查法" +
                ",眼科\t吲哚青绿血管造影" +
                ",眼科\t直接检眼镜检查法" +
                ",眼科\t周边前房深度测量法" +
                ",眼科\t主观屈光检查" +
                ",耳鼻咽喉科\t变应原鼻激发试验" +
                ",耳鼻咽喉科\t表试验" +
                ",耳鼻咽喉科\t鼻窦检查——上颌窦穿刺冲洗法" +
                ",耳鼻咽喉科\t鼻窦检查——头位引流法" +
                ",耳鼻咽喉科\t鼻和鼻窦的基本检查" +
                ",耳鼻咽喉科\t鼻内镜检查" +
                ",耳鼻咽喉科\t鼻腔内镜检查" +
                ",耳鼻咽喉科\t鼻腔、鼻窦检查" +
                ",耳鼻咽喉科\t鼻咽检查法" +
                ",耳鼻咽喉科\t鼻阻力检查法——鼻声反射" +
                ",耳鼻咽喉科\t鼻阻力检查法——鼻压计测量法" +
                ",耳鼻咽喉科\t电反应测听" +
                ",耳鼻咽喉科\t蝶窦内镜检查" +
                ",耳鼻咽喉科\t多频听觉稳态诱发反应" +
                ",耳鼻咽喉科\t额窦内镜检查" +
                ",耳鼻咽喉科\t耳部基本检查——耳廓及耳周检查" +
                ",耳鼻咽喉科\t耳部基本检查——外耳道及鼓膜检查" +
                ",耳鼻咽喉科\t耳部基本检查——咽鼓管功能检查" +
                ",耳鼻咽喉科\t耳的一般检查法" +
                ",耳鼻咽喉科\t耳镜检查法" +
                ",耳鼻咽喉科\t耳内镜检查" +
                ",耳鼻咽喉科\t耳声发射检查" +
                ",耳鼻咽喉科\t耳蜗电图" +
                ",耳鼻咽喉科\t反复唾液吞咽试验" +
                ",耳鼻咽喉科\t盖来试验" +
                ",耳鼻咽喉科\t后鼻镜检查法" +
                ",耳鼻咽喉科\t喉部基本检查" +
                ",耳鼻咽喉科\t喉的发声功能检查——超高速电影摄影" +
                ",耳鼻咽喉科\t喉的发声功能检查——喉动态镜检查法" +
                ",耳鼻咽喉科\t喉的发声功能检查——喉肌电图检查" +
                ",耳鼻咽喉科\t喉的发声功能检查——喉声气流图检查" +
                ",耳鼻咽喉科\t喉的发声功能检查——声门图检查法" +
                ",耳鼻咽喉科\t喉的发声功能检查——声图检查法" +
                ",耳鼻咽喉科\t间接喉镜检查" +
                ",耳鼻咽喉科\t口咽检查法" +
                ",耳鼻咽喉科\t瘘管试验" +
                ",耳鼻咽喉科\t慢皮层反应" +
                ",耳鼻咽喉科\t前鼻镜检查" +
                ",耳鼻咽喉科\t前庭功能检查" +
                ",耳鼻咽喉科\t前庭功能检查——冷热试验" +
                ",耳鼻咽喉科\t前庭功能检查——平衡及协调功能" +
                ",耳鼻咽喉科\t前庭功能检查——位置性眼震" +
                ",耳鼻咽喉科\t前庭功能检查——自发性眼球震颤" +
                ",耳鼻咽喉科\t前庭功能检查——姿势描记法" +
                ",耳鼻咽喉科\t上颌窦内镜检查" +
                ",耳鼻咽喉科\t声刺激前庭诱发肌源性电位" +
                ",耳鼻咽喉科\t糖精试验" +
                ",耳鼻咽喉科\t听力检查法——纯音听阈测试" +
                ",耳鼻咽喉科\t听力检查法——鼓室导纳测量" +
                ",耳鼻咽喉科\t听力检查法——脑干听觉诱发电位" +
                ",耳鼻咽喉科\t听力检查法——声反射检查" +
                ",耳鼻咽喉科\t听力检查法——听力粗测法" +
                ",耳鼻咽喉科\t听力检查法——音叉听力检查" +
                ",耳鼻咽喉科\t听性脑干反应" +
                ",耳鼻咽喉科\t外耳道及鼓膜检查法" +
                ",耳鼻咽喉科\t纤维鼻咽喉镜检查" +
                ",耳鼻咽喉科\t纤维喉镜及电子喉镜检查法" +
                ",耳鼻咽喉科\t嗅觉检查法" +
                ",耳鼻咽喉科\t咽壁外部（颈）的检查法" +
                ",耳鼻咽喉科\t咽部其他检查——Müller检查" +
                ",耳鼻咽喉科\t语音试验" +
                ",耳鼻咽喉科\t直接喉镜检查法" +
                ",耳鼻咽喉科\t直接喉镜检查法——支撑喉镜和悬吊喉镜检查法" +
                ",口腔科\t<p><bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\">  \uD870\uDF17 </bz>\uD870\uDF17翼片 </p>" +
                ",口腔科\t全口牙位曲面体层X线片" +
                ",口腔科\t侧位X线头影测量分析" +
                ",口腔科\t窦道及瘘管造影" +
                ",口腔科\t根尖片" +
                ",口腔科\t核素显像检查" +
                ",口腔科\t华特位片" +
                ",口腔科\t髁突经咽侧位片" +
                ",口腔科\t口腔X线检查" +
                ",口腔科\t口腔颌面部CBCT检查" +
                ",口腔科\t口腔颌面颈部CT检查" +
                ",口腔科\t口腔颌面颈部MRI检查" +
                ",口腔科\t口腔科超声检查" +
                ",口腔科\t口腔全景体层摄影" +
                ",口腔科\t瘤腔造影" +
                ",口腔科\t颞下颌关节MRI检查" +
                ",口腔科\t颞下颌关节侧位体层片" +
                ",口腔科\t颞下颌关节曲面体层片" +
                ",口腔科\t颞下颌关节许氏位片" +
                ",口腔科\t颞下颌关节造影" +
                ",口腔科\t曲面体层摄影" +
                ",口腔科\t上颌后部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔科\t上颌前部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔科\t数字减影颞下颌关节造影" +
                ",口腔科\t数字减影血管造影" +
                ",口腔科\t头影测量片" +
                ",口腔科\t唾液腺造影" +
                ",口腔科\t下颌骨侧斜位片" +
                ",口腔科\t下颌骨后前位片" +
                ",口腔科\t下颌横断<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔科\t下颌前部<bz style=\"display: none !important\" class=\"BZ\" code=\"2C317\" fenzi=\"牙合\" pinyin=\"\"> \uD870\uDF17</bz>\uD870\uDF17片" +
                ",口腔科\t下颌运动检查" +
                ",口腔科\t牙髓电活力测验" +
                ",皮肤科\t滤过紫外线检查" +
                ",皮肤科\t皮肤变应原检测——斑贴试验" +
                ",皮肤科\t皮肤变应原检测——点刺试验" +
                ",皮肤科\t皮肤变应原检测——皮内试验" +
                ",皮肤科\t皮肤变应原检测——血清IgE" +
                ",皮肤科\t皮肤病免疫病理学检查" +
                ",皮肤科\t皮肤蠕形螨检查" +
                ",皮肤科\t皮肤真菌检查" +
                ",皮肤科\t皮肤紫外线敏感性检测——光斑贴试验" +
                ",皮肤科\t皮肤紫外线敏感性检测——最小红斑量" +
                ",皮肤科\t针刺试验" +
                ",传染科\t结核菌素试验" +
                ",传染科\t青霉素皮内试验" +
                ",肿瘤科\t磁共振波谱成像" +
                ",肿瘤科\t计算机三维重建技术" +
                ",肿瘤科\t乳管镜检查" +
                ",肿瘤科\t色素内镜检查" +
                ",肿瘤科\t肿瘤断层显象" +
                ",医学检验科\t显微摄影技术" +
                ",医学影像科\t14C‐尿素呼气试验" +
                ",医学影像科\t201Tl和99mTc‐MIBI肿瘤显像" +
                ",医学影像科\t67Ga炎症显像" +
                ",医学影像科\t67Ga肿瘤显像" +
                ",医学影像科\t99mTc（Ⅴ）‐DMSA肿瘤显像" +
                ",医学影像科\t<sup>131</sup>I全身显像" +
                ",医学影像科\tA型超声检查" +
                ",医学影像科\t常规CT平扫检查" +
                ",医学影像科\tECT检查" +
                ",医学影像科\tLennox-Gastaut综合征（LGS）的脑电图改变" +
                ",医学影像科\tMahaim型预激综合征的心电图特征" +
                ",医学影像科\tMaster试验" +
                ",医学影像科\tNiagara瀑布样T波改变" +
                ",医学影像科\tQ‐Tc间期延长运动试验" +
                ",医学影像科\tTCD监测溶栓" +
                ",医学影像科\tWest综合征的脑电图改变" +
                ",医学影像科\t阿托品试验" +
                ",医学影像科\t白细胞显像" +
                ",医学影像科\t膀胱‐输尿管反流显像" +
                ",医学影像科\t伴有中央颞区棘波的儿童良性癫痫的脑电图改变" +
                ",医学影像科\t饱餐试验" +
                ",医学影像科\t钡剂灌肠造影检查" +
                ",医学影像科\t苄胺唑林试验" +
                ",医学影像科\t鼻及鼻窦的影像检查" +
                ",医学影像科\t病毒性脑炎的脑电图改变" +
                ",医学影像科\t病态窦房结综合征的心电图特征" +
                ",医学影像科\t并行心律的心电图特征" +
                ",医学影像科\t鼻与鼻旁窦的CT检查" +
                ",医学影像科\t鼻与鼻旁窦的MRI检查" +
                ",医学影像科\t鼻与鼻旁窦的X线检查" +
                ",医学影像科\t不完全性房内阻滞的心电图特征" +
                ",医学影像科\t彩色多普勒血流成像" +
                ",医学影像科\t彩色室壁运动分析技术" +
                ",医学影像科\t常规静脉尿路造影" +
                ",医学影像科\t肠系膜动脉超声检查" +
                ",医学影像科\t产科超声检查" +
                ",医学影像科\t超声内镜检查" +
                ",医学影像科\t超声胃镜检查" +
                ",医学影像科\t超声血管造影" +
                ",医学影像科\t持续性交界区反复性心动过速的心电图特征" +
                ",医学影像科\t垂体MRI检查" +
                ",医学影像科\t磁共振扩散加权成像技术" +
                ",医学影像科\t磁共振血管成像" +
                ",医学影像科\t磁共振增强扫描" +
                ",医学影像科\t磁敏感加权成像" +
                ",医学影像科\t大脑后动脉P1/P2段检测及分析" +
                ",医学影像科\t大脑前动脉A1段检测及分析" +
                ",医学影像科\t大脑中动脉M1段检测及分析" +
                ",医学影像科\t单纯疱疹病毒脑炎的脑电图改变" +
                ",医学影像科\t胆道超声检查" +
                ",医学影像科\t碘对比剂窦道瘘管造影检查" +
                ",医学影像科\t癫痫部分性发作的脑电图改变" +
                ",医学影像科\t癫痫持续状态的脑电图改变" +
                ",医学影像科\t癫痫全面性发作的脑电图改变" +
                ",医学影像科\t低钾血症的心电图特征" +
                ",医学影像科\t窦房传导阻滞的心电图特征" +
                ",医学影像科\t窦房结内游走性心律的心电图特征" +
                ",医学影像科\t窦房结折返性心动过速的心电图特征" +
                ",医学影像科\t窦房结至交界区游走性心律的心电图特征" +
                ",医学影像科\t窦房结至心房内游走性心律的心电图特征" +
                ",医学影像科\t窦房折返性心动过速的心电图特征" +
                ",医学影像科\t窦性期前收缩的心电图特征" +
                ",医学影像科\t窦性停搏的心电图特征" +
                ",医学影像科\t窦性心动过缓的心电图特征" +
                ",医学影像科\t窦性心动过速的心电图特征" +
                ",医学影像科\t窦性心律不齐的心电图特征" +
                ",医学影像科\t短PR综合征的心电图特征" +
                ",医学影像科\t多巴酚丁胺负荷试验" +
                ",医学影像科\t多源性房性心动过速的心电图特征" +
                ",医学影像科\t耳部的CT检查" +
                ",医学影像科\t耳部的MRI检查" +
                ",医学影像科\t耳部的X线检查" +
                ",医学影像科\t二度Ⅰ型房室传导阻滞的心电图特征" +
                ",医学影像科\t二度Ⅱ型房室传导阻滞的心电图特征" +
                ",医学影像科\t儿童和青少年失神癫痫的脑电图改变" +
                ",医学影像科\t儿童运动试验" +
                ",医学影像科\t儿童枕叶癫痫的脑电图改变" +
                ",医学影像科\t二氧化碳声学造影法" +
                ",医学影像科\t耳、乳突的CT读片" +
                ",医学影像科\t额叶癫痫的脑电图改变" +
                ",医学影像科\t反复搏动及反复心律的心电图特征" +
                ",医学影像科\t放射性核素静脉显像" +
                ",医学影像科\t放射性核素脑血管显像" +
                ",医学影像科\t放射性核素心脏功能显像" +
                ",医学影像科\t房室交界区性期前收缩的心电图特征" +
                ",医学影像科\t房室结折返性心动过速的心电图特征" +
                ",医学影像科\t房性期前收缩的心电图特征" +
                ",医学影像科\t房性逸搏与逸搏心律的心电图特征" +
                ",医学影像科\t发泡试验" +
                ",医学影像科\t肺灌注显像" +
                ",医学影像科\t肺通气显像" +
                ",医学影像科\t非血管管腔扩张术" +
                ",医学影像科\t肺源性心脏病的心电图特征" +
                ",医学影像科\t风湿性心脏病二尖瓣狭窄的心电图特征" +
                ",医学影像科\t腹壁、腹膜腔及腹膜后间隙的CT检查" +
                ",医学影像科\t腹壁、腹膜腔及腹膜后间隙的MRI检查" +
                ",医学影像科\t腹壁、腹膜腔及腹膜后间隙的X线检查" +
                ",医学影像科\t腹部X线摄影" +
                ",医学影像科\t妇科超声检查" +
                ",医学影像科\t腹膜后大血管超声检查" +
                ",医学影像科\t腹膜后间隙超声检查" +
                ",医学影像科\t腹主动脉超声检查" +
                ",医学影像科\t肝胆动态显像" +
                ",医学影像科\t感觉神经传导的检查" +
                ",医学影像科\t感觉神经传导检查——尺神经" +
                ",医学影像科\t感觉神经传导检查——腓肠神经" +
                ",医学影像科\t感觉神经传导检查——腓浅神经感觉支" +
                ",医学影像科\t感觉神经传导检查——股外侧皮神经" +
                ",医学影像科\t感觉神经传导检查——前臂内侧皮神经" +
                ",医学影像科\t感觉神经传导检查——前臂外侧皮神经" +
                ",医学影像科\t感觉神经传导检查——桡神经" +
                ",医学影像科\t感觉神经传导检查——隐神经" +
                ",医学影像科\t感觉神经传导检查——正中神经" +
                ",医学影像科\t感觉神经传导检查——足掌内侧神经" +
                ",医学影像科\t感觉神经传导检查——足掌外侧神经" +
                ",医学影像科\t肝血流灌注和肝血池显像" +
                ",医学影像科\t肝脏超声检查" +
                ",医学影像科\t肝脏胶体显像" +
                ",医学影像科\t肝、胆、胰、脾的CT检查" +
                ",医学影像科\t肝、胆、胰、脾的MRI检查" +
                ",医学影像科\t肝、胆、胰、脾的X线检查" +
                ",医学影像科\t高钾血症的心电图特征" +
                ",医学影像科\t肱动脉、桡动脉检测及分析" +
                ",医学影像科\t功能性经颅多普勒超声" +
                ",医学影像科\t灌注成像" +
                ",医学影像科\t骨关节系统的X线检查" +
                ",医学影像科\t骨矿物质含量测定" +
                ",医学影像科\t过度换气试验" +
                ",医学影像科\t过氧化氢心脏声学造影" +
                ",医学影像科\t骨三相显像" +
                ",医学影像科\t骨髓显像" +
                ",医学影像科\t骨显像" +
                ",医学影像科\t骨、关节系统的CT检查" +
                ",医学影像科\t骨、关节系统的MRI检查" +
                ",医学影像科\t骨、软骨及关节超声检查" +
                ",医学影像科\t颌面部的CT检查" +
                ",医学影像科\t颌面部的MRI检查" +
                ",医学影像科\t颌面部的X线检查" +
                ",医学影像科\t喉部的CT检查" +
                ",医学影像科\t喉部的MRI检查" +
                ",医学影像科\t喉部的X线检查" +
                ",医学影像科\t滑车上动脉检测及分析" +
                ",医学影像科\t昏迷患者的脑电图改变" +
                ",医学影像科\t活动平板试验" +
                ",医学影像科\t呼吸系统的CT检查" +
                ",医学影像科\t呼吸系统的MRI检查" +
                ",医学影像科\t呼吸系统的X线检查" +
                ",医学影像科\t间歇性束支传导阻滞的心电图特征" +
                ",医学影像科\t交界性逸搏与逸搏心律的心电图特征" +
                ",医学影像科\t甲状旁腺显像" +
                ",医学影像科\t甲状腺和甲状旁腺超声检查" +
                ",医学影像科\t甲状腺和甲状旁腺的CT检查" +
                ",医学影像科\t甲状腺和甲状旁腺的MRI检查" +
                ",医学影像科\t甲状腺和甲状旁腺的X线检查" +
                ",医学影像科\t甲状腺显像" +
                ",医学影像科\t基底动脉检测及分析" +
                ",医学影像科\t结肠X线造影检查" +
                ",医学影像科\t肌腱超声检查" +
                ",医学影像科\t颈部动脉超声检查" +
                ",医学影像科\t颈部静脉超声检查" +
                ",医学影像科\t颈部血管超声" +
                ",医学影像科\t经导管血管灌注术" +
                ",医学影像科\t经导管血管栓塞术" +
                ",医学影像科\t颈动脉彩超" +
                ",医学影像科\t颈动脉内膜剥脱术围手术期监测" +
                ",医学影像科\t颈动脉支架成形术围手术期监测" +
                ",医学影像科\t经颅多普勒超声技术" +
                ",医学影像科\t精囊、输精管造影" +
                ",医学影像科\t颈内动脉海绵窦段、床突上段检测及分析" +
                ",医学影像科\t颈内动脉颅外段检测及分析" +
                ",医学影像科\t颈内动脉终末段检测及分析" +
                ",医学影像科\t经皮穿刺活检" +
                ",医学影像科\t经皮穿刺消融术" +
                ",医学影像科\t经皮穿刺引流术" +
                ",医学影像科\t经皮经腔血管成形术" +
                ",医学影像科\t精神应激试验" +
                ",医学影像科\t经食管心房调搏负荷试验" +
                ",医学影像科\t颈外动脉检测及分析" +
                ",医学影像科\t颈总动脉检测及分析" +
                ",医学影像科\t颈总动脉压迫试验" +
                ",医学影像科\t肌肉超声检查" +
                ",医学影像科\t计算机体层成像" +
                ",医学影像科\t脊髓的CT检查" +
                ",医学影像科\t脊髓的MRI检查" +
                ",医学影像科\t脊髓的X线检查" +
                ",医学影像科\t急性冠状动脉供血不足的心电图特征" +
                ",医学影像科\t急性心肌梗死显像" +
                ",医学影像科\t脊柱MRI检查" +
                ",医学影像科\t脊柱X线检查" +
                ",医学影像科\t脊椎X线平片" +
                ",医学影像科\t局限性完全性房内阻滞的心电图特征" +
                ",医学影像科\t抗人粒细胞单克隆抗体显像" +
                ",医学影像科\t克-雅病（CJD）的脑电图改变" +
                ",医学影像科\t扩散张量成像" +
                ",医学影像科\t冷加压试验" +
                ",医学影像科\t淋巴显像" +
                ",医学影像科\t颅脑的CT检查" +
                ",医学影像科\t颅脑的MRI检查" +
                ",医学影像科\t颅脑的X线检查" +
                ",医学影像科\t颅脑血管超声检查" +
                ",医学影像科\t麦角新碱激发试验" +
                ",医学影像科\t慢性冠状动脉供血不足的心电图特征" +
                ",医学影像科\t门静脉成像" +
                ",医学影像科\t弥漫性完全性心房肌阻滞的心电图特征" +
                ",医学影像科\t泌尿系统超声检查" +
                ",医学影像科\t泌尿系统的CT检查" +
                ",医学影像科\t泌尿系统的MRI检查" +
                ",医学影像科\t泌尿系统的X线检查" +
                ",医学影像科\t男性生殖系统的CT检查" +
                ",医学影像科\t男性生殖系统的MRI检查" +
                ",医学影像科\t脑池显像" +
                ",医学影像科\t脑代谢显像" +
                ",医学影像科\t脑电图棘波" +
                ",医学影像科\t脑电图弥漫性慢波" +
                ",医学影像科\t脑干听觉诱发电位" +
                ",医学影像科\t脑脊液间隙显像" +
                ",医学影像科\t脑死亡的脑电图改变" +
                ",医学影像科\t脑血管痉挛的监测" +
                ",医学影像科\t脑血管舒缩反应性试验" +
                ",医学影像科\t脑血管意外的心电图特征" +
                ",医学影像科\t脑血流灌注显像" +
                ",医学影像科\t脑血流循环停止的监测" +
                ",医学影像科\t颞浅动脉检测及分析" +
                ",医学影像科\t颞叶癫痫的脑电图改变" +
                ",医学影像科\t逆向型房室折返性心动过速的心电图特征" +
                ",医学影像科\t女性生殖系统的CT检查" +
                ",医学影像科\t女性生殖系统的MRI检查" +
                ",医学影像科\t女性生殖系统造影检查" +
                ",医学影像科\t盆腔MRI检查" +
                ",医学影像科\t脾显像" +
                ",医学影像科\t脾脏彩超检查" +
                ",医学影像科\t普萘洛尔试验" +
                ",医学影像科\t葡萄糖负荷试验" +
                ",医学影像科\t髂动脉超声检查" +
                ",医学影像科\t浅表淋巴结超声检查" +
                ",医学影像科\t前列腺超声检查" +
                ",医学影像科\t青少年肌阵挛发作的脑电图改变" +
                ",医学影像科\t倾斜试验" +
                ",医学影像科\t缺氧试验" +
                ",医学影像科\t缺氧、代谢和中毒性脑病的脑电图改变" +
                ",医学影像科\t去唾液酸糖蛋白受体显像" +
                ",医学影像科\t韧带超声检查" +
                ",医学影像科\t人非特异性IgG显像" +
                ",医学影像科\t软组织肿物超声检查" +
                ",医学影像科\t乳腺超声检查" +
                ",医学影像科\t乳腺的CT检查" +
                ",医学影像科\t乳腺的MRI检查" +
                ",医学影像科\t乳腺的X线检查" +
                ",医学影像科\t乳腺亲肿瘤显像（<sup>99m</sup>Tc-MIBI/乳腺专用伽玛显像）" +
                ",医学影像科\t腮腺的CT检查" +
                ",医学影像科\t腮腺的MRI检查" +
                ",医学影像科\t腮腺的X线检查" +
                ",医学影像科\t三度房室传导阻滞的心电图特征" +
                ",医学影像科\t三磷酸腺苷负荷试验" +
                ",医学影像科\t三维超声成像" +
                ",医学影像科\t肾动脉超声检查" +
                ",医学影像科\t肾动态显像" +
                ",医学影像科\t神经传导检查——F波" +
                ",医学影像科\t神经传导检查——H反射" +
                ",医学影像科\t神经传导检查——瞬目反射" +
                ",医学影像科\t神经传导检查——重复电刺激" +
                ",医学影像科\t神经受体显像" +
                ",医学影像科\t肾静态显像" +
                ",医学影像科\t肾上腺超声检查" +
                ",医学影像科\t肾上腺的CT检查" +
                ",医学影像科\t肾上腺的MRI检查" +
                ",医学影像科\t肾上腺皮质显像" +
                ",医学影像科\t肾上腺髓质显像" +
                ",医学影像科\t肾上腺素试验" +
                ",医学影像科\t肾移植彩超监测" +
                ",医学影像科\t十二指肠‐胃反流显像" +
                ",医学影像科\t食管钡餐造影" +
                ",医学影像科\t食管通过功能测定" +
                ",医学影像科\t事件相关诱发电位" +
                ",医学影像科\t视觉诱发电位" +
                ",医学影像科\t室性期前收缩的心电图特征" +
                ",医学影像科\t室性逸搏与逸搏心律的心电图特征" +
                ",医学影像科\t双倍二级梯运动试验" +
                ",医学影像科\t双嘧达莫负荷试验" +
                ",医学影像科\t束臂试验" +
                ",医学影像科\t睡眠障碍的脑电图改变" +
                ",医学影像科\t顺向型房室折返性心动过速的心电图特征" +
                ",医学影像科\t数字化X线摄影" +
                ",医学影像科\t四肢动脉超声检查" +
                ",医学影像科\t四肢静脉超声检查" +
                ",医学影像科\t四肢血管彩色多普勒超声" +
                ",医学影像科\t锁骨下动脉检测及分析" +
                ",医学影像科\t踏车试验" +
                ",医学影像科\t体感诱发电位" +
                ",医学影像科\t头颅正侧位片" +
                ",医学影像科\t唾液腺显像" +
                ",医学影像科\t胃肠超声检查" +
                ",医学影像科\t胃肠道出血显像" +
                ",医学影像科\t胃排空功能测定" +
                ",医学影像科\t微栓子监测" +
                ",医学影像科\t胃‐食管反流测定" +
                ",医学影像科\t先天性心脏病的心电图特征" +
                ",医学影像科\t涎腺超声检查" +
                ",医学影像科\t小肠通过功能测定" +
                ",医学影像科\t消化道的CT检查" +
                ",医学影像科\t消化道的MRI检查" +
                ",医学影像科\t消化道的X线检查" +
                ",医学影像科\t消化道的钡餐造影检查" +
                ",医学影像科\t硝酸甘油试验" +
                ",医学影像科\t下肢动脉血管造影扫描技术" +
                ",医学影像科\t心包炎的心电图特征" +
                ",医学影像科\t心电向量图检查" +
                ",医学影像科\t心房肥大的心电图特征" +
                ",医学影像科\t心房内游走性心律的心电图特征" +
                ",医学影像科\t心房内折返性心动过速的心电图特征" +
                ",医学影像科\t心房扑动的心电图特征" +
                ",医学影像科\t心房颤动的心电图特征" +
                ",医学影像科\t心肺运动试验" +
                ",医学影像科\t信号叠加心电图" +
                ",医学影像科\t心肌病的心电图特征" +
                ",医学影像科\t心肌梗死的心电图特征" +
                ",医学影像科\t心肌灌注显像" +
                ",医学影像科\t心肌葡萄糖代谢显像" +
                ",医学影像科\t心肌炎的心电图特征" +
                ",医学影像科\t心肌脂肪酸代谢显像" +
                ",医学影像科\t心率变异性测定" +
                ",医学影像科\t心室肥大的心电图特征" +
                ",医学影像科\t心室扑动的心电图特征" +
                ",医学影像科\t心室晚电位检查" +
                ",医学影像科\t心室颤动的心电图特征" +
                ",医学影像科\t心脏超声检查" +
                ",医学影像科\t心脏神经受体显像" +
                ",医学影像科\t胸部MRI检查" +
                ",医学影像科\t胸部超声检查" +
                ",医学影像科\t系统胎儿超声检查（第三层次）" +
                ",医学影像科\t血钙异常所致的心电图特征" +
                ",医学影像科\t循环系统的CT检查" +
                ",医学影像科\t循环系统的X线检查" +
                ",医学影像科\t亚急性硬化性全脑炎的脑电图改变" +
                ",医学影像科\t眼部超声检查" +
                ",医学影像科\t咽部的CT检查" +
                ",医学影像科\t咽部的MRI检查" +
                ",医学影像科\t咽部的X线检查" +
                ",医学影像科\t眼动脉检测及分析" +
                ",医学影像科\t洋地黄中毒时的心电图特征" +
                ",医学影像科\t眼与眼眶的CT检查" +
                ",医学影像科\t眼与眼眶的MRI检查" +
                ",医学影像科\t眼与眼眶的X线检查" +
                ",医学影像科\t异丙肾上腺素负荷试验" +
                ",医学影像科\t异常脑电图——背景活动异常" +
                ",医学影像科\t异常脑电图——三相波" +
                ",医学影像科\t异常脑电图——阵发性异常" +
                ",医学影像科\t异常脑电图——周期性波" +
                ",医学影像科\t异常脑电图——周期性癫痫样放电" +
                ",医学影像科\t胰胆管内超声检查术" +
                ",医学影像科\t一度房室传导阻滞的心电图特征" +
                ",医学影像科\t阴囊与阴茎超声检查" +
                ",医学影像科\t异位胃黏膜显像" +
                ",医学影像科\t胰腺超声检查" +
                ",医学影像科\t右束支传导阻滞的心电图特征" +
                ",医学影像科\t预激综合征的心电图特征" +
                ",医学影像科\t运动神经传导的检查" +
                ",医学影像科\t运动神经传导检查——尺神经" +
                ",医学影像科\t运动神经传导检查——腓总神经" +
                ",医学影像科\t运动神经传导检查——副神经" +
                ",医学影像科\t运动神经传导检查——膈神经" +
                ",医学影像科\t运动神经传导检查——股神经" +
                ",医学影像科\t运动神经传导检查——肩胛上神经" +
                ",医学影像科\t运动神经传导检查——胫神经" +
                ",医学影像科\t运动神经传导检查——肌皮神经" +
                ",医学影像科\t运动神经传导检查——面神经" +
                ",医学影像科\t运动神经传导检查——桡神经" +
                ",医学影像科\t运动神经传导检查——腋神经" +
                ",医学影像科\t运动神经传导检查——正中神经" +
                ",医学影像科\t运动诱发电位" +
                ",医学影像科\t造影检查" +
                ",医学影像科\t针电极肌电图" +
                ",医学影像科\t针电极肌电图检查——闭孔神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——尺神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——腓总神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——副神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——股神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——肩胛背神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——肩胛上神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——胫神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——肌皮神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——脑神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——桡神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——臀上神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——臀下神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——胸背神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——胸神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——胸长神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——腋神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——正中神经支配肌肉" +
                ",医学影像科\t针电极肌电图检查——坐骨神经支配肌肉" +
                ",医学影像科\t枕动脉检测及分析" +
                ",医学影像科\t正常窦性心律的心电图特征" +
                ",医学影像科\t正常觉醒时脑电图" +
                ",医学影像科\t正常睡眠脑电图" +
                ",医学影像科\t正常睡眠时脑电图" +
                ",医学影像科\t正常心电图" +
                ",医学影像科\t肿瘤代谢显像" +
                ",医学影像科\t肿瘤放射免疫显象" +
                ",医学影像科\t肿瘤放射受体显像" +
                ",医学影像科\t肿瘤基因显像" +
                ",医学影像科\t椎动脉V1段、V3段检测及分析" +
                ",医学影像科\t椎动脉V4段、小脑后下动脉检测及分析" +
                ",医学影像科\t自律性房性心动过速的心电图特征" +
                ",医学影像科\t左后分支传导阻滞的心电图特征" +
                ",医学影像科\t左间隔支传导阻滞的心电图特征" +
                ",医学影像科\t左前分支传导阻滞的心电图特征" +
                ",医学影像科\t左束支传导阻滞的心电图特征" +
                ",中医科\t间接鼻咽镜检查法" +
                ",其他科室\t64排螺旋CT检查" +
                ",其他科室\tB超检查" +
                ",其他科室\tPET-CT" +
                ",其他科室\tX线检查" +
                ",其他科室\t超声检查" +
                ",其他科室\t超声引导下操作" +
                ",其他科室\t超声引导下甲状腺穿刺活检" +
                ",其他科室\t磁共振水成像" +
                ",其他科室\t磁共振血管造影" +
                ",其他科室\t肛门指检" +
                ",其他科室\t甲状腺血流显像" +
                ",其他科室\t颈部MRI检查" +
                ",其他科室\t颈椎CT检查" +
                ",其他科室\t螺旋CT检查" +
                ",其他科室\t人体成分分析" +
                ",其他科室\t甩头试验" +
                ",其他科室\t四肢CT检查" +
                ",其他科室\t牙周探诊");
        keshiSplit = keshi.toString().split(",");
        for(String temp: keshiSplit) {
            String[] ele = temp.split("\t");
            keshiMap.put(ele[1],ele[0]);
        }
    }

}

